
var sGlobalAdHolder = 'js_sample_ad_form_728_90';

$(function()
{
	var oLocation = $('#js_image_holder').offset();
	
	$('#js_upload_image_holder').css('left', oLocation.left + 'px');
	$('#js_upload_image_holder').css('top', oLocation.top + 'px');
	
	$('#title').keyup(function()
	{
		$('.js_ad_title').html(htmlspecialchars(this.value));
		limitChars(this, 25, 'js_ad_title_form_limit');
	});
	
	$('#body_text').keyup(function()
	{
		$('.js_ad_body').html(htmlspecialchars(this.value));
		limitChars(this, 135, 'js_ad_body_text_form_limit');
	});	
	
	$('#js_ad_type_cpc').focus(function()
	{
		$('.js_ad_select').hide();
		$('#js_ad_cpc').show();
	});
	
	$('#js_ad_type_cpm').focus(function()
	{
		$('.js_ad_select').hide();
		$('#js_ad_cpm').show();
	});	
	
	$('#js_specific_date').focus(function()
	{
		$('#js_show_date').show();	
	});
	
	$('#js_specific_date_hide').focus(function()
	{
		$('#js_show_date').hide();	
	});	
	
	$('.js_create_ad').click(function()
	{
		$('.hide_sub_block').hide();
		$('#js_create_ad').show();
		$('.h2_sub_menu li a').removeClass('is_focused');
		$(this).addClass('is_focused');
		$('#js_sample_ad_create_holder').show();
		$('#js_upload_image_holder').show();
		$('#type_id').val('2');
		
		return false;
	});
	
	$('.js_upload_ad').click(function()
	{
		$('.hide_sub_block').hide();
		$('#js_upload_ad').show();
		$('.h2_sub_menu li a').removeClass('is_focused');
		$(this).addClass('is_focused');
		$('#js_sample_ad_create_holder').hide();
		$('#js_upload_image_holder').hide();
		$('#type_id').val('1');
		
		return false;
	});	

	$('#js_submit_button').click(function()
	{
		$('#html_code').val($('#' + sGlobalAdHolder).html());	
		
		$('#js_custom_ad_form').ajaxCall('ad.checkAdForm');
		
		return false;
	});
	
	$('#location option').each(function()
	{
		if (this.value == '7')
		{
			this.selected = true;
		}
	});
	
	$('#js_ad_continue_form').click(function()
	{
		if (empty($('#js_upload_ad_size_find').val()))
		{
			alert(getPhrase('ad.select_an_ad_placement'));
			
			return false;	
		}
		
		$.ajaxCall('ad.getAdPrice', 'location=' + $('#location').val());
		
		return true;
	});
	
	$('#total_view').keyup(function()
	{
		$('#js_ad_cost').hide();
		$('#js_ad_cost_recalculate').show();	
	});
});

function blockPlacementCallback(sSize, sBlock)
{
	aParts = explode('x', sSize);
	iWidth = trim(aParts[0]);
	iHeight = trim(aParts[1]);

	$('#js_upload_ad_size_find').val(trim(sSize));
	$('.js_ad_holder').hide();	
	
	$('#js_ad_position_selected').find('span').html('Block ' + sBlock + ' (' + trim(sSize) + ')')
	$('#js_ad_position_selected').show();
	$('#js_ad_position_select').hide();
	
	if ((iWidth == 728 && iHeight == 90) || (iWidth == 468 && iHeight == 60))
	{
		sGlobalAdHolder = 'js_sample_ad_form_728_90';
		$('#js_sample_ad_form_728_90').show();
		$('#js_sample_ad_form_728_90').css('width', iWidth + 'px');
		$('#js_sample_ad_form_728_90').css('height', iHeight + 'px');		
	}
	else	
	{
		sGlobalAdHolder = 'js_sample_ad_form_160_600';
		$('#js_sample_ad_form_160_600').show();
		$('#js_sample_ad_form_160_600').css('width', iWidth + 'px');
		$('#js_sample_ad_form_160_600').css('height', iHeight + 'px');
	}
}