<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Attachment
 * @version 		$Id: ajax.class.php 2283 2011-01-31 16:01:19Z Miguel_Espinoza $
 */
class Attachment_Component_Ajax_Ajax extends Phpfox_Ajax
{	
	public function upload()
	{
		Phpfox::getBlock('attachment.upload', array(
				'sCategoryId' => $this->get('category_id')
			)
		);
	
		$this->call('$("#js_attachment_content").html("' . $this->getContent() . '");');
		$this->call("$('#swfUploaderContainer').css('top',70).css('z-index',880);");
		$this->call('Phpfox.loadInit();');
	}
	
	public function add()
	{
		Phpfox::getBlock('attachment.add', array(
				'sAttachments' => $this->get('attachments'),
				'sCategoryId' => $this->get('category_id'),
				'iItemId' => $this->get('item_id'),
				'sAttachmentInput' => $this->get('input')
			)
		);
	}
	
	public function browse()
	{
		Phpfox::getBlock('attachment.archive', array('sPage' => (int)$this->get('page')));
		// $this->call('swfu.destroy();');
		$this->call('$("#js_attachment_content").html("' . $this->getContent() . '");');
		$this->call("$('#swfUploaderContainer').css('top',0).css('z-index',0);");
		
	}
	
	public function updateDescription()
	{		
		if (($iUserId = Phpfox::getService('attachment')->hasAccess($this->get('iId'), 'delete_own_attachment', 'delete_user_attachment')) && Phpfox::getService('attachment.process')->updateDescription((int) $this->get('iId'), $iUserId, $this->get('info')))
		{
			$this->html('#js_description' . $this->get('iId'), Phpfox::getLib('parse.output')->clean(Phpfox::getLib('parse.input')->clean($this->get('info'))), '.highlightFade()');
		}
	}
	
	public function inline()
	{
		if (Phpfox::getService('attachment.process')->updateInline($this->get('id')))
		{
			
		}
	}
	
	public function inlineRemove()
	{
		if (Phpfox::getService('attachment.process')->updateInline($this->get('id'), true))
		{
			
		}		
	}

	public function delete()
	{		
		if (($iUserId = Phpfox::getService('attachment')->hasAccess($this->get('id'), 'delete_own_attachment', 'delete_user_attachment')) && is_numeric($iUserId) && Phpfox::getService('attachment.process')->delete($iUserId, $this->get('id')))
		{
			$this->call("$('.sJsAttachmentLi" . $this->get('id') . "').hide();");
		}
	}
	
	public function updateActivity()
	{		
		if (Phpfox::getService('attachment.process')->updateActivity($this->get('id'), $this->get('active')))
		{
			
		}
	}		
}

?>