<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Attachment
 * @version 		$Id: list.class.php 852 2009-08-10 18:05:32Z Raymond_Benc $
 */
class Attachment_Component_Block_List extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{	
		$iId = (int) $this->getParam('iItemId');
		$sType = $this->getParam('sType');
		$aRows = $this->getParam('attachments', null);

		if (!is_array($aRows))
		{
			list($iCnt, $aRows) = Phpfox::getService('attachment')->get("attachment.item_id = {$iId} AND attachment.view_id = 0 AND attachment.category_id = '" . Phpfox::getLib('database')->escape($sType) . "' AND attachment.is_inline = 0", 'attachment.attachment_id DESC', '', '', false);
		}
		
		$this->template()->assign(array(
				'aAttachments' => $aRows,
				'sUrlPath' => Phpfox::getParam('core.url_attachment'),
				'sUsage' => Phpfox::getUserBy('space_attachment')
			)
		);
		
		(($sPlugin = Phpfox_Plugin::get('attachment.component_block_list_process')) ? eval($sPlugin) : false);
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		$this->template()->clean(array(
			'aAttachments',
			'sUrlPath',
			'sUsage'
		));		
		
		(($sPlugin = Phpfox_Plugin::get('attachment.component_block_list_clean')) ? eval($sPlugin) : false);
	}
}

?>