<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Attachment
 * @version 		$Id: list.html.php 1298 2009-12-05 16:19:23Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aAttachments)}
<div class="p_top_15 attachment_holder">
	<div id="attachment"><a name="attachment"></a></div>
	<h3>{phrase var='attachment.attached_files'}</h3>
	<ul class="defaultList">
	{foreach from=$aAttachments key=iKey item=aAttachment}
		<li class="sJsAttachmentLi{$aAttachment.attachment_id}{if is_int($iKey/2)} switch{/if}">
			<a href="{url link="attachment.download" id=""$aAttachment.attachment_id""}">{$aAttachment.file_name}</a> ({$aAttachment.file_size|filesize}, {phrase var='attachment.views' total=$aAttachment.counter})
			{if (Phpfox::getUserParam('attachment.delete_own_attachment') && $aAttachment.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('attachment.delete_user_attachment')}
				<span style="font-size:9pt;">- <a href="#" onclick="if (confirm('{phrase var='core.are_you_sure' phpfox_squote=true}')) $.ajaxCall('attachment.delete', 'id={$aAttachment.attachment_id}'); return false;">{phrase var='attachment.delete'}</a></span>
			{/if}		
			{if $aAttachment.is_image}
			<div class="p_4">
				<div class="go_left">
					{img thickbox=true server_id=$aAttachment.server_id title=$aAttachment.description path='core.url_attachment' file=$aAttachment.destination suffix='_thumb' max_width='attachment.attachment_max_thumbnail' max_height='attachment.attachment_max_thumbnail'}
				</div>
				{$aAttachment.description}
				<div class="clear"></div>
			</div>
			{/if}	
		</li>
	{/foreach}
	</ul>
</div>
{/if}