<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Blog
 * @version 		$Id: entry.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>{if !defined('PHPFOX_IS_USER_PROFILE') && isset($bBlogView)}
<div class="item_view_photo">
	{img user=$aItem suffix='_75' max_width=75 max_height=75}
</div>
{/if}
{if isset($bBlogView)}
<div class="item_info">
	{$aItem.info}
</div>
{/if}
<div id="js_blog_entry{$aItem.blog_id}"{if !isset($bBlogView)} class="js_blog_parent {if is_int($phpfox.iteration.blog/2)}row1{else}row2{/if}{if $phpfox.iteration.blog == 1} row_first{/if}{if $aItem.is_approved != 1} row_moderate{/if}"{/if}>	
	{if !isset($bBlogView)}
	<div class="row_title">
		{if !Phpfox::isAdminPanel() && $aItem.post_status != 2 && Phpfox::getParam('blog.digg_integration') && ($aItem.privacy == 1 || $aItem.privacy == 2)}
		<div style="position:absolute; right:2px; top:15px;">				
		 	<script type="text/javascript">
				digg_url = '{url link=''$aItem.user_name'.blog.'$aItem.title_url''}';
				digg_window = 'new';
				digg_skin = 'compact';
			</script>
			<script src="http://digg.com/tools/diggthis.js" type="text/javascript"></script>									
		</div>		
		{/if}	
		<div class="row_title_image">
			{img user=$aItem suffix='_50' max_width=50 max_height=50}
		</div>
		<div class="row_title_info">
			{if !Phpfox::getUserParam('blog.can_view_private_blogs') && $aItem.user_id != Phpfox::getUserId() && $aItem.privacy == 4 && !isset($aItem.privacy_pass)}
			[{phrase var='blog.private_entry'}]
			{elseif !Phpfox::getUserParam('blog.can_view_private_blogs') && $aItem.user_id != Phpfox::getUserId() && $aItem.privacy == 3 && !isset($aItem.is_friend)}
			[{phrase var='blog.private_entry_friends_only'}]
			{else}
			{if $aItem.is_approved == 1 && (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')}<a href="#?type=input&amp;id=js_blog_edit_title{$aItem.blog_id}&amp;content=js_blog_edit_inner_title{$aItem.blog_id}&amp;call=blog.updateTitle&amp;blog_id={$aItem.blog_id}&amp;old_title={$aItem.title_url}" class="quickEdit" title='{phrase var='blog.click_to_edit_title' phpfox_squote=true}'>{img theme='misc/page_white_edit.png' alt='Edit' style='vertical-align:middle;'}</a>{/if}
			{if $aItem.post_status == 2}
			{phrase var='blog.draft_info'}
			{/if}		
			<span id="js_blog_edit_title{$aItem.blog_id}">
				<a href="{url link=""$aItem.user_name".blog."$aItem.title_url""}" id="js_blog_edit_inner_title{$aItem.blog_id}" class="link">{$aItem.title|clean|shorten:55|split:40}</a>
			</span>
			{/if}
			<div class="extra_info">
				{$aItem.info}
				{plugin call='blog.template_block_entry_date_end'}
			</div>
		</div>					
	</div>
	{/if}	
		<div class="blog_content">
			{if !Phpfox::getUserParam('blog.can_view_private_blogs') && $aItem.user_id != Phpfox::getUserId() && $aItem.privacy == 4 && !isset($aItem.privacy_pass)}
				{phrase var='blog.private_blog_entry'}
			{elseif !Phpfox::getUserParam('blog.can_view_private_blogs') && $aItem.user_id != Phpfox::getUserId() && $aItem.privacy == 3 && !isset($aItem.is_friend)}
				{phrase var='blog.private_blog_entry_friends_only'}
			{else}
			<div id="js_blog_edit_text{$aItem.blog_id}">	
			{if ($aItem.password && !Phpfox::getUserParam('blog.can_view_private_blogs') && Phpfox::getLib('session')->get('blog_password_' . $aItem.blog_id) && !Phpfox::getLib('hash')->getRandomHash('' . $aItem.password, Phpfox::getLib('session')->get('blog_password_' . $aItem.blog_id))) || (!Phpfox::getUserParam('blog.can_view_private_blogs') && !Phpfox::getLib('session')->get('blog_password_' . $aItem.blog_id) && $aItem.password && $aItem.user_id != Phpfox::getUserId())}
				<b>{phrase var='blog.this_blog_password_protected'}</b>
				<div class="p_top_25">
					{if isset($bBlogView)}<form method="post" action="{url link="current"}">{token}{/if}
					{phrase var='blog.enter_password'}: <input type="password" id="js_password{$aItem.blog_id}" name="blog_password" maxlength="20" value="" /> <input type="submit" value="{phrase var='core.go'}" class="button"{if !isset($bBlogView)} onclick="$('#js_password{$aItem.blog_id}').ajaxCall('blog.addPassword', 'blog_id={$aItem.blog_id}'); return false;"{/if} />
					{if isset($bBlogView)}</form>{/if}
				</div>
			{else}
			{if isset($bBlogView)}
				{$aItem.text|parse|highlight:'search'|split:55}
				{else}
				{$aItem.text|parse|highlight:'search'|split:55|shorten:$iShorten:'...'}
			{/if}
			{/if}	
			</div>	
			{if isset($aItem.tag_list)}
			{module name='tag.item' sType=$sTagType sTags=$aItem.tag_list iItemId=$aItem.blog_id iUserId=$aItem.user_id}
			{/if}
			{if isset($bBlogView) && $aItem.total_attachment}
			{module name='attachment.list' sType=blog iItemId=$aItem.blog_id}
			{/if}
			{plugin call='blog.template_block_entry_text_end'}
			<div class="blogLinks p_top_15 p_bottom_25">			
				{plugin call='blog.template_block_entry_left_item_menu'}	
				<div class="t_right">
					<ul class="item_menu">
					{if !Phpfox::isAdminPanel() && $aItem.post_status != 2 && Phpfox::isModule('share') && ($aItem.privacy == 1 || $aItem.privacy == 2)}
						{module name='share.link' type='blog' display='menu' url=$aItem.bookmark_url title=$aItem.title}
					{/if}
					{if $aItem.is_approved != 1 && Phpfox::getUserParam('blog.can_approve_blogs')}
						<li><a href="#" onclick="$(this).parents('.js_blog_parent:first').removeClass('row_moderate'); $(this).parent().remove(); $.ajaxCall('blog.approve', 'id={$aItem.blog_id}'); return false;">{phrase var='blog.approve'}</a></li>
					{/if}
					{if Phpfox::isModule('favorite') && ($aItem.privacy == 1 || $aItem.privacy == 2)}
						<li><a href="#?call=favorite.add&amp;height=100&amp;width=400&amp;type=blog&amp;id={$aItem.blog_id}" class="inlinePopup" title="{phrase var='blog.add_to_your_favorites'}">{phrase var='blog.favorite'}</a></li>
					{/if}					
					{if Phpfox::isModule('report') && $aItem.user_id != Phpfox::getUserId()}
						<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=blog&amp;id={$aItem.blog_id}" class="inlinePopup" title="{phrase var='blog.report_a_blog'}">{phrase var='blog.report'}</a></li>
					{/if}
					{if $aItem.is_approved == 1 && (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')}
						<li><a href="{url link="blog.add" id=""$aItem.blog_id""}#?type=text&amp;id=js_blog_edit_text{$aItem.blog_id}&amp;call=blog.updateText&amp;blog_id={$aItem.blog_id}&amp;data=blog.getText" class="quickEdit">{phrase var='core.edit'}</a></li>
					{/if}
					{if (Phpfox::getUserParam('blog.delete_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.delete_user_blog')}
					{if isset($bBlogView)}
						<li><a href="{url link="blog.delete" id=""$aItem.blog_id""}" onclick="return confirm('{phrase var='blog.are_you_sure_you_want_to_delete_this_blog' phpfox_squote=true}');" title="{phrase var='blog.delete_blog'}">{phrase var='core.delete'}</a></li>
					{else}
						<li><a href="#TB_inline?type=delete&amp;itemId={$aItem.blog_id}&amp;call=blog.inlineDelete" class="thickbox" title="{phrase var='blog.delete_blog'}">{phrase var='core.delete'}</a></li>
					{/if}
					{/if}
					{if !isset($bBlogView)}
						{if $aItem.total_comment}
						<li>{if Phpfox::getParam('core.is_personal_site')}<a href="{url link="blog."$aItem.title_url""}#comment">{else}<a href="{url link=""$aItem.user_name".blog."$aItem.title_url""}#comment">{/if}
						{if $aItem.total_comment == '1'}
							{phrase var='blog.x_comment' total=$aItem.total_comment}
						{else}
							{phrase var='blog.x_comments' total=$aItem.total_comment}
						{/if}
						</a>
						</li>
						{/if}
						<li>{if Phpfox::getParam('core.is_personal_site')}<a href="{url link="blog."$aItem.title_url""}">{phrase var='blog.view_entry'}</a>{else}<a href="{url link=""$aItem.user_name".blog."$aItem.title_url""}">{phrase var='blog.view_entry'}</a>{/if}</li>
					{/if}
						{plugin call='blog.template_block_entry_links_main'}
						<li style="display:none;"><a href="#"><!-- --></a></li>
					</ul>
				</div>
				{if !Phpfox::isAdminPanel() && $aItem.post_status != 2 && Phpfox::getParam('blog.digg_integration') && ($aItem.privacy == 1 || $aItem.privacy == 2)}
				<div class="clear"></div>
				{/if}
			</div>
			{/if}
		</div>
	
	{plugin call='blog.template_block_entry_end'}
</div>