<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Blog
 * @version 		$Id: add.html.php 1941 2010-10-27 09:49:03Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<script type="text/javascript">
<!--
{literal}
	function plugin_addFriendToSelectList()
	{
		$('#js_allow_list_input').show();
	}
{/literal}
-->
</script>
<div class="main_break">
	{$sCreateJs}
	<form method="post" action="{url link="current"}" id="core_js_blog_form" onsubmit="{$sGetJsForm}">
		<div><input type="hidden" name="val[attachment]" id="js_attachment" value="{value type='input' id='attachment'}" /></div>
		<div><input type="hidden" name="val[selected_categories]" id="js_selected_categories" value="{value type='input' id='selected_categories'}" /></div>
		{if $bIsEdit}<div><input type="hidden" name="id" value="{$aForms.blog_id}" /></div>{/if}
		{plugin call='blog.template_controller_add_hidden_form'}
		
		<div class="table">
			<div class="table_left">
				<label for="title">{required}{phrase var='blog.title'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[title]" value="{value type='input' id='title'}" id="title" size="40" />
			</div>			
		</div>
		
		{plugin call='blog.template_controller_add_textarea_start'}
		
		<div class="table">
			<div class="table_left">
				<label for="text">{required}{phrase var='blog.post'}:</label>
			</div>
			<div class="table_right">
				{editor id='text'}
			</div>			
		</div>
		
		<div class="table">
			<div class="table_left">
				{phrase var='blog.categories'}:
			</div>
			<div class="table_right">
			{if Phpfox::getUserParam('blog.blog_add_categories')}
				<div class="label_flow_menu">	
					<ul>
						<li class="label_flow_menu_active"><a href="#blog.displayCategories?sType=default{if $bIsEdit}&amp;blog_id={$aForms.blog_id}{/if}">{phrase var='blog.all'}</a></li>
						<li><a href="#blog.displayCategories?sType=public{if $bIsEdit}&amp;blog_id={$aForms.blog_id}{/if}">{phrase var='blog.public'}</a></li>
						<li id="js_user_personal_categories"><a href="#blog.displayCategories?sType=personal{if $bIsEdit}&amp;blog_id={$aForms.blog_id}{/if}">{phrase var='blog.personal'}</a></li>
						<li class="last"><a href="#blog.displayCategories?sType=used{if $bIsEdit}&amp;blog_id={$aForms.blog_id}{/if}">{phrase var='blog.most_used'}</a></li>
					</ul>
					<br class="clear" />
				</div>
			{/if}
				<div class="label_flow label_hover labelFlowContent" style="height:100px;" id="js_category_content">
				{if $bIsEdit}
					{module name='blog.add-category-list' user_id=$aForms.user_id}
				{else}
					{module name='blog.add-category-list'}
				{/if}
				</div>
				{if Phpfox::getUserParam('blog.blog_add_categories') && $bCanEditPersonalData}
				<div class="p_top_15">
					<script type="text/javascript">
					<!--
					{literal}
					function addBlogCategory()
					{
						{/literal}
						if ($('#js_add_category').val() != '' && $('#js_add_category').val() != '{phrase var='blog.add_a_new_category' phpfox_squote=true}')
						{literal}
						{
							$('#js_add_category').ajaxCall('blog.addCategory');
						}
					}
					{/literal}
					-->
					</script>
					<input type="text" name="val[add]" value="{phrase var='blog.add_a_new_category'}" onclick="if(this.value=='{phrase var='blog.add_a_new_category' phpfox_squote=true}')this.value='';" onblur="if(this.value=='')this.value='{phrase var='blog.add_a_new_category' phpfox_squote=true}';" id="js_add_category" class="v_middle" /> <input type="button" value="{phrase var='blog.add'}" class="button v_middle" onclick="addBlogCategory();"  />
					<span id="js_category_info"></span>
					<div class="extra_info">{phrase var='blog.multiple_categories_with_commas'}</div>
				</div>	
				{/if}
			</div>			
		</div>
		
		{if Phpfox::isModule('tag') && Phpfox::getUserParam('tag.can_add_tags_on_blogs')}{module name='tag.add' sType=blog}{/if}
		{if Phpfox::isModule('captcha') && Phpfox::getUserParam('captcha.captcha_on_blog_add')}{module name='captcha.form' sType=blog}{/if}
		
		{plugin call='blog-template_controller_add_textarea_end'}
		
		<div class="table_clear">
			{plugin call='blog.template_controller_add_submit_buttons'}
			{if $bIsEdit && $aForms.post_status == 2}			
			<input type="submit" name="val[draft_publish]" value="{phrase var='blog.publish'}" class="button" />
			<input type="submit" name="val[draft_update]" value="{phrase var='blog.update'}" class="button" />
			{else}
			<input type="submit" name="val[{if $bIsEdit}update{else}publish{/if}]" value="{if $bIsEdit}{phrase var='blog.update'}{else}{phrase var='blog.publish'}{/if}" class="button" />
			{/if}			
			{if !$bIsEdit}<input type="submit" name="val[draft]" value="{phrase var='blog.save_as_draft'}" class="button" />{/if}
			<input type="button" name="val[preview]" value="{phrase var='blog.preview'}" class="button" onclick="tb_show('{phrase var='blog.blog_preview' phpfox_squote=true}', $.ajaxBox('blog.preview', 'height=400&amp;width=600&amp;text=' + encodeURIComponent(Editor.getContent())));" />				
		</div>
		
		<h3>{phrase var='blog.additional_options'}</h3>
		{if Phpfox::getUserParam('privacy.can_set_allow_list_on_blogs')}
		<div class="table">
			<div class="table_left">
				{phrase var='blog.privacy'}:
			</div>
			<div class="table_right label_hover">	
				<select name="val[privacy]" id="privacy" style="width:400px;"{if (!$bIsEdit) || ($bIsEdit && $aForms.user_id == Phpfox::getUserId())} onchange="if (this.value == '4'){literal}{ Phpfox.getFriends({input: 'allow_list'}); }{/literal}"{/if}>
					<option value="1"{value type='select' id='privacy' default='1'}>{phrase var='blog.public_blog_added_public_blog_section'}</option>
					<option value="2"{value type='select' id='privacy' default='2'}>{phrase var='blog.personal_blog_displayed_profile'}</option>
					<option value="3"{value type='select' id='privacy' default='3'}>{phrase var='blog.friends_view_this_blog'}</option>
					{if (!$bIsEdit) || ($bIsEdit && $aForms.user_id == Phpfox::getUserId()) || ($bIsEdit && $aForms.user_id != Phpfox::getUserId() && $aForms.privacy == 4)}
					<option value="4"{value type='select' id='privacy' default='4'}>{phrase var='blog.preferred_list'}</option>
					{/if}
				</select>
				{if (!$bIsEdit) || ($bIsEdit && $aForms.user_id == Phpfox::getUserId())}
				<div style="width:400px; margin-top:5px;{if !$bIsEdit} display:none;{else}{if $bIsEdit && $aForms.privacy != 4} display:none;{/if}{/if}" id="js_allow_list_input" class="fix_left_margin">
					{if $bIsEdit}{module name='privacy.list' type='blog' id=$aForms.blog_id input='allow_list'}{else}{module name='privacy.list' type='blog' input='allow_list'}{/if}
				</div>
				{/if}
			</div>			
		</div>
		{/if}
		{if Phpfox::getUserParam('blog.can_password_protect_blogs')}		
		<div class="table">
			<div class="table_left">
				<label for="password">{phrase var='blog.password_protect_post'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[password]" id="password" value="{value type='input' id='password'}" size="22" maxlength="50" />	
			</div>			
		</div>
		{/if}
		
		{if Phpfox::isModule('comment') && Phpfox::getUserParam('blog.can_control_comments_on_blogs')}
		<div class="table">
			<div class="table_left">
				{phrase var='blog.comments'}:
			</div>
			<div class="table_right label_hover">
				<select name="val[allow_comment]" id="allow_comment">
					<option value="1"{value type="select" id="allow_comment" default="1"}>{phrase var='blog.allow_comments'}</option>
					<option value="2"{value type="select" id="allow_comment" default="2"}>{phrase var='blog.moderate_comments_first'}</option>
					<option value="0"{value type="select" id="allow_comment" default="0"}>{phrase var='blog.no_comments'}</option>
				</select>
			</div>			
		</div>
		{/if}
		
		<div class="table">
			<div class="table_left">
				{phrase var='blog.post_status'}:
			</div>
			<div class="table_right label_hover">
				<label><input value="1" type="radio" name="val[post_status]" id="js_post_status1" class="checkbox" {value type='checkbox' id='post_status' default='1'}/> {phrase var='blog.published'}</label>
				<label><input value="2" type="radio" name="val[post_status]" id="js_post_status2" class="checkbox" {value type='checkbox' id='post_status' default='2'}/> {phrase var='blog.draft'}</label>
			</div>			
		</div>
		{plugin call='blog.template_controller_add_additional_options'}
		
		<div class="table_clear">
			{plugin call='blog.template_controller_add_submit_buttons'}
			{if $bIsEdit && $aForms.post_status == 2}			
			<input type="submit" name="val[draft_publish]" value="{phrase var='blog.publish'}" class="button" />
			<input type="submit" name="val[draft_update]" value="{phrase var='blog.update'}" class="button" />
			{else}
			<input type="submit" name="val[{if $bIsEdit}update{else}publish{/if}]" value="{if $bIsEdit}{phrase var='blog.update'}{else}{phrase var='blog.publish'}{/if}" class="button" />
			{/if}			
			{if !$bIsEdit}<input type="submit" name="val[draft]" value="{phrase var='blog.save_as_draft'}" class="button" />{/if}
			<input type="button" name="val[preview]" value="{phrase var='blog.preview'}" class="button" onclick="tb_show('{phrase var='blog.blog_preview' phpfox_squote=true}', $.ajaxBox('blog.preview', 'height=400&amp;width=600&amp;text=' + encodeURIComponent(Editor.getContent())));" />				
		</div>
	
	</form>
	
	{if Phpfox::getParam('core.display_required')}
	<div class="table_clear">
		{required} {phrase var='core.required_fields'}
	</div>
	{/if}
</div>
