<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: view.class.php 981 2009-09-15 13:53:22Z Raymond_Benc $
 */
class Comment_Component_Controller_View extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$aComment = Phpfox::getService('comment')->getComment($this->request()->getInt('id'));
		
		if (!isset($aComment['comment_id']))
		{
			return Phpfox_Error::display(Phpfox::getPhrase('comment.comment_does_not_exist'));
		}
		
		$this->url()->forward(Phpfox::callback('comment.getRedirectRequest', $aComment['comment_id']));
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('comment.component_controller_view_clean')) ? eval($sPlugin) : false);
	}
}

?>