<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: footer.html.php 1491 2010-03-03 15:34:04Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
			<div id="footer_menu" class="js_footer_holder footer_bar_block_holder" style="display:none;">
				<div class="footer_menu_header">		
					<div style="position:absolute; right:0; margin-right:2px;">
						<a href="#" class="footer_menu_minimize" onclick="$('#footer_menu').hide(); $('#js_footer_start_button').removeClass('focus').removeClass('is_already_open'); return false;">{img theme='misc/minimize.gif' alt='' class='v_middle'}</a>
					</div>
					<div style="position:absolute; right:0; margin-right:2px; margin-top:28px;">
						<a href="{url link='user.logout'}" title="{phrase var='core.logout'}">{img theme='layout/exit.png' alt='' class='v_middle'}</a>	
					</div>
					<div style="position:absolute; left:60px;">
						<a href="{url link='profile'}" title="{phrase var='core.click_to_view_your_profile'}">{$sGlobalUserFullname|clean|shorten:20:'...'}</a>
					</div>	
					<a href="{url link='user.photo'}" title="{phrase var='core.click_to_change_your_profile_photo'}">{$sGlobalUserImage}</a>
				</div>
				<div class="footer_menu_content footer_bar_block_holder">
				
					<form method="post" action="{url link='current'}" onsubmit="$(this).ajaxCall('user.updateStatus'); return false;" id="js_user_status_form">
						<div><input type="hidden" name="inline" value="true" /></div>				
						<div id="js_update_user_status">	
							<input type="text" name="status" value="{if empty($sGlobalUserStatus)}{phrase var='core.what_is_on_your_mind'}{else}{$sGlobalUserStatus|clean}{/if}" style="vertical-align:middle; width:98%;" size="30" id="js_status_input" maxlength="160" onfocus="if (this.value == '{phrase var='core.what_is_on_your_mind' phpfox_squote=true}') {left_curly} this.value = ''; {right_curly} this.select(); $('#js_update_user_status_button').show();" onblur="if (this.value == '') {left_curly} this.value = '{phrase var='core.what_is_on_your_mind' phpfox_squote=true}'; {right_curly}" />
							<div id="js_update_user_status_button" style="display:none; padding-top:4px;">
								<div style="position:absolute; right:6px;">
									(<a href="#" onclick="$.ajaxCall('user.clearStatus'); return false;" title="{phrase var='core.clear_your_current_status'}">{phrase var='core.clear'}</a>)
								</div>							
								{phrase var='core.link_save_or_cancel'}								
							</div>
						</div>			
					</form>
				
					<div class="footer_menu_separate"></div>
				
					<ul class="footer_link">
						{if isset($aDashboards.submit) && count($aDashboards.submit)}
						<li>
							<a href="#" onclick="if ($(this).hasClass('focus')) {left_curly} $(this).removeClass('focus'); $('.js_footer_sub_action').hide(); {right_curly} else {left_curly} $(this).parents('ul:first').find('a').removeClass('focus'); $(this).addClass('focus'); $('.js_footer_sub_action').hide(); $(this).parent().find('ul').show(); {right_curly} return false;">{img theme='misc/application_add.png' alt='' class='v_middle'} {phrase var='core.submit'}</a>
							<ul class="js_footer_sub_action" style="display:none;">
								{if isset($aDashboards.submit)}
								{foreach from=$aDashboards.submit item=aLink}
								<li><a href="{url link=$aLink.link}">{img theme=$aLink.image class='v_middle'} {$aLink.phrase}</a></li>
								{/foreach}
								{/if}
							</ul>					
						</li>
						{/if}
						{if isset($aDashboards.edit) && count($aDashboards.edit)}
						<li>
							<a href="#" onclick="if ($(this).hasClass('focus')) {left_curly} $(this).removeClass('focus'); $('.js_footer_sub_action').hide(); {right_curly} else {left_curly} $(this).parents('ul:first').find('a').removeClass('focus'); $(this).addClass('focus'); $('.js_footer_sub_action').hide(); $(this).parent().find('ul').show(); {right_curly} return false;">{img theme='misc/application_edit.png' alt='' class='v_middle'} {phrase var='core.manage'}</a>
							<ul class="js_footer_sub_action" style="display:none;">
							    {if isset($aDashboards.edit)}
								{foreach from=$aDashboards.edit item=aLink}
								<li><a href="{url link=$aLink.link}">{img theme=$aLink.image class='v_middle'} {$aLink.phrase}</a></li>
								{/foreach}
								{/if}
							</ul>						
						</li>
						{/if}
						{if isset($aDashboards.profile) && count($aDashboards.profile)}
						<li>
							<a href="#" onclick="if ($(this).hasClass('focus')) {left_curly} $(this).removeClass('focus'); $('.js_footer_sub_action').hide(); {right_curly} else {left_curly} $(this).parents('ul:first').find('a').removeClass('focus'); $(this).addClass('focus'); $('.js_footer_sub_action').hide(); $(this).parent().find('ul').show(); {right_curly} return false;">{img theme='misc/user.png' alt='' class='v_middle'} {phrase var='core.profile'}</a>
							<ul class="js_footer_sub_action" style="display:none;">
							    {if isset($aDashboards.profile)}
								{foreach from=$aDashboards.profile item=aLink}
								<li><a href="{url link=$aLink.url}">{img theme='misc/application.png' alt='' class='v_middle'} {phrase var=$aLink.module'.'$aLink.var_name}</a></li>
								{/foreach}
								{/if}
							</ul>							
						</li>
						{/if}
					</ul>
					
					<div class="footer_menu_separate"></div>
				
					<form method="post" action="{url link='search'}">
						<div><input type="text" name="q" value="{phrase var='core.start_search'}" style="width:95%;" onclick="if (this.value == '{phrase var='core.start_search' phpfox_squote=true}') this.value = '';" onblur="if (this.value == '') this.value = '{phrase var='core.start_search' phpfox_squote=true}';" /></div>
					</form>	
				</div>
			</div>		
			{if Phpfox::isModule('favorite')}
			<div id="footer_bar_favorite" class="js_footer_holder footer_bar_block_holder" style="display:none;">
				<div class="footer_menu_header">
					<div style="position:absolute; right:0; margin-right:2px;">
						<a href="#" class="footer_menu_minimize" onclick="$('#footer_bar_favorite').hide(); $('#js_favorite_start_button').removeClass('focus').removeClass('is_already_open'); return false;">{img theme='misc/minimize.gif' alt='' class='v_middle'}</a>
					</div>				
					<a href="{url link='profile.favorite'}">{phrase var='favorite.favorites'}</a>
				</div>
				<div id="js_footer_bar_favorite_content" class="footer_menu_content_bg">
					<!-- EMPTY_FOOTER_BAR -->					
				</div>
			</div>
			{/if}
			<div class="footer_bar_block_holder" id="footer_bar"{if Phpfox::getUserBy('footer_bar')} style="display:none;"{/if}>					
				<div style="position:absolute; right:0;">
					<ul class="right">
						{if Phpfox::isModule('im') && Phpfox::getParam('im.enable_im_in_footer_bar')}
						{module name='im.footer'}
						{/if}						
						{if Phpfox::isModule('favorite')}
						<li><a href="#" title="{phrase var='core.favorites'}" id="js_favorite_start_button">{img theme='misc/favorite_16x16.png' alt='' class='v_middle'}</a></li>
						{/if}
						{if Phpfox::isModule('notification') && Phpfox::getParam('notification.notify_on_new_request')}
							{module name='notification.link'}
						{/if}
						<li id="js_global_footer_time_stamp"><a href="{url link='user.setting'}" title="{$sGlobalTimeStamp}">{$sGlobalTimeStampMini}</a></li>
						<li><a href="#" onclick="$('#footer_bar').find('a').removeClass('focus').removeClass('is_already_open'); $('#footer_bar').hide(); $('.js_footer_holder').hide(); $('#footer_bar_open').show(); $.ajaxCall('user.updateFooterBar', 'type_id=1'); return false;" title="{phrase var='core.hide_the_footer_bar'}">{img theme='layout/hide.gif' alt='' class='v_middle'}</a></li>
					</ul>
				</div>
				<ul class="left">
					<li><a href="#" id="js_footer_start_button">{img theme='layout/logo_small.png' alt='Start' class='v_middle'} {param var='core.footer_bar_site_name'}</a></li>
					<li><a href="{url link=''}" title="{phrase var='core.dashboard'}">{img theme='layout/dashboard.png' alt='' class='v_middle'}</a></li>
				</ul>			
			</div>	
		
			<div class="footer_bar_block_holder" id="footer_bar_open"{if !Phpfox::getUserBy('footer_bar')}  style="display:none;"{/if}>
				<ul class="right">					
					<li><a href="#" onclick="$('#footer_bar').show(); $('#footer_bar_open').hide();  $.ajaxCall('user.updateFooterBar', 'type_id=0'); return false;" title="{phrase var='core.show_the_footer_bar'}">{img theme='layout/open.gif' alt='' class='v_middle'}</a></li>					
				</ul>			
			</div>