<?php
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Miguel Espinoza
 * @package 		Phpfox
 * @version 		$Id: sponsored.html.php 1594 2010-05-22 22:49:41Z Raymond_Benc $
 */

defined('PHPFOX') or exit('NO DICE!');

?>
{if isset($aSponsorEvents.image_path) && $aSponsorEvents.image_path != ''}
<div class="t_center">
    <a href="{url link='ad.sponsor' view=$aSponsorEvents.sponsor_id}">
	{img title=$aSponsorEvents.title path='event.url_image' file=$aSponsorEvents.image_path suffix='_200' max_width='200' max_height='200'}
    </a>
</div>
{/if}
<div class="t_center info sponsored_title">
    <a href="{url link='ad.sponsor' view=$aSponsorEvents.sponsor_id}">
	{$aSponsorEvents.title}
    </a>
</div>
<div class="t_center info sponsored_short_description">
    {$aSponsorEvents.tag_line}
</div>

<div class="info">
	<div class="info_left">
		{phrase var='event.host'}:
	</div>
	<div class="info_right">
		{$aSponsorEvents.host|clean}
	</div>
</div>
<div class="info">
	<div class="info_left">
		{phrase var='event.date'}:
	</div>
	<div class="info_right">
		{$aSponsorEvents.event_date}
	</div>
</div>
<div class="info">
    <div class="info_left">
		{phrase var='event.location'}:
    </div>
    <div class="info_right">
		{$aSponsorEvents.country_iso|location}
		{if !empty($aSponsorEvents.country_child_id)}
	<div class="p_2">&raquo; {$aSponsorEvents.country_child_id|location_child}</div>
		{/if}
		{if !empty($aSponsorEvents.city)}
	<div class="p_2">&raquo; {$aSponsorEvents.city|clean} </div>
		{/if}
    </div>
</div>
<div class="info">
    <div class="info_left">
		{phrase var='event.category'}:
    </div>
    <div class="info_right">
	{foreach from=$aSponsorEvents.categories name=categories item=aCategory}
	{if $phpfox.iteration.categories != 1}<div class="p_2">&raquo; {/if}
	    <a href="{$aCategory.1}">{$aCategory.0}</a>
		{if $phpfox.iteration.categories != 1}</div>{/if}
	{/foreach}
    </div>
</div>