<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: add.html.php 2560 2011-04-26 08:41:13Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="header_bar_menu" style="margin-left:20px; position:relative;">
	{if isset($aForms.title_url) && $bIsEdit && !$sStep}
	<ul style="position:absolute; right:0; margin-right:10px;">
		<li class="last"><a href="{if $aCallback !== false}{url link=''$aCallback.url_home'.event.view.'$aForms.title_url''}{else}{url link='event.view.'$aForms.title_url''}{/if}">{phrase var='event.view_this_event'}</a></li>
	</ul>
	{/if}
	{if $bIsEdit && $sStep}
	<ul style="position:absolute; right:0; margin-right:10px;">
		<li class="last"><a href="{if $aCallback !== false}{url link=''$aCallback.url_home'.event.view.'$aForms.title_url''}{else}{url link='event.view.'$aForms.title_url''}{/if}">{phrase var='event.skip_amp_view_this_event'}</a></li>
	</ul>
	{/if}
	<ul>
		<li{if $sAction == 'detail' && !$sStep} class="active"{/if}><a href="#detail" class="js_event_change_group">{if !$bIsEdit || $sStep}{phrase var='event.step_1'}: {/if}{phrase var='event.event_details'}</a></li>
		<li class="{if $sStep == 'customize' || $sAction == 'customize'}active{else}{if !$bIsEdit}locked{/if}{/if}"><a href="#customize" class="js_event_change_group">{if !$bIsEdit || $sStep}{phrase var='event.step_2'}: {/if}{phrase var='event.customize'}</a></li>
		<li class="{if !isset($aForms.title_url) || $bIsEdit && $sStep}last {/if}{if $sStep == 'invite' || $sAction == 'invite'}active{else}{if !$bIsEdit}locked{/if}{/if}"><a href="#invite" class="js_event_change_group">{if !$bIsEdit || $sStep}{phrase var='event.step_3'}: {/if}{phrase var='event.invite_guests'}</a></li>
		{if isset($aForms.title_url) && $bIsEdit && !$sStep}
		<li class="{if $sAction == 'manage'}active{/if}"><a href="#manage" class="js_event_change_group">{phrase var='event.manage_guest_list'}</a></li>
		{if Phpfox::getUserParam('event.can_mass_mail_own_members')}
		<li class="last {if $sAction == 'email'}active{/if}"><a href="#email" class="js_event_change_group">{phrase var='event.mass_email'}</a></li>
		{/if}
		{/if}
	</ul>
</div>

{if !empty($sEventMessage)}
<div class="message">
	{$sEventMessage}
</div>
<div class="main_break"></div>
{/if}

{if count($aEventErrors)}
{foreach from=$aEventErrors item=sErrorMessage}
	<div class="error_message">{$sErrorMessage}</div>
{/foreach}
<div class="main_break"></div>
{/if}

{$sCreateJs}
<form method="post" action="{url link='current'}" enctype="multipart/form-data" onsubmit="return startProcess({$sGetJsForm}, false);" id="js_event_form">
{if !empty($sModule)}
	<div><input type="hidden" name="module" value="{$sModule|htmlspecialchars}" /></div>
{/if}
{if !empty($iItem)}
	<div><input type="hidden" name="item" value="{$iItem|htmlspecialchars}" /></div>
{/if}
{if $bIsEdit}
	<div><input type="hidden" name="id" value="{$aForms.event_id}" /></div>
{/if}
	{if !$bIsEdit || $sStep}
	<div><input type="hidden" name="val[step]" value="{$sStep}" /></div>
	{/if}
	{if $bIsEdit || !$sStep}
	<div><input type="hidden" name="val[action]" value="{$sAction}" id="js_event_add_action" /></div>
	{/if}
	<div id="js_event_block_detail" class="js_event_block" style="display:none;">
	
		<div class="table">
			<div class="table_left">
			{required}<label for="category">{phrase var='event.category'}:</label>
			</div>
			<div class="table_right">
				{$sCategories}
			</div>
		</div>
		<div class="separate"></div>	
	
		<div class="table">
			<div class="table_left">
			{required}<label for="title">{phrase var='event.name'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[title]" value="{value type='input' id='title'}" id="title" size="40" maxlength="100" />
			</div>
		</div>
		<div class="table">
			<div class="table_left">
			<label for="tag_line">{phrase var='event.tagline'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[tag_line]" value="{value type='input' id='tag_line'}" id="tag_line" size="40" maxlength="100" />
			</div>
		</div>
		<div class="table">
			<div class="table_left">
			{required}<label for="host">{phrase var='event.host'}:</label>
			</div>
			<div class="table_right">
				{if empty($sHost)}
				<input type="text" name="val[host]" value="{value type='input' id='host'}" id="host" size="40" maxlength="100" />
				{else}
				{$sHost|clean}
				{/if}
			</div>
		</div>	
		<div class="table">
			<div class="table_left">
				<label for="description">{phrase var='event.description'}:</label>
			</div>
			<div class="table_right">
				{editor id='description' rows='10'}
			</div>
		</div>	
		
		<div class="table">
			<div class="table_left">
			{required}<label for="title">{phrase var='event.privacy'}:</label>
			</div>
			<div class="table_right">
				<select name="val[privacy]">
					<option value="0"{value type='select' id='privacy' default='0'}>{phrase var='event.public_everyone_can_join'}</option>
					<option value="1"{value type='select' id='privacy' default='1'}>{phrase var='event.private_does_not_show_up_anywhere_and_only_invited_users_can_rsvp'}</option>
				</select>
			</div>
		</div>		
		
		<div class="separate"></div>
		
		<div class="table">
			<div class="table_left">
				{phrase var='event.start_time'}:
			</div>
			<div class="table_right">
				{select_date prefix='start_' start_year='current_year' end_year='+1' field_separator=' / ' field_order='MDY' default_all=true add_time=true start_hour='+1' time_separator='event.time_separator'}
			</div>
		</div>	
		
		<div class="table">
			<div class="table_left">
				{phrase var='event.end_time'}:
			</div>
			<div class="table_right">
				{select_date prefix='end_' start_year='current_year' end_year='+1' field_separator=' / ' field_order='MDY' default_all=true add_time=true start_hour='+4' time_separator='event.time_separator'}
			</div>
		</div>			
		
		<div class="separate"></div>		

		<div id="location_left">
		<div class="table">
			<div class="table_left">
				{required}<label for="country_iso">{phrase var='event.country'}:</label>
			</div>
			<div class="table_right">
				{select_location}
				{module name='core.country-child'}
			</div>
		</div>	
		
		<div class="table">
			<div class="table_left">
				<label for="city">{phrase var='event.city'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[city]" value="{value type='input' id='city'}" id="city" size="20" maxlength="200" />
			</div>
		</div>		
		
		<div class="table">
			<div class="table_left">
				<label for="postal_code">{phrase var='event.zip_postal_code'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[postal_code]" value="{value type='input' id='postal_code'}" id="postal_code" size="10" maxlength="20" />
			</div>
		</div>		

		<div class="table">
			<div class="table_left">
			{required}<label for="location">{phrase var='event.location_venue'}:</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[location]" value="{value type='input' id='location'}" id="location" size="30" maxlength="200" />
			</div>
		</div>
			<div class="table">
			<div class="table_left">
				<label for="street_address">{phrase var='event.address'}</label>
			</div>
			<div class="table_right">
				<input type="text" name="val[address]" value="{value type='input' id='address'}" id="address" size="30" maxlength="200" />
			</div>
		</div>

		</div>
		
		<div id="mapHolder"></div>
		<div class="clear"></div>
		<div class="table_right">
			<div><input type="hidden" name="val[gmap][latitude]" id="input_gmap_latitude"></div>
			<div><input type="hidden" name="val[gmap][longitude]" id="input_gmap_longitude"></div>		
		</div>
		
		
		<div class="table_clear">
		{if $bIsEdit}
			<input type="submit" value="{phrase var='event.save'}" class="button" />
		{else}	
			<input type="submit" value="{phrase var='event.create_event'}" class="button" />
		{/if}
		</div>
		
	</div>

	<div id="js_event_block_customize" class="js_event_block" style="display:none;">
		<div id="js_event_block_customize_holder">
			<div class="table">
				<div class="table_left">
					{phrase var='event.event_photo'}:
				</div>
				<div class="table_right">
					{if $bIsEdit && !empty($aForms.image_path)}
					<div id="js_event_current_image">
						{img server_id=$aForms.server_id path='event.url_image' file=$aForms.image_path suffix='_120' max_width='120' max_height='120'}
						<div class="extra_info">
							{phrase var='event.click_here_to_delete_this_image_and_upload_a_new_one_in_its' java_script=$sJsEventAddCommand}
						</div>
					</div>
					{/if}
					<div id="js_event_upload_image"{if $bIsEdit && !empty($aForms.image_path)} style="display:none;"{/if}>
						<div id="js_progress_uploader"></div>
						<div class="extra_info">
							{phrase var='event.you_can_upload_a_jpg_gif_or_png_file'}
							{if $iMaxFileSize !== null}
							<br />
							{phrase var='event.the_file_size_limit_is_filesize_if_your_upload_does_not_work_try_uploading_a_smaller_picture' filesize=$iMaxFileSize}
							{/if}							
						</div>
					</div>
				</div>
			</div>
			
			<div id="js_submit_upload_image" class="table_clear"{if $bIsEdit && !empty($aForms.image_path)} style="display:none;"{/if}>
				<input type="submit" value="{phrase var='event.save'}" class="button" />
			</div>
		</div>	
	</div>
	
	<div id="js_event_block_invite" class="js_event_block" style="display:none;">	
	
			<div style="width:75%; float:left; position:relative;">
				<h3 style="margin-top:0px; padding-top:0px;">{phrase var='event.invite_friends'}</h3>
				<div style="height:370px;">			
					{if isset($aForms.event_id)}
					{module name='friend.search' input='invite' hide=true friend_item_id=$aForms.event_id friend_module_id='event'}
					{/if}
				</div>
				
				<h3>{phrase var='event.invite_people_via_email'}</h3>
				<div class="p_4">
					<textarea cols="40" rows="8" name="val[emails]" style="width:98%; height:60px;"></textarea>
					<div class="extra_info">
						{phrase var='event.separate_multiple_emails_with_a_comma'}
						<div>
							<input type="checkbox" name="val[invite_from]" value="1"> {phrase var='mail.send_from_my_own_address_semail' sEmail=$sMyEmail}.
						</div>
					</div>
				</div>
				
				<h3>{phrase var='event.add_a_personal_message'}</h3>
				<div class="p_4">
					<textarea cols="40" rows="8" name="val[personal_message]" style="width:98%; height:60px;"></textarea>					
				</div>				
				
				<div class="p_top_8">
					<input type="submit" value="{phrase var='event.send_invitations'}" class="button" />
				</div>				
			</div>
			
			<div style="margin-left:77%; position:relative;">
				<div class="block">
					<div class="title">{phrase var='event.new_guest_list'}</div>				
					<div class="content">
						<div class="label_flow" style="height:330px;">
							<div id="js_selected_friends"></div>
						</div>
					</div>
				</div>
			</div>		
			
			<div class="clear"></div>		
		
	</div>	
	
	{if isset($aForms.title_url) && $bIsEdit && !$sStep}
	<div id="js_event_block_manage" class="js_event_block" style="display:none;">	
		{module name='event.list'}
	</div>
	{/if}
	
	{if $bIsEdit && Phpfox::getUserParam('event.can_mass_mail_own_members')}
		<div id="js_event_block_email" class="js_event_block" style="display:none;">
			<div id="js_send_email"{if !$bCanSendEmails} style="display:none;"{/if}>
				<div class="extra_info">
					{phrase var='event.send_out_an_email_to_all_the_guests_that_are_joining_this_event'}
					{if isset($aForms.mass_email) && $aForms.mass_email}
					<br />
					{phrase var='event.last_mass_email'}: {$aForms.mass_email|date:'mail.mail_time_stamp'}
					{/if}
				</div>
				<br />
				<div class="table">
					<div class="table_left">
						{phrase var='event.subject'}:
					</div>
					<div class="table_right">
						<input type="text" name="val[mass_email_subject]" value="" size="30" id="js_mass_email_subject" />
					</div>
				</div>
				<div class="table">
					<div class="table_left">
						{phrase var='event.text'}:
					</div>
					<div class="table_right">
						<textarea cols="50" rows="8" name="val[mass_email_text]" id="js_mass_email_text"></textarea>
					</div>
				</div>
				<div class="table_clear">
					<input type="button" value="{phrase var='event.send'}" class="button" onclick="tb_show('{phrase var='event.sending_emails' phpfox_squote=true}', $.ajaxBox('event.massEmail', 'type=message&amp;TB_inline=true&amp;height=150&amp;width=300&amp;id={$aForms.event_id}&amp;subject=' + $('#js_mass_email_subject').val() + '&amp;text=' + $('#js_mass_email_text').val())); return false;" />
				</div>
			</div>
			<div id="js_send_email_fail"{if $bCanSendEmails} style="display:none;"{/if}>
				<div class="extra_info">
					{phrase var='event.you_are_unable_to_send_out_any_mass_emails_at_the_moment'}
					<br />
					{phrase var='event.please_wait_till'}: <span id="js_time_left">{$iCanSendEmailsTime|date:'mail.mail_time_stamp'}</span>
				</div>
			</div>
		</div>
	{/if}
	
</form>