<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Feed
 * @version 		$Id: display.html.php 1950 2010-10-27 13:16:50Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !PHPFOX_IS_AJAX || (PHPFOX_IS_AJAX && count($aFeedVals))}
{if Phpfox::getParam('feed.allow_comments_on_feeds')}
<div id="js_feed_comment_holder">
	<div class="comment_mini">
		<form method="post" action="#" onsubmit="if (function_exists('' + Editor.sEditor + '_wysiwyg_feed_comment_form')) {left_curly} eval('' + Editor.sEditor + '_wysiwyg_feed_comment_form(this);'); {right_curly} $(this).parents('.js_feed_comment_border:first').find('.js_feed_add_comment_button:first').hide(); $(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_process_form:first').html($.ajaxProcess('{phrase var='feed.adding_your_comment' phpfox_squote=true}')).show(); $(this).ajaxCall('comment.add'); return false;">
			<div><input type="hidden" name="val[type]" value="feed" /></div>			
			<div><input type="hidden" name="val[item_id]" value="" class="js_feed_comment_item_id" /></div>
			<div><input type="hidden" name="val[parent_id]" value="0" /></div>		
			<div><textarea cols="60" rows="4" name="val[text]" class="js_comment_feed_textarea"></textarea></div>
			<div class="feed_comment_buttons_wrap">
				<div class="js_feed_add_comment_button t_right">
					<input type="submit" value="{phrase var='feed.comment'}" class="button" />
					<input type="button" value="{phrase var='core.cancel'}" class="button" onclick="$(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_form').hide(); if ($(this).parents('.js_feed_comment_border:first').find('.js_mini_feed_comment').hasClass('comment_mini')) {left_curly} $(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_form_mini').show(); {right_curly} return false;" />
				</div>
				<div class="js_feed_comment_process_form"></div>
			</div>			
		</form>
	</div>
</div>
{/if}

{if defined('PHPFOX_IS_USER_PROFILE') && Phpfox::getUserId() && Phpfox::getParam('feed.integrate_comments_into_feeds') && Phpfox::isModule('comment')}
<div class="comment_feed">
	<form method="post" action="#" onsubmit="if (function_exists('' + Editor.sEditor + '_wysiwyg_feed_reply')) {left_curly} eval('' + Editor.sEditor + '_wysiwyg_feed_reply(\\\'feed_text\\\');'); {right_curly} $('#js_feed_comment_process').html($.ajaxProcess('{phrase var='feed.adding_your_comment' phpfox_squote=true}')); $('#js_feed_comment_submit').attr('disabled', true);$(this).ajaxCall('feed.addComment'); return false;" id="js_feed_comment_form">
		<div><input type="hidden" name="val[item_id]" value="{$aUser.user_id}" /></div>		
		{editor id='feed_text' type='basic' cols='40' rows='2'}
		<div class="feed_comment_buttons_wrap">
			<input type="submit" value="{phrase var='feed.post'}" class="button" id="js_feed_comment_submit" /><span id="js_feed_comment_process"></span>
		</div>			
	</form>
</div>
{/if}

<div id="js_new_feed_comment"></div>

{/if}
<div id="feed"><a name="feed"></a></div>
<div id="js_feed_content">
	{if isset($iViewingFeedEntry) && $iViewingFeedEntry}
	{if isset($iViewingFeedEntryWithComment) && $iViewingFeedEntryWithComment}
	<h3>{phrase var='feed.viewing_feed_with_a_comment_id' id=$iViewingFeedEntry}</h3>
	{else}
	<h3>{phrase var='feed.viewing_feed_id' id=$iViewingFeedEntry}</h3>
	{/if}
	<div class="t_right">
		<a href="{url link='current' feed=0 feed-comment=0}">{phrase var='feed.view_all'}</a>
	</div>
	{/if}
	{foreach from=$aFeeds name=iFeed item=aFeed}
		{template file='feed.block.entry'}
	{/foreach}
	{if $iTotalFeedPages > 1 && $iTotalFeedPages > $iFeedCurrentPage}
	<a href="{if Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}{url link='core.index-visitor' page=$iFeedNextPage}{else}{url link='current' page=$iFeedNextPage}{/if}" id="feed_view_more" onclick="$(this).html($.ajaxProcess('{phrase var='feed.loading'}')); $.ajaxCall('feed.viewMore', 'page={$iFeedNextPage}{if defined('PHPFOX_IS_USER_PROFILE')}&amp;profile_user_id={$aUser.user_id}{/if}'); return false;">{phrase var='feed.view_more'}</a>
	{/if}
{if !PHPFOX_IS_AJAX || (PHPFOX_IS_AJAX && count($aFeedVals))}
</div>
{/if}