<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: forum.html.php 2170 2010-11-18 09:13:11Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
		<div class="table_row">
			<ul>
				<li class="forum_image t_center"><div class="forum_large_{if $aForum.is_closed}closed{else}{if $aForum.is_seen}old{else}new{/if}{/if}" title="{if $aForum.is_closed}{phrase var='forum.forum_is_closed_for_posting'}{else}{if $aForum.is_seen}{phrase var='forum.forum_contains_no_new_posts'}{else}{phrase var='forum.forum_contains_new_posts'}{/if}{/if}">{$aForum.is_seen}</div></li>
				<li class="forum_title">
					<a href="{url link='forum.'$aForum.name_url'-'$aForum.forum_id''}">{$aForum.name|clean}</a>				
					<div class="extra_info">
						<span title="{$aForum.description|clean}">{$aForum.description|parse|shorten:250:'...'}</span>
					</div>
					{if isset($aForum.moderators)}
						{phrase var='forum.moderated_by'}: {foreach from=$aForum.moderators name=moderators item=aModerator}{if $phpfox.iteration.moderators != 1}, {/if}{$aModerator|user}{/foreach}
					{/if}
				</li>
				<li class="forum_count t_center">{$aForum.total_thread}</li>
				<li class="forum_count t_center">{$aForum.total_post}</li>
				<li class="forum_last_post last">
				{if empty($aForum.thread_title)}
				
				{else}
					<a href="{if $aForum.post_id}{url link='forum.'$aForum.name_url'-'$aForum.forum_id'.'$aForum.thread_title_url'' post=$aForum.post_id}{else}{url link='forum.'$aForum.name_url'-'$aForum.forum_id'.'$aForum.thread_title_url''}{/if}" title="{$aForum.thread_title|clean}">{$aForum.thread_title|clean|split:20|shorten:50:'...'}
					</a>
					<div class="extra_info">
						{$aForum.last_posted_phrase}
					</div>			
				{/if}
				</li>	
			</ul>
			<div class="clear"></div>	
			{if isset($aForum.sub_forum) && count($aForum.sub_forum)}		
			<div class="table_sub_row">
				{phrase var='forum.sub_forums'}: 
				{foreach from=$aForum.sub_forum name=mini_forum item=aMiniForum}
					{if $phpfox.iteration.mini_forum != 1}, {/if}<a href="{url link='forum.'$aMiniForum.name_url'-'$aMiniForum.forum_id''}">{$aMiniForum.name|clean}</a>
				{/foreach}
			</div>	
			{/if}
		</div>