<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="post{$aPost.post_id}">
	<div class="js_post_count"><a name="post{$aPost.post_id}"></a></div>	
	<div class="forum_outer">
		<div class="forum_user_info">
			{img user=$aPost suffix='_50' max_width=50 max_height=50}
			<div>
				{$aPost|user}
			</div>
			{if !isset($bIsSearch)}
			<div class="p_top_8">
				{phrase var='forum.location'}: {$aPost.country_iso|location}<br />
				{phrase var='forum.registered'}: {$aPost.joined|date:'forum.forum_user_time_stamp'}<br />				
				{phrase var='forum.posts'}: <span class="js_user_post_{$aPost.user_id}">{$aPost.total_post}</span><br />
			</div>		
			{/if}
		</div>
		<div class="forum_main" style="position:relative;">
			<div class="forum_header">
				<span class="forum_post_id"><a href="{url link='forum.thread' permalink=$aPost.post_id}">#{$aPost.count}</a></span>
				{$aPost.time_stamp|date:'forum.forum_time_stamp'}
				{if isset($bIsSearch)}
				<div class="extra_info">
					<b>{phrase var='forum.topic'}:</b> {$aPost.forum_info_phrase}
				</div>
				{/if}
			</div>
			<div class="forum_content{if isset($aPost.view_id) && $aPost.view_id} row_moderate{/if}" id="js_post_edit_text_{$aPost.post_id}">
			{if !empty($aPost.title)}
				<div class="forum_post_title">
					{$aPost.title|clean}
				</div>
			{/if}
				{$aPost.text|parse}					
			</div>
			{if Phpfox::getUserParam('core.can_view_update_info') && !empty($aPost.update_user)}
			<div class="extra_info">
				{$aPost.last_update_on}
			</div>
			{/if}			
			{if isset($aPost.attachments)}
				{module name='attachment.list' sType=forum attachments=$aPost.attachments}
			{/if}			
		</div>
		{if !empty($aPost.signature)}
		<div class="forum_main" style="padding:5px;">
			<span class="forum_signature">
				{$aPost.signature|parse}
			</span>
		</div>
		{/if}
		{if isset($bIsSearch)}
		{if $aPost.view_id && (Phpfox::getUserParam('forum.can_approve_forum_post') || Phpfox::getService('forum.moderate')->hasAccess('' . $aPost.forum_id . '', 'approve_post'))}
		<div class="forum_main forum_menu">			
			<ul>
				<li class="js_approve_link"><a href="#" onclick="$.ajaxCall('forum.approvePost', 'post_id={$aPost.post_id}'); $(this).parent().remove(); return false;" title="{phrase var='forum.approve_this_forum_post'}">{img theme='misc/accept.png' alt='Approve'}</a></li>
			</ul>
		</div>
		{/if}
		{else}
		<div class="forum_main forum_menu">			
			<ul>
			{if Phpfox::getUserParam('forum.can_thank_on_forum_posts') && $aPost.user_id != Phpfox::getUserId()}
				<li><a href="#" title="{phrase var='forum.give_your_thanks'}" onclick="$.ajaxCall('forum.thanks', 'post_id={$aPost.post_id}&amp;new={if isset($aPost.thanks) && is_array($aPost.thanks) && count($aPost.thanks) > 0}0{else}1{/if}'); return false;">{img theme='misc/thumb_up.png' alt='Give Thanks!'}</a></li>
			{/if}
			{if $aPost.view_id && (Phpfox::getUserParam('forum.can_approve_forum_post') || Phpfox::getService('forum.moderate')->hasAccess('' . $aPost.forum_id . '', 'approve_post'))}
				<li class="js_approve_link"><a href="#" onclick="$.ajaxCall('forum.approvePost', 'post_id={$aPost.post_id}'); $(this).parent().remove(); return false;" title="{phrase var='forum.approve_this_forum_post'}">{img theme='misc/accept.png' alt='Approve'}</a></li>
			{/if}			
			{if (Phpfox::getUserParam('forum.can_edit_own_post') && $aPost.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_edit_other_posts') || Phpfox::getService('forum.moderate')->hasAccess('' . $aPost.forum_id . '', 'edit_post') || (isset($aCallback) && $aCallback !== false && Phpfox::getService('group')->isAdmin('' . $aCallback.group_id . ''))}
				<li><a href="{if isset($aCallback) && $aCallback !== false}{if $aPost.count == 1}{url link='forum.post.thread' module='group' item=$aCallback.group_id edit=$aPost.thread_id}{else}{url link='forum.post.reply' module='group' item=$aCallback.group_id edit=$aPost.post_id}{/if}{else}{if $aPost.count == 1}{url link='forum.post.thread' edit=$aPost.thread_id}{else}{url link='forum.post.reply' edit=$aPost.post_id}{/if}{/if}#?type=text&amp;id=js_post_edit_text_{$aPost.post_id}&amp;call=forum.updateText&amp;post_id={$aPost.post_id}&amp;data=forum.getText" class="quickEdit" title="{phrase var='forum.edit_this_post'}">{img theme='misc/page_white_edit.png' alt='Edit'}</a></li>
			{/if}		
			{if (Phpfox::getUserParam('forum.can_delete_own_post') && $aPost.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_delete_other_posts') || Phpfox::getService('forum.moderate')->hasAccess('' . $aPost.forum_id . '', 'delete_post') || (isset($aCallback) && $aCallback !== false && Phpfox::getService('group')->isAdmin('' . $aCallback.group_id . ''))}
				<li><a href="#" onclick="return Phpfox.forum.deletePost('{$aPost.post_id}');" title="{phrase var='forum.delete_this_post'}">{img theme='misc/page_white_delete.png' alt='Delete'}</a></li>
			{/if}
			{if Phpfox::isModule('report')}
				{if $aPost.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=forum_post&amp;id={$aPost.post_id}" class="inlinePopup" title="{phrase var='forum.report_a_post'}">{img theme='misc/flag_red.png' alt='Report'}</a></li>{/if}
			{/if}					
			{if isset($aThread.is_announcement) && $aThread.is_announcement != 1}			
			{if (Phpfox::getUserParam('forum.can_reply_to_own_thread') && (isset($aThread.user_id) ? $aThread.user_id : $aPost.thread_user_id) == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_reply_on_other_threads') || Phpfox::getService('forum.moderate')->hasAccess('' . $aPost.forum_id . '', 'can_reply')}
				<li><a href="{if isset($aCallback) && $aCallback !== false}{url link='forum.post.reply' module='group' item=$aCallback.group_id id=$aPost.thread_id quote=$aPost.post_id}{else}{url link='forum.post.reply' id=$aPost.thread_id quote=$aPost.post_id}{/if}" title="{phrase var='forum.quote_full_name_s_reply' full_name=$aPost.full_name}">{img theme='misc/comment_add.png' alt='Quote'}</a></li>			
				{if Phpfox::getUserParam('forum.can_multi_quote_forum')}
				<li><a href="#" id="js_forum_quote_{$aPost.post_id}" onclick="return Phpfox.forum.selected(this, {$aPost.post_id});" title="{phrase var='forum.multi_quote_this_message'}">{img theme='misc/comments_add.png' alt=''}</a></li>				
				{/if}
			{/if}
			{/if}
			</ul>			
		</div>
		{/if}		
		{if isset($aPost.thanks) && is_array($aPost.thanks)}		
		<div class="forum_thank" id="js_thank_{$aPost.post_id}"{if !count($aPost.thanks)} style="display:none;"{/if}>
			{phrase var='forum.the_following_users_say_thank_you' full_name=$aPost|user}:
			<div class="p_4" id="js_thank_body_{$aPost.post_id}">
				{foreach from=$aPost.thanks name=thanks item=aThanks}<span>{if $phpfox.iteration.thanks != 1}, {/if}{if Phpfox::getUserParam('forum.can_delete_thanks_by_other_users') || $aThanks.user_id == Phpfox::getUserId()}<a href="#" onclick="$(this).parents('span:first').remove(); var iSpanCount = 0; $('#js_thank_{$aPost.post_id}').find('span').each(function(){left_curly}iSpanCount++;{right_curly}); if (iSpanCount == 0) {left_curly} $('#js_thank_{$aPost.post_id}').hide(); {right_curly} $.ajaxCall('forum.removeThanks', 'thank_id={$aThanks.thank_id}'); return false;" title="{phrase var='forum.remove_this_thank_you'}">{img theme='misc/delete.gif' class='v_middle'}</a>{/if}{$aThanks|user}</span>{/foreach}</div>
			</div>
		{/if}
	</div>
</div>