<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: thread-entry.html.php 2171 2010-11-18 09:30:47Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="js_selector_class_{$aThread.thread_id} checkRow table_row{if $aThread.is_announcement} forum_announcement{/if}{if $aThread.order_id == 1} forum_sticky {elseif $aThread.order_id == 2 && !defined('PHPFOX_IS_GROUP_VIEW')} forum_sponsor {/if}{if $aThread.view_id} row_moderate{/if}">
	<ul>
		{if isset($sView) && $sView == 'subscribed'}	
		<li class="checkbox"><input type="checkbox" name="val[id][]" value="{$aThread.thread_id}" class="checkbox" id="js_selector_checkbox_{$aThread.thread_id}" /></li>
		{/if}
		<li class="forum_image_small t_center"><div class="forum_mini_{$aThread.css_class}" title="{if $aThread.css_class == 'old'}{phrase var='forum.no_new_posts'}{elseif $aThread.css_class == 'new'}{phrase var='forum.new_posts'}{elseif $aThread.css_class == 'closed'}{phrase var='forum.thread_is_closed'}{/if}">{$aThread.css_class}</div></li>
		<li class="{if !$aThread.is_announcement}forum_title{else}forum_full_width last{/if}">
			{if $aThread.is_announcement}
			<div style="float:right;">
				{phrase var='forum.views'}: {$aThread.total_view}
			</div>
			{/if}		
		{if $aThread.order_id == 1}
			<span class="forum_tag_sticky">{phrase var='forum.sticky'}</span>: 
		{/if}
		{if $aThread.poll_id}
			{img theme='misc/chart_bar.png' class='v_middle'}
		{/if}
		{if $aCallback === null}
			<a href="{if isset($aForumData)}{url link='forum.'$aForumData.name_url'-'$aForumData.forum_id'.'$aThread.title_url''}{else}{url link='forum.'$aThread.forum_url'-'$aThread.forum_id'.'$aThread.title_url''}{/if}">{$aThread.title|clean|split:40|shorten:90:'...'}</a>
		{else}
			<a href="{url link=''$aCallback.url_home'.'$aThread.title_url''}">{$aThread.title|clean|split:40|shorten:100:'...'}</a>		
		{/if}
			<div class="extra_info">
				{if $bIsSearch}
					{phrase var='forum.by_user_link_on_time_stamp_phrase_in_forum_name' user=$aThread time_stamp_phrase=$aThread.time_stamp_phrase forum_link=$aThread.forum_link forum_name=$aThread.forum_name}
				{else}
				{phrase var='forum.by_user_link_on_time_stamp_phrase_no_break' user=$aThread time_stamp_phrase=$aThread.time_stamp_phrase}
				{/if}
			</div>
		</li>
		{if !$aThread.is_announcement}
		<li class="forum_count t_center">{$aThread.total_post}</li>
		<li class="forum_count t_center">{$aThread.total_view}</li>	
		<li class="forum_last_post last">
			{if $aCallback === null}
			<a href="{if isset($aForumData)}{if $aThread.post_id}{url link='forum.'$aForumData.name_url'-'$aForumData.forum_id'.'$aThread.title_url'' post=$aThread.post_id}{else}{url link='forum.'$aForumData.name_url'-'$aForumData.forum_id'.'$aThread.title_url''}{/if}{else}{url link='forum.'$aThread.forum_url'-'$aThread.forum_id'.'$aThread.title_url'' post=$aThread.post_id}{/if}">{$aThread.time_update|date:'forum.forum_time_stamp'}</a>
			{else}
			<a href="{url link=''$aCallback.url_home'.'$aThread.title_url'' post=$aThread.post_id}">{$aThread.time_update|date:'forum.forum_time_stamp'}</a>
			{/if}
			{if $aThread.last_user_id}
			<div class="extra_info">{phrase var='forum.by_user_link' user=$aThread user_prefix='last_'}</div>		
			{else}
			<div class="extra_info">{phrase var='forum.by_user_link' user=$aThread}</div>		
			{/if}
		</li>	
		{/if}
	</ul>
	<div class="clear"></div>
</div>