<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if Phpfox::getParam('forum.enable_rss_on_threads') && !$bIsSearch}
<div class="forum_rss_link">
	<a href="{if $aCallback === null}{url link='forum.rss' forum=$aForumData.forum_id}{else}{url link='forum.rss' group=$aCallback.group_id}{/if}" title="{phrase var='forum.subscribe_to_this_forum'}">
		{img theme='rss/tiny.png'}
	</a>
</div>
{/if}
<div class="main_break"></div>
{if $aCallback === null && !$bIsSearch}
{template file='forum.block.entry'}
{/if}
{if count($aThreads)}
{if !$bIsSearch}
<div class="p_bottom_10">
	<ul class="sub_menu_bar">
	{if $aCallback === null}
	{if !$aForumData.is_closed && Phpfox::getUserParam('forum.can_add_new_thread') || Phpfox::getService('forum.moderate')->hasAccess('' . $aForumData.forum_id . '', 'add_thread')}
		<li><a href="{url link='forum.post.thread' id=$aForumData.forum_id}">{phrase var='forum.new_thread'}</a></li>
	{/if}
	{else}
		<li><a href="{url link='forum.post.thread' module='group' item=$aCallback.group_id}">{phrase var='forum.new_thread'}</a></li>
	{/if}
	{if Phpfox::isUser()}
	<li><a href="#" class="sJsDropMenu drop_down_link">{phrase var='forum.forum_tools'}</a>
		<div class="link_menu dropContent">
			<ul>
			{if $aCallback === null}
				<li><a href="{url link='forum.read' forum=$aForumData.forum_id}">{phrase var='forum.mark_this_forum_read'}</a></li>
			{else}
				<li><a href="{url link='forum.read' module='group' item=$aCallback.group_id}">{phrase var='forum.mark_this_forum_read'}</a></li>
			{/if}
			</ul>
		</div>		
	</li>
	{/if}
	<li><a href="#" class="sJsDropMenu drop_down_link">{phrase var='forum.search_this_forum'}</a>
		<div class="link_menu dropContent">
			<form method="post" action="{if $aCallback !== null}{url link='forum.search' module='group' item=$aCallback.group_id}{else}{url link='forum.search'}{/if}">
			{if $aCallback === null}
			<div><input type="hidden" name="search[forum][]" value="{$aForumData.forum_id}" /></div>
			{else}
			<div><input type="hidden" name="search[group_id]" value="{$aCallback.group_id}" /></div>
			{/if}
				<div class="div_menu">
					<input type="text" name="search[keyword]" value="" class="v_middle" /> <input name="search[submit]" type="submit" value="Go" class="button v_middle" />
				</div>
				<div class="div_menu">
					<label><input type="radio" name="search[result]" value="0" class="v_middle checkbox" checked="checked" /> {phrase var='forum.show_threads'}</label>
					<label><input type="radio" name="search[result]" value="1" class="v_middle checkbox" /> {phrase var='forum.show_posts'}</label>
				</div>
			</form>
			<ul>
				{if $aCallback === null}				
				<li><a href="{url link='forum.search' id=$aForumData.forum_id}">{phrase var='forum.advanced_search'}</a></li>
				{else}
				<li><a href="{url link='forum.search' module='group' item=$aCallback.group_id}">{phrase var='forum.advanced_search'}</a></li>
				{/if}
			</ul>
		</div>
	</li>	
	</ul>
	<div class="clear"></div>
</div>
{/if}

<div class="forum_pager_top">	
	<div class="forum_pager_padding">
		{pager}
	</div>
</div>
{/if}

{if !$bIsSearch && count($aAnnouncements)}
<div class="table_info">
	{phrase var='forum.announcements'}
</div>
{foreach from=$aAnnouncements item=aThread}
	{template file='forum.block.thread-entry'}
{/foreach}
{/if}

{if count($aThreads)}

{if isset($bResult) && $bResult}

{foreach from=$aThreads item=aPost}
	{template file='forum.block.post'}
{/foreach}

{else}

<div class="table_info">
	{phrase var='forum.threads'}
</div>

<div class="table_header">
	<ul>
		{if $sView == 'subscribed'}	
		<li class="checkbox"><input type="checkbox" name="val[id]" value="" id="js_check_box_all" /></li>
		{/if}
		<li class="forum_image_small">&nbsp;</li>
		<li class="forum_title">{phrase var='forum.thread'}</li>
		<li class="forum_count">{phrase var='forum.replies'}</li>
		<li class="forum_count">{phrase var='forum.views'}</li>	
		<li class="last">{phrase var='forum.last_post'}</li>	
	</ul>
	<div class="clear"></div>
</div>


<form method="post" action="{url link='forum.action'}">
	<div><input type="hidden" name="selector_current" value="{url link='current'}" /></div>
	{foreach from=$aThreads item=aThread}
		{template file='forum.block.thread-entry'}
	{/foreach}
	{if $sView == 'subscribed'}	
	<div class="t_right p_4" id="js_selector_action" style="display:none;">
		{phrase var='forum.with_selected'}:
		<select name="selector_action">
			<option value="">{phrase var='forum.select'}:</option>
			<option value="subscribe">{phrase var='forum.subscribe'}</option>
			<option value="unsubscribe">{phrase var='forum.unsubscribe'}</option>
		</select>
		<input type="submit" value="{phrase var='forum.submit'}" class="button" />
	</div>
	{/if}
</form>

{/if}

<div class="forum_pager_bottom">
	<div class="forum_pager_padding">
		{pager}
	</div>
</div>

{if !$bIsSearch}
<ul class="sub_menu_bar">
{if $aCallback === null}
	{if !$aForumData.is_closed && Phpfox::getUserParam('forum.can_add_new_thread') || Phpfox::getService('forum.moderate')->hasAccess('' . $aForumData.forum_id . '', 'add_thread')}
	<li><a href="{url link='forum.post.thread' id=$aForumData.forum_id}">{phrase var='forum.new_thread'}</a></li>
	{/if}
	{else}
	<li><a href="{url link='forum.post.thread' module='group' item=$aCallback.group_id}">{phrase var='forum.new_thread'}</a></li>
{/if}
</ul>
<div class="clear"></div>
{/if}

{if !$bIsTagSearch}
<h3>{phrase var='forum.display_options'}</h3>

<form method="post" action="{if $aCallback !== null}{if $bIsSearch}{url link='forum.search' module='group' item=$aCallback.group_id}{else}{url link=$aCallback.url_home}{/if}{else}{if $bIsSearch}{url link='forum.search'}{else}{url link='forum.'$aForumData.name_url'-'$aForumData.forum_id''}{/if}{/if}">
	{if $aCallback !== null}
	<div><input type="hidden" name="search[group_id]" value="{$aCallback.group_id}" /></div>
	{/if}
	{if $bIsSearch}
	<div style="display:none;">
		{$aFilters.keyword}
		{$aFilters.user}
		{$aFilters.result}
		{foreach from=$aForumResults item=iForumId}
			<input type="hidden" name="search[forum][]" value="{$iForumId}" />
		{/foreach}
	</div>
	{/if}
	<div class="go_left">
		{phrase var='forum.display'}:
		<div class="p_2">
	 		{$aFilters.display}
		</div>
	</div>
	<div class="go_left">
		{phrase var='forum.from'}:
		<div class="p_2">
	 		{$aFilters.days_prune}
		</div>
	</div>	
	<div class="go_left">
	 	{phrase var='forum.sort'}:
	 	<div class="p_2">
	 		{$aFilters.sort}
	 	</div>
 	</div>
 	<div class="go_left">
	 	{phrase var='forum.by'}:
	 	<div class="p_2">
			{$aFilters.sort_by}
		</div>
	</div>	
	<br class="clear_left" />
	<div class="main_break"></div>	
	
	<input type="submit" name="{if $bIsSearch}search[submit]{else}display{/if}" value="{phrase var='forum.submit'}" class="button" />
</form>
<br />
{/if}

<div class="p_2">
	{img theme='forum/thread_new.png' class='v_middle'} {phrase var='forum.new_posts'}
</div>
<div class="p_2">
	{img theme='forum/thread.png' class='v_middle'} {phrase var='forum.no_new_posts'}
</div>
<div class="p_2">
	{img theme='forum/thread_lock.png' class='v_middle'} {phrase var='forum.thread_is_closed'}
</div>

{else}
<div class="extra_info">
{if $bIsSearch}
	{phrase var='forum.nothing_found'}
{else}
	{phrase var='forum.no_threads_were_posted_yet'}
	<ul class="action">
	{if $aCallback === null}
		<li><a href="{url link='forum.post.thread' id=$aForumData.forum_id}">{phrase var='forum.be_the_first_to_post_a_thread'}</a></li>
	{else}
		<li><a href="{url link='forum.post.thread' module='group' item=$aCallback.group_id}">{phrase var='forum.be_the_first_to_post_a_thread'}</a></li>
	{/if}
	</ul>
{/if}
	<br />
	<br />
</div>
{/if}

{if $aCallback === null}
{module name='forum.jump'}
{/if}