<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * Display the image details when viewing an image.
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Miguel Espinoza
 * @package  		Module_Friend
 * @version 		$Id: detail.class.php 254 2009-02-23 12:36:20Z Miguel_Espinoza $
 */
class Friend_Component_Block_Birthday extends Phpfox_Component
{
	public function process()
	{
		if (!Phpfox::getParam('friend.enable_birthday_notices')) return false;

		$aBirthdays = Phpfox::getService('friend')->getBirthdays(Phpfox::getuserId());
		if (empty($aBirthdays) && (Phpfox::getParam('friend.show_empty_birthdays') == false))
			return false;

		
		$this->template()->assign(array(
			'aBirthdays' => $aBirthdays,
			'sHeader' => Phpfox::getPhrase('friend.birthdays'),
			'sDeleteBlock' => 'dashboard'
		));

		return 'block';
	}
}
?>
