<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Friend
 * @version 		$Id: list.class.php 1252 2009-11-11 09:27:24Z Raymond_Benc $
 */
class Friend_Component_Block_List extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{		
		if (!Phpfox::getUserParam('friend.can_add_folders'))
		{
			return false;
		}
		
		$aLists = Phpfox::getService('friend.list')->get();
		if (count($aLists))
		{
			$this->template()->assign(array(
					'aFooter' => array(
						Phpfox::getPhrase('friend.edit_lists') => '#'
					)
				)
			);
		}
		
		$this->template()->assign(array(
				'aLists' => $aLists
			)
		);
		
		if (!$this->getParam('bIsAjax'))
		{
			$this->template()->assign(array(
				'sHeader' => Phpfox::getPhrase('friend.friend_lists')
			));
					
			return 'block';
		}
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('friend.component_block_list_clean')) ? eval($sPlugin) : false);
	}
}

?>