/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Friend
 * @version 		$Id: friend.js 1129 2009-10-03 12:42:56Z Raymond_Benc $
 */

function localSelector(sValue)
{
	switch (sValue)
	{
		case 'none':		
			$('#js_action_selector').attr('disabled', true);
			$('#js_selector_action').hide();
			break;
		default:
			if (sValue != '')
			{
				$('#js_action_selector').attr('disabled', false);	
				$('#js_selector_action').show();
			}			
	}
}

function doAction(sValue)
{
	switch (sValue)
	{
		case 'move':
			$('#js_select_info').hide();
			$('#js_lists').show('slow');
			$('#sJsDefaultList').attr('selected', 'selected');
			break;
		case 'delete':
			if (sValue == 'delete' && !confirm(getPhrase('core.are_you_sure')))
			{
				return false;
			}
			$('#js_form_action').val(sValue);
			$('#js_form').submit();
			break;
	}
}

Behavior.localCheckbox = function()
{	
	$('.sJsClickBox').click(function()
	{		
		$aParams = $.getParams(this.href);
		$('#js_user_info_' + $aParams['id']).toggle();
		$('#js_user_status_' + $aParams['id']).toggle();
		
		if ($('#js_image_div_' + $aParams['id']).css('width') == '60px')
		{			
			eval("$('#sJsUserImage_" + $aParams['id'] + "').get(0).src = oFriendsImage_" + $aParams['id'] + ".src;");		
			eval("$('#sJsUserImage_" + $aParams['id'] + "').attr('width', oFriendsImage_" + $aParams['id'] + ".width);");
			eval("$('#sJsUserImage_" + $aParams['id'] + "').attr('height', oFriendsImage_" + $aParams['id'] + ".height);");
			$('#js_image_div_' + $aParams['id']).css('width', '130px');			
			$('#js_toggle_image_' + $aParams['id']).attr('src', getParam('sImagePath') + 'misc/toggle_back_hover.gif');
		}
		else
		{
			eval("$('#sJsUserImage_" + $aParams['id'] + "').get(0).src = oFriendsImageDefault_" + $aParams['id'] + ".src;");		
			eval("$('#sJsUserImage_" + $aParams['id'] + "').attr('width', oFriendsImageDefault_" + $aParams['id'] + ".width);");
			eval("$('#sJsUserImage_" + $aParams['id'] + "').attr('height', oFriendsImageDefault_" + $aParams['id'] + ".height);");
			$('#js_image_div_' + $aParams['id']).css('width', '60px');
			$('#js_toggle_image_' + $aParams['id']).attr('src', getParam('sImagePath') + 'misc/toggle.gif');
		}		
		
		return false;
	});
	/*
	$('.toggle').hover(function()
	{		
		if ($(this).get(0).src == getParam('sImagePath') + 'misc/toggle_back.gif')
		{
			$(this).get(0).src = getParam('sImagePath') + 'misc/toggle_back_hover.gif';
		}
		else
		{
			$(this).get(0).src = getParam('sImagePath') + 'misc/toggle_hover.gif';
		}
	},
	function()
	{
		if ($(this).get(0).src == getParam('sImagePath') + 'misc/toggle_back_hover.gif')
		{
			$(this).get(0).src = getParam('sImagePath') + 'misc/toggle_back.gif';
		}
		else
		{
			$(this).get(0).src = getParam('sImagePath') + 'misc/toggle.gif';
		}
	});
	*/
}

Behavior.orderTopFriends = function()
{
	$("#js_top_friends_list").sortable({ 
		opacity: 0.4,
		helper: 'clone',
		placeholder: 'js_sort_holder',
		cursor: 'move',
		axis: 'y',
	    update: function (element, ui)
	    {
	    	iCnt = 0;
	    	$('.js_top_friend_iteration_count').each(function()
	    	{
	    		iCnt++;
	    		
	    		$(this).parent().removeClass('row_first');
	    		if (!$(this).parent().hasClass('row1'))
	    		{
	    			$(this).parent().addClass('row1');
	    		}
	    		if (iCnt == 1)
	    		{
	    			$(this).parent().addClass('row_first');
	    		}
	    		$(this).html(iCnt);
	    	});
	    	$(this).parent().parent().parent().parent().find('h3').html($.ajaxProcess('Updating'));
	    	$.ajaxCall('friend.updateOrder', $(this).sortable('serialize'));
	    }
	});
}

$.fn.addList = function(sCall)
{
	if ($(this).val() == getPhrase('Friend.create_new_list'))
	{
		return false;
	}
	$('#js_last_folder').append('<li id="js_temp_menu"><a href="#" onclick="return false;">' + $.ajaxProcess(oTranslations['friend.adding_new_list']) + '</a></li>');
	$(this).ajaxCall(sCall);
}

$(document).ready(function()
{
	$('#js_block_bottom_1').click(function()
	{
		if ($('#js_block_bottom_link_1').html() == getPhrase('friend.view_list'))
		{
			$('#js_edit_lists').hide();
			$('#js_friend_box_lists').show();			
			$('#js_block_bottom_link_1').html(getPhrase('friend.edit_lists'));
		}
		else
		{
			$('#js_friend_box_lists').hide();
			$.ajaxCall('friend.editLists');	
			$('#js_edit_lists').show();
			$('#js_block_bottom_link_1').html(getPhrase('friend.view_list'));	
		}
		
		return false;
	});
});

Behavior.showEditLists = function()
{	
	$('#js_cancel_edit_list').click(function()
	{
		$('#js_edit_lists').hide();
		$('#js_friend_box_lists').show();
	});
	
	$('#js_submit_update_list').click(function()
	{
		$('#js_process_form_image').html($.ajaxProcess(oTranslations['friend.updating']));
		$('#js_edit_list_form').ajaxCall('friend.updateList');
	});
}