<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * Display the image details when viewing an image.
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Miguel Espinoza
 * @package  		Module_<INSERT MODULE NAME HERE>
 * @version 		$Id: detail.class.php 254 2009-02-23 12:36:20Z Miguel_Espinoza $
 */

?>
{if empty($aBirthdays) || !isset($aBirthdays)}
<div class="extra_info">
	{phrase var='friend.no_birthdays_coming_up'}
</div>
{else}
{foreach from=$aBirthdays item=aBirthday name=birthdays}
<div class="{if is_int($phpfox.iteration.birthdays/2)}row1{else}row2{/if}{if $phpfox.iteration.birthdays == 1} row_first{/if} hover_action">
	<div class="row_action">
		{if (empty($aBirthday.birthday_user_receiver) || $aBirthday.status_id == 0) && $aBirthday.days_left < 1}
			<span id="js_congratulate_{$aBirthday.user_id}">
				<a href="#" onclick="tb_show('{phrase var='friend.birthday_e_card' phpfox_squote=true}', $.ajaxBox('friend.congratulate', 'height=400&amp;width=500&amp;iUser={$aBirthday.user_id}'));return false;" title="{phrase var='friend.send_a_birthday_e_card_to_full_name' full_name=$aBirthday.full_name}">{img theme='misc/cake.png'}</a>
			</span>			
		{/if}
		<a href="{url link='mail.compose' id=$aBirthday.user_id}" title="{phrase var='friend.send_full_name_a_message' full_name=$aBirthday.full_name}">{img theme='misc/email_go.png'}</a>
	</div>
	<div class="t_center" style="width: 50px; position: absolute; left:4px;">
		{img user=$aBirthday suffix='_50_square' max_width=50 max_height=50}
	</div>
	<div class="p_4" style="margin-left:52px; height:50px;">
		{$aBirthday|user} {if $aBirthday.show_age}({$aBirthday.new_age}){/if}
		<div class="extra_info">
		    {if $aBirthday.dob_setting != 3}
			{$aBirthday.birthdate} {if $aBirthday.birthdate != ''}({/if}{if $aBirthday.days_left == 1}{phrase var='friend.1_day'}{elseif $aBirthday.days_left < 1}<strong>{phrase var='friend.today'}</strong>{else}{phrase var='friend.days_left_days' days_left=$aBirthday.days_left}{/if}{if $aBirthday.birthdate != ''}){/if}
		{/if}
		</div>
	</div>
</div>
{/foreach}
{/if}