<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Friend
 * @version 		$Id: index.html.php 2551 2011-04-19 09:45:08Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aFriends)}
<div class="header_bar">	
	<div id="js_lists" style="display:none; position:relative;">
		<div style="position:absolute; right:2px;">
			<a href="#" onclick="$('#js_action_selector').val(''); $('#js_lists').hide(); $('#js_select_info').show(); return false;">{phrase var='friend.cancel'}</a>
		</div>	
		<select name="list" class="sJsListOptGroup">
			<option value="" class="sJsDefaultList">{phrase var='friend.select'}:</option>
			{foreach from=$aLists item=aList}
				<option value="{$aList.list_id}">{$aList.name|clean}</option>
			{/foreach}			
		</select>
		<input type="button" value="{phrase var='friend.save'}" class="button" onclick="$('#js_form').ajaxCall('friend.move', 'list=' + $('.sJsListOptGroup').val());" />
		<br />
		<br />
		<div class="p_4">
			<form method="post" action="{url link='current'}">
				<div>
					<input type="text" name="name" value="{phrase var='friend.create_new_list'}" size="15" onclick="if (this.value == '{phrase var='friend.create_new_list' phpfox_squote=true}') this.value = '';" onblur="if (this.value == '') this.value = '{phrase var='friend.create_new_list' phpfox_squote=true}';" class="sJsCreateName" /> <input type="button" value="{phrase var='friend.add'}" class="button" onclick="$('#js_list_process').html($.ajaxProcess()); $('.sJsCreateName').addList('friend.addList'); " />
					<span id="js_list_process"></span>
				</div>
			</form>
		</div>
	</div>
	<div id="js_select_info">
		<div class="go_left" style="padding-top:3px;">
				<input type="button" name="null" value="{phrase var='friend.select_all'}" class="button js_select_all_button" />
				<input type="button" name="null" value="{phrase var='friend.unselect'}" class="button js_select_unall_button" style="display:none;" />				
				<input type="button" name="null" value="{phrase var='friend.move_to_list'}" class="button js_select_all_action" style="display:none;" onclick="$('#js_select_info').hide(); $('#js_lists').show(); $('#sJsDefaultList').attr('selected', 'selected');" />
				<input type="button" name="null" value="{phrase var='friend.delete'}" class="button js_select_all_action" style="display:none;" onclick="if (confirm(getPhrase('core.are_you_sure'))) {left_curly} $('#js_form_action').val('delete'); $('#js_form').submit(); {right_curly}" />
		</div>
		<div class="t_right">
			<form method="post" action="{url link='friend'}">
				<div>{$aFilters.search}</div>
			</form>
		</div>
		<div class="clear"></div>
	</div>
	
	<div class="p_top_8">
		<div class="separate"></div>
	</div>
	
	<div class="t_center">
		{foreach from=$aLetters item=sLetter}
			<span style="padding-right:5px;"><a href="{url link='friend' view=$sView letter=$sLetter id=$iList}"{if $sActualLetter == $sLetter} style="text-decoration:underline;"{/if}>{$sLetter}</a></span>
		{/foreach}
	</div>	
</div>

<div class="public_message" id="js_friend_action_info"></div>
<div id="js_friend_messages"></div>
<form method="post" action="{url link='current'}" id="js_form">
	<div class="main_break">
		{foreach from=$aFriends item=aFriend name=friend}
		<div id="js_friend_{$aFriend.friend_id}" class="js_selector_class_{$aFriend.friend_id} {if is_int($phpfox.iteration.friend/2)}row1{else}row2{/if}{if $phpfox.iteration.friend == 1} row_first{/if}">
			<div class="go_left t_center" style="width:20px;">
				<input type="checkbox" name="val[id][]" value="{$aFriend.friend_id}" class="checkbox" id="js_selector_checkbox_{$aFriend.friend_id}" />
			</div>
			<div class="go_left t_center" style="width:60px;" id="js_image_div_{$aFriend.friend_id}">
				<script type="text/javascript">
					var oFriendsImage_{$aFriend.friend_id} = new Image();
					oFriendsImage_{$aFriend.friend_id}.src = '{img return_url=true user=$aFriend suffix='_120' max_width=120 max_height=120}';
					
					var oFriendsImageDefault_{$aFriend.friend_id} = new Image();
					oFriendsImageDefault_{$aFriend.friend_id}.src = '{img return_url=true user=$aFriend suffix='_50' max_width=50 max_height=50}';			
				</script>		
				{img id='sJsUserImage_'$aFriend.friend_id'' user=$aFriend suffix='_50' max_width=50 max_height=50}
			</div>
			<div class="go_left" style="width:250px;">
				{$aFriend|user} <span id="js_user_status_{$aFriend.friend_id}">{$aFriend.status}</span>
				<div class="p_4" id="js_user_info_{$aFriend.friend_id}" style="display:none;">
					{$aFriend.status}
					<div class="p_top_8">
						<a href="{url link='mail.compose' id=$aFriend.user_id}">{phrase var='friend.message'}</a> |
						<a href="{url link=''$aFriend.user_name'.friend'}">{phrase var='friend.view_friends'}</a>				
						<div class="separate"></div>
						
						{if !empty($aFriend.birthday) && $aFriend.dob_setting != '3'}
						{if $aFriend.dob_setting == '4'}
							{phrase var='user.birthday'}: {$aFriend.month} {$aFriend.day} <br />
						{else}
						{phrase var='user.age'}: {$aFriend.birthday|age}
						{if $aFriend.dob_setting == '1'}
							({$aFriend.month} {$aFriend.day})
						{elseif $aFriend.dob_setting == '2'}
		
						{else}
							({$aFriend.month} {$aFriend.day}, {$aFriend.year})
						{/if}
						<br />
						{/if}	
						{/if}															
						
						{phrase var='friend.gender'}: {$aFriend.gender_phrase} <br />
						{phrase var='friend.location'}: {$aFriend.location|translate:'country'}
					</div>
				</div>
			</div>
			<div class="t_right">
				<span id="js_add_top_fav_link_{$aFriend.friend_id}">
			{if $aFriend.is_top_friend}
				<a href="#" onclick="$.ajaxCall('friend.deleteTop', 'id={$aFriend.friend_id}'); return false;" title="{phrase var='friend.remove_from_your_top_friends_list'}">{img theme='misc/favorite.png' alt_phrase='friend.remove_from_top' style='vertical-align:middle;'}</a>
			{else}
				<a href="#" onclick="$.ajaxCall('friend.addTop', 'id={$aFriend.friend_id}'); return false;" title="{phrase var='friend.add_to_your_top_friends_list'}">{img theme='misc/favorite_add.png' alt_phrase='friend.add_to_top' style='vertical-align:middle;'}</a>
			{/if}
				</span>
				<a href="#?id={$aFriend.friend_id}" class="sJsClickBox" title="{phrase var='friend.toggle'}">{img theme='misc/toggle.gif'  alt_phrase='friend.toggle' class='toggle' style='vertical-align:middle;'}</a>
				<a href="#?call=friend.delete&amp;id={$aFriend.friend_id}" class="delete_link" title="{phrase var='friend.delete'}">{img theme='misc/delete.gif' alt_phrase='friend.delete' class='delete_hover' style='vertical-align:middle;'}</a>
			</div>
			<div class="clear"></div>
		</div>
		{foreachelse}
		<div class="t_center">
			{phrase var='friend.no_friends'}
		</div>
		{/foreach}
	</div>
</form>

{pager}

{literal}
<script type="text/javascript">
<!--
	if ($('#public_message').html())
	{		
		$('#js_friend_action_info').html($('#public_message').html());
		$('#public_message').remove();
		$('#js_friend_action_info').show();
	}
-->
</script>
{/literal}
{else}


<div class="header_bar">
	<div id="js_select_info">
		<div class="t_right">
			<form method="post" action="{url link='friend'}">
				<div>{$aFilters.search}</div>
			</form>
		</div>
		<div class="clear"></div>
	</div>
	<div class="p_top_8">
		<div class="separate"></div>
	</div>
	<div class="t_center">
		{foreach from=$aLetters item=sLetter}
			<span style="padding-right:5px;"><a href="{url link='friend' view=$sView letter=$sLetter id=$iList}"{if $sActualLetter == $sLetter} style="text-decoration:underline;"{/if}>{$sLetter}</a></span>
		{/foreach}
	</div>
</div>
<div class="extra_info">
	{phrase var='friend.no_friends'}
</div>
{/if}