<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: message.class.php 735 2009-07-03 17:22:54Z Raymond_Benc $
 */
class Im_Component_Block_Message extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{		
		$aRoom = Phpfox::getService('im')->getChat($this->getParam('im_id'), $this->getParam('im_static', true));	
		
		if (!isset($aRoom['parent_id']))
		{
			return false;
		}
				
		$this->template()->assign(array(
				'aMessages' => Phpfox::getService('im')->getMessages($aRoom['parent_id']),
				'bLoggedIn' => ($aRoom['is_logged_in'])		
			)
		);	
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('im.component_block_message_clean')) ? eval($sPlugin) : false);
	}
}

?>