
var oCachedImInterval = new Array();

$(function()
{		
	$('#js_instant_messenger_link').click(function()
	{
		if (getCookie('im_last_open_window') == 'messenger')
		{
			deleteCookie('im_last_open_window');
			$('#js_footer_im_holder').remove();
			$(this).removeClass('focus').removeClass('is_already_open');
			$.ajaxCall('im.getRooms','','GET');
		}
		else
		{
			$.ajaxCall('im.load','','GET');
		}
		return false;
	});
	
	if (oCore['im.is_hidden'] != '1')
	{
		Phpfox.im.checkSize();
		
		$('body').prepend('<div style="width:1px;height:1px;position:absolute;"><div id="js_im_player"></div></div>');

		$(window).bind('resize', function() 
		{
			Phpfox.im.checkSize();
			
			$('.js_temp_image_block').each(function()
			{			
				eleOffset = Phpfox.getObjectPosition($(this).find('span:first').html());
				$(this).css('top', (eleOffset.top - 402) + 'px');
				$(this).css('left', (eleOffset.left - (250 - $('#' + $(this).find('span:first').html()).width())) + 'px');			
			});		
		});		
	}
});

Phpfox.im = 
{		
	iX: 1,
	
	iSet: 1,
	
	extraIsEmpty: function()
	{
		iCnt = 0;
		$('.im_extra_room').find('.js_cache_im_room').each(function()
		{
			iCnt++;
		});		
		
		if (iCnt == 0)
		{
			$('#js_cache_extra_rooms').hide();
			$('#js_temp_im_extra_position').hide();			
		}		
	},
	
	getSplitCount: function()
	{
		iSplitCount = 4;		
		if ($(window).width() < 1024)
		{
			iSplitCount = 2;
		}
		
		if ($(window).width() < 800)
		{
			iSplitCount = 1;
		}		
		
		return iSplitCount;	
	},
	
	toggleMoreConversations: function()
	{
		if ($('#js_temp_im_extra_position').find('a').hasClass('is_already_open'))
		{
			$('.js_footer_holder').hide();	
			$('#js_cache_extra_rooms').hide(); 
			$('#footer_bar').find('a').removeClass('focus').removeClass('is_already_open');
			// $('#js_cache_extra_rooms').removeClass('is_already_open');
		}
		else
		{
			$('.js_footer_holder').hide();	
			$('#footer_bar').find('a').removeClass('focus').removeClass('is_already_open'); 
			$('#js_cache_extra_rooms').show(); 			
			$('#js_temp_image_block').remove(); 
			$('#js_temp_im_extra_position').find('a').addClass('focus'); 
			$('#js_temp_im_extra_position').find('a').addClass('is_already_open');			
			$.ajaxCall('im.getRooms','','GET');
		}
		
		return false;		
	},
	
	checkSize: function()
	{		
		iSplitCount = this.getSplitCount();
		
		$('#js_cache_extra_rooms').remove();
		$('#js_temp_im_extra_position').remove();
		
		$('body').prepend('<div id="js_cache_extra_rooms" class="im_extra_room_holder js_footer_holder"><div class="im_header"><div style="position: absolute; right: 0pt; margin-right: 2px;"><a href="#" class="footer_menu_minimize" onclick="$(\'.js_footer_holder\').hide(); $(\'#js_cache_extra_rooms\').hide(); $(\'#footer_bar\').find(\'a\').removeClass(\'focus\').removeClass(\'is_already_open\'); return false;"><img src="' + oJsImages.misc_minimize + '" alt="" class="v_middle" /></a></div>' + oTranslations['im.conversations'] + '</div><ul class="js_cache_extra_rooms im_extra_room"></ul></div>');
		
		$('.js_cache_im_list:first').before('<li id="js_temp_im_extra_position" style="width:150px;"><a href="#" onclick="return Phpfox.im.toggleMoreConversations();">' + oTranslations['im.more_conversations'] + '</a></li>');
		
		iTotal = 0;
		iNewTotal = 0;
		$('.js_cache_im_room').each(function()
		{			
			iTotal++;
			
			if (iTotal > iSplitCount)
			{
				iNewTotal++;
				
				$('.js_cache_extra_rooms').append('<li class="js_cache_im_room js_cache_im_list" id="' + $(this).attr('id') + '">' + $(this).html() + '</li>');
						
				$(this).remove();
			}	
		});
		
		eleOffset = Phpfox.getObjectPosition('js_temp_im_extra_position');
		
     	if ($.browser.msie && $.browser.version.substr(0,1) < 7)
     	{
     		$('#js_cache_extra_rooms').bgiframe();
     	}		
		
     	if (!$.browser.msie || ($.browser.msie && $.browser.version.substr(0,1) >= 7)) 
     	{
    		$('#js_cache_extra_rooms').css('top', (eleOffset.top - 400) + 'px');
     	}     	  	
		
		$('#js_cache_extra_rooms').css('left', eleOffset.left + 'px');
		
		if (iNewTotal == 0)
		{
			$('#js_cache_extra_rooms').hide();
			$('#js_temp_im_extra_position').hide();
		}
	},
	
	addBlock: function(sId, sHtml)
	{		
		if ($('#' + sId).parent().hasClass('js_cache_extra_rooms') || $('#' + sId).hasClass('js_is_new_room'))
    	{
    		iTotalActiveRooms = 0;
    		$('.js_cache_im_room').each(function()
			{
				iTotalActiveRooms++;					
			});
			
			if (iTotalActiveRooms > this.getSplitCount())
			{    		
				$('#js_temp_im_extra_position').show();	    		
				
				sTempHtml = $('#' + sId).html();
	    		
	    		$('#' + sId).remove();
	    		
	    		$('.js_cache_im_list:last').after('<li class="js_cache_im_room js_cache_im_list" id="' + sId + '" style="position:relative; width:150px;">' + sTempHtml + '</li>');    	
	    		
	    		iRoomCount = 0;
	    		$('.js_cache_im_room').each(function()
				{
					if (!$(this).parent().hasClass('js_cache_extra_rooms'))
					{
						if (sId != $(this).attr('id'))
						{						
							iRoomCount++;
							
							if (iRoomCount == 1)
							{
								$('.js_cache_extra_rooms').append('<li class="js_cache_im_room js_cache_im_list" id="' + $(this).attr('id') + '">' + $(this).html() + '</li>');
								
								$(this).remove();
							}
						}
					}
				});    		
			}
    	}
    	
    	$('#js_cache_extra_rooms').hide();		
		
		oPosition = Phpfox.getObjectPosition(sId);
    	
    	if (oCore['im.is_hidden'] == '1')
    	{
			$('.im_status_image').hide();
			$('#js_im_status_online').show();
			
			$('.im_status_display').hide();
			$('#js_im_display_online').show();				
    	}
    	
    	$('#js_temp_image_block').remove();
    	$('#footer_bar').find('a').removeClass('focus').removeClass('is_already_open');
    	$('.js_footer_holder').hide();
    	$('#' + sId).find('a').removeClass('new');
    	$('#' + sId).find('a').addClass('focus');    	
		
     	$('body').prepend('<div class="js_temp_image_block im_block" id="js_temp_image_block" style="z-index:999; width:250px; left:' + (oPosition.left - (250 - $('#' + sId).width()) + 1) + 'px;"><span style="display:none;">' + sId + '</span>' + sHtml + '</div>');
     	
     	if ($.browser.msie && $.browser.version.substr(0,1) < 7)
     	{
     		$('#js_temp_image_block').bgiframe();
     	}
    	
     	if (!$.browser.msie || ($.browser.msie && $.browser.version.substr(0,1) >= 7)) 
     	{
    		$('#js_temp_image_block').css('top', '' + (oPosition.top - 400) + 'px');    		
     	}
    	
    	if ($('#js_im_text').length > 0)
    	{
    		$('#js_im_text').width($('.im_text_form').innerWidth() - 2);
    	}
    	
    	if ($('#js_im_content').length > 0)
    	{
    		var iHeight = ($('.im_holder').innerHeight() - ($('.im_action_bar').innerHeight() + $('.im_header').innerHeight() + $('.im_text_form').innerHeight()));
    		
    		$('#js_im_content').height(iHeight);
    	}
	},
	
	getChatOrder: function()
	{
		iCnt = 0;
		sRooms = '';
		$('.js_cache_im_room').each(function()
		{
			iCnt++;
			sRooms += '&order[' + $(this).attr('id').replace('js_cache_im_room_', '') + ']=' + iCnt;
		});
		
		return sRooms;
	},
	
	onKeyUp: function(oEvent)
	{
		var iKey = oEvent.keyCode ? oEvent.keyCode : (oEvent.which ? oEvent.which : oEvent.charCode);
		
		if (iKey == 13)
		{			
			sTextValue = $('#js_im_text').val();
			$('#js_im_text').val(sTextValue.substr(0, (sTextValue.length - 1)));			
			$('#js_im_temp_form').ajaxCall('im.add');			
		}
	},
	
	onKeyUpPersonalStatus: function(oEvent)
	{
		var iKey = oEvent.keyCode ? oEvent.keyCode : (oEvent.which ? oEvent.which : oEvent.charCode);
		
		if (iKey == 13)
		{
			this.changePersonalStatus();
		}		
	},	
	
	changePersonalStatus: function()
	{			
		if ($('#js_im_status_value').val() != $('#js_im_status_input').val())
		{
			$.ajaxCall('im.updatePersonalStatus', 'status=' + $('#js_im_status_input').val());				
		}						
		else
		{
			$('#js_im_status_form').hide();			
			$('#js_im_status_phrase').show();
		}	
	},
	
	block: function(sId)
	{
		if (!confirm(oTranslations['core.are_you_sure']))
		{
			return false;
		}
		
		$('.js_temp_image_block').remove();
		$('#js_cache_im_room_' + sId + '').remove();
		$.ajaxCall('im.block', 'id=' + sId);
		
		return false;
	},
	
	toggleOptions: function(oObj)
	{
		if ($(oObj).hasClass('active'))
		{
			$(oObj).removeClass('active'); 
			$('.im_option').hide(); 			
		}
		else
		{		
			$(oObj).addClass('active'); 
			$('.im_option').show(); 
		}
		
		return false;
	},
	
	goOffline: function()
	{
		deleteCookie('im_last_open_window');
		
		$('.js_cache_im_room').remove();
		
		$('.js_footer_holder').hide();
		$('#js_im_holder').find('a:first').removeClass('focus');
		
		$('.im_status_image').hide();
		$('#js_im_status_offline').show();
		
		$('.im_status_display').hide();
		$('#js_im_display_offline').show();
		
		if (oCacheAjaxRequest !== null)
		{
			oCacheAjaxRequest.abort();
		}
		
		aCacheAjaxLastCall = {};
		
		$.ajaxCall('im.goOffline','','GET');
		
		return false;
	},
	
	changeStatus: function(oObj)
	{
		$('.im_status_image').hide();		
		
		switch ($(oObj).val())
		{
			case '1':
				$('#js_im_status_away').show();
				break;
			case '2':
				$('#js_im_status_offline').show();
				break;
			default:
				$('#js_im_status_online').show();
				break;
		}
		
		$.ajaxCall('im.changeStatus', 'status=' + $(oObj).val());
	},
		
	alertNew: function(iId)
	{
		this.iSet = 1;
		
		var oTmpObj = $('#js_cache_im_room_' + iId + '').find('a');
		
		if (this.iX == 0 && this.iSet == 1)
		{
			this.iX = 1;
			this.iSet = 0;
			$(oTmpObj).addClass('new');
		}		
		if (this.iX == 1 && this.iSet == 1)
		{
			this.iX = 0;
			this.iSet = 0;		
			$(oTmpObj).removeClass('new');	
		}
	}
}