<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: list.html.php 1374 2010-01-04 12:30:20Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aFriends)}
{if $bDisplayUl}
{literal}
<script type="text/javascript">
	function showLoader()
	{
		$('#js_im_user_list').html($.ajaxProcess('Loading', 'large'));
	}

	$(function()
	{
		if ($.browser.mozilla)
		{
			$('#js_im_find_friend_value').keypress(imCheckForEnter);
		} 
		else 
		{
			$('#js_im_find_friend_value').keydown(imCheckForEnter);
		}
	});	

	function imCheckForEnter(event)
	{
		if (event.keyCode == 13) 
		{
			showLoader(); 
			
			$.ajaxCall('im.searchFriends', 'find=' + $('#js_im_find_friend_value').val());
		
			return false;	
		}
	}
	
	function letsHaveAChat(iId)
	{
		if (!$('#js_chat_with_' + iId).hasClass('we_have_already_clicked'))
		{
			$('#js_chat_with_' + iId).addClass('we_have_already_clicked');
			
			$.ajaxCall('im.chat', 'user_id=' + iId + Phpfox.im.getChatOrder());
		}
		
		return false;
	}
</script>
{/literal}
<div class="p_4">
	<input type="text" name="find" id="js_im_find_friend_value" value="{phrase var='im.find_your_friends'}" size="20" style="width:95%;" onfocus="if (this.value == '{phrase var='im.find_your_friends' phpfox_squote=true}') this.value = '';" onblur="if (this.value == '') this.value = '{phrase var='im.find_your_friends' phpfox_squote=true}';" />
</div>
<div id="js_im_user_list">
{/if}
<ul class="im_user_list">
{foreach from=$aFriends item=aFriend name=friends}
	<li>
		<a id="js_chat_with_{$aFriend.user_id}" {if $phpfox.iteration.friends == 1}class="first" {/if}href="#" onclick="return letsHaveAChat('{$aFriend.user_id}');">
			<span style="float:left; width:25px;">
				{img user=$aFriend suffix='_20' no_link=true class='v_middle' no_online_status='true' max_width=20 max_height=20}
			</span>
			<span style="float:right;">
				{if $aFriend.im_status == '1'}
				{img theme='misc/bullet_yellow.png' class='v_middle'}
				{else}
				{img theme='misc/bullet_green.png' class='v_middle'}
				{/if}
			</span>
			<span>
				{$aFriend.full_name|clean|shorten:20:'...'}	
				{if !empty($aFriend.status)}
				<span class="im_user_info">
					{$aFriend.status|clean|shorten:30|split:10}
				</span>
				{/if}
			</span>
			<span style="clear:all;"></span>
		</a>
	</li>
{/foreach}
</ul>
{pager}
{if $bDisplayUl}
</div>
{/if}
{else}
<div class="extra_info">
	{phrase var='im.no_friends_online'}
</div>
{/if}