<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: form.class.php 1289 2009-12-02 16:13:11Z Raymond_Benc $
 */
class Language_Component_Block_Admincp_Form extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$aLanguages = Phpfox::getService('language')->get();
		$aVals = $this->request()->getArray('val');		
		$bAddInput = false;		
		$bHasValue = false;
		
		if (($sVarName = $this->getParam('var_name')))
		{
			$aValues = Phpfox::getService('language.phrase')->getValues($sVarName);
			$bHasValue = true;
		}		
		
		if (($bHasValue === true) || (($aValues = $this->getParam('value')) !== null))
		{
			$bAddInput = true;			
			$aKeys = array_keys($aValues);
			$aVals2 = array_values($aValues);
			if (isset($aVals2[0]))
			{
				$aVals[$this->getParam('id')] = $aVals2[0];
			}
			
			$this->setParam('value', null);
		}		
		
		foreach ($aLanguages as $iKey => $aLanguage)
		{		
			if ($bAddInput && isset($aKeys[0]))
			{
				$aLanguages[$iKey]['phrase_var_name'] = $aKeys[0];
			}
			$aLanguages[$iKey]['post_value'] = (isset($aVals[$this->getParam('id')][$aLanguage['language_id']]) ? $aVals[$this->getParam('id')][$aLanguage['language_id']] : '');	
		}
		
		$this->template()->assign(array(
				'aLanguages' => $aLanguages,
				'sType' => $this->getParam('type'),
				'sId' => $this->getParam('id')
			)
		);
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('language.component_block_admincp_form_clean')) ? eval($sPlugin) : false);		
	}
}

?>