<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Log
 * @version 		$Id: active-users.class.php 225 2009-02-13 13:24:59Z Raymond_Benc $
 */
class Log_Component_Active_Users extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$aCond = array();
		if ($iForumId = $this->getParam('iForumId'))
		{
			$aCond[] = 'AND session.forum_id = "' . (int)$iForumId . '"';	
		}
		elseif ($this->getParam('bIsForum'))
		{
			$aCond[] = 'AND session.is_forum = 1';
		}
		
		list($aRows, $iMembers, $iGuests) = Phpfox::getService('log.session')->getActiveUsers($aCond);
		
		$this->template()->assign(array(
			'aActiveUsers' => $aRows,
			'iActiveMembers' => $iMembers,
			'iActiveGuests' => $iGuests
		));
	}
}

?>