<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Mail
 * @version 		$Id: index.html.php 2003 2010-10-29 11:31:12Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aMails)}
<div class="header_bar">	
	<div id="js_folders" style="display:none;">
		{phrase var='mail.move_folder'}
		<select name="folder" onchange="$('#js_form').ajaxCall('mail.move', 'folder=' + this.value);">
			<optgroup label="{phrase var='mail.default'}">
				<option value="inbox">{phrase var='mail.inbox'}</option>
				<option value="trash">{phrase var='mail.trash'}</option>
			</optgroup>
			{if !$bIsSentbox}
			<optgroup label="{phrase var='mail.custom'}" id="js_last_folder_option">
			{foreach from=$aFolders item=aFolder name=ofolders}
				<option value="{$aFolder.folder_id}"{if $iFolder == $aFolder.folder_id} selected="selected"{/if}>{$aFolder.name|clean}</option>
			{/foreach}			
			</optgroup>
			{/if}
		</select>
		{phrase var='mail.or_cancel'}
		{if Phpfox::getUserParam('mail.can_add_folders')}
		<br />
		<br />
		<div class="p_4">
			<form method="post" action="{url link='current'}">
				<div><input type="text" name="add_folder" value="{phrase var='mail.add_new_folder'}" size="15" onclick="if (this.value == '{phrase var='mail.add_new_folder' phpfox_squote=true}') this.value = '';" onblur="if (this.value == '') this.value = '{phrase var='mail.add_new_folder' phpfox_squote=true}';" id="js_add_folder_header" /> <input type="button" value="{phrase var='mail.add'}" class="button" onclick="$('#js_add_folder_header').addFolder('mail.addFolder');" /></div>
			</form>
		</div>
		{/if}
	</div>
	<div id="js_select_info">
		<div class="go_left" style="padding-top:3px;">		
			<label>
			{phrase var='mail.select'}: 
			<select name="select" onchange="localSelector(this.value);" class="js_selector">
				<option value="">---</option>
					<option value="none">{phrase var='mail.none'}</option>
					<option value="read">{phrase var='mail.read'}</option>
					<option value="unread">{phrase var='mail.unread'}</option>
					<option value="all">{phrase var='mail.all'}</option>
					{if Phpfox::getUserParam('mail.allow_delete_every_message')}<option value="every">{phrase var='mail.all'} ({$iTotalMessages})</option>{/if}
				</select>
				</label>		
				<span id="js_selector_action" style="display:none;">
				{phrase var='mail.and'}
				<select name="action" disabled="disabled" id="js_action_selector" onchange="return doAction(this.value);">
					<option value="">---</option>
					{if !$bIsTrash && !$bIsSentbox}
					<option value="move">{phrase var='mail.move_folder'}</option>
					{/if}
					{if $bIsTrash}
					<option value="undelete">{phrase var='mail.undelete'}</option>
					{/if}					
					<option value="delete">{phrase var='mail.delete'}</option>
					{if !$bIsSentbox && !$bIsTrash}
					<option value="read">{phrase var='mail.mark_read'}</option>
					<option value="unread">{phrase var='mail.mark_unread'}</option>
					{/if}
				</select>		
				</span>
			<div><input type="hidden" id="js_selector_read" name="read" value="{if isset($aInputs.read)}{foreach from=$aInputs.read item=iRead}{$iRead},{/foreach}{/if}" /></div>
			<div><input type="hidden" id="js_selector_unread" name="unread" value="{if isset($aInputs.unread)}{foreach from=$aInputs.unread item=iUnread}{$iUnread},{/foreach}{/if}" /></div>
		</div>
		<div class="t_right">
			<form method="post" action="{$sUrl}">
				<div>{$aFilters.search}</div>
			</form>
		</div>
		<div class="clear"></div>
	</div>	
</div>
{if $bIsTrash}
		<div class="extra_info">{phrase var='mail.messages_total_days_old_will_be_auto_deleted' total=$iMessageAge}</div>
	{/if}
{/if}
{if $iMailSpaceUsed >= Phpfox::getUserParam('mail.mail_box_warning') && $iMailSpaceUsed > 0} <div class="message">{if $iMailSpaceUsed == 100} {phrase var='mail.you_have_reached_your_mail_box_capacity_and_wont_be_able'}{else}{phrase var='mail.you_are_approaching_your_mail_box_limit' total=$iMailSpaceUsed}{/if}</div> {/if}
<div class="public_message" id="js_mail_action_info"></div>
<div class="main_break">
	<div id="js_mail_messages"></div>
	<form method="post" action="{$sUrl}" id="js_form">
		<div><input type="hidden" name="val[action]" value="" id="js_form_action" /></div>
		<div><input type="hidden" name="val[select]" value="" id="js_form_select" /></div>
		<div><input type="hidden" name="val[folder]" value="{$iFolder}"/></div>
		{foreach from=$aMails item=aMail name=mail}
		<div class="{if is_int($phpfox.iteration.mail/2)}row1{else}row2{/if} js_selector_class_{$aMail.mail_id}{if $phpfox.iteration.mail == 1} row_first{/if}{if !$bIsSentbox && !$bIsTrash && $aMail.viewer_is_new} row_focus{/if}" id="js_message_{$aMail.mail_id}">
			<div class="go_left t_center" style="width:20px;">
				<input type="checkbox" name="val[id][]" value="{$aMail.mail_id}" class="checkbox" id="js_selector_checkbox_{$aMail.mail_id}" />
			</div>
			<div class="go_left t_center" style="width:60px;">
			{if $aMail.user_id == Phpfox::getUserId()}
				{img user=$aMail suffix='_50' max_width=50 max_height=50}
			{else}
				{if (isset($aMail.user_id) && !empty($aMail.user_id))}
					{img user=$aMail suffix='_50' max_width=50 max_height=50}
				{else}
					<div style="width:50px; height: 50px;">&nbsp;</div>
				{/if}
			{/if}
			</div>
			<div class="go_left" style="width:100px;">
				{if $bIsTrash}
					{if $aMail.user_id == Phpfox::getUserId()}
						{phrase var='mail.to'}: {$aMail|user:'other_'}
					{else}
						{phrase var='mail.from'}: {$aMail|user}
					{/if}
				{else}
					{if $bIsSentbox}{phrase var='mail.to'}: {/if}{if $aMail.owner_user_id == 0}{$sSiteName}{else}{$aMail|user|split:15}{/if}
				{/if}
				<div class="p_4" style="font-size:8pt;">
					{$aMail.time_stamp|date:'mail.mail_time_stamp'}
				</div>
			</div>
			<div class="go_left" style="width:275px;">			
				<a href="{url link='mail.view' id=$aMail.mail_id}"{if !$bIsSentbox && !$bIsTrash && $aMail.viewer_is_new} style="font-weight:bold;"{/if}>{if $aMail.parent_id}{phrase var='mail.re'}: {/if}{$aMail.subject|clean|shorten:35:'...'}</a>	
				{if $aMail.total_attachment > 0}
				<a href="{url link='mail.view' id=$aMail.mail_id}" title="{phrase var='mail.view_attachments'} ({$aMail.total_attachment})">{img theme='misc/attach.png' alt='' class='v_middle'}</a>
				{/if}
				{if Phpfox::getParam('mail.show_preview_message')}
					<div class="p_4">
						{$aMail.preview|clean|shorten:40:'...'|cleanbb}
					</div>
				{/if}
			</div>
			<div class="t_right">
				<a href="#?call=mail.delete&amp;id={$aMail.mail_id}{if $bIsSentbox}&amp;type=sentbox{/if}{if $bIsTrash}&amp;type=trash{/if}" class="delete_link" title="{phrase var='mail.delete'}">{img theme='misc/delete.gif' class='delete_hover'}</a>
			</div>
			<div class="clear"></div>
		</div>
		{foreachelse}
		<div class="t_center">
			{phrase var='mail.messages'}
		</div>
		{/foreach}
	</form>
</div>

{pager}
{literal}
<script type="text/javascript">
<!--
	if ($('#public_message').html())
	{		
		$('#js_mail_action_info').html($('#public_message').html());
		$('#public_message').remove();
		$('#js_mail_action_info').show();
	}
-->
</script>
{/literal}