<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Mail
 * @version 		$Id: view.html.php 2407 2011-03-22 13:04:06Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !isset($bMass)}
<div class="item_view_photo">
{if $aMail.owner_user_id == Phpfox::getUserId()}
	{img user=$aMail user_suffix='viewer_' suffix='_75' max_width=75 max_height=75}
{elseif !empty($aMail.owner_user_image)}
	{img user=$aMail user_suffix='owner_' suffix='_75' max_width=75 max_height=75}
{/if}
</div>
{/if}
<div class="item_info">
	{if $aMail.owner_user_id == Phpfox::getUserId()}
		{if $aMail.owner_user_id == $aMail.viewer_user_id && $aMail.owner_user_id == Phpfox::getUserId()}
		{phrase var='mail.you_wrote_to_yourself_at_time_stamp' time_stamp=$aMail.time_stamp|date:'mail.mail_time_stamp'}
		{else}
		{phrase var='mail.you_wrote_to_user_name_at_time_stamp' user_name=$aMail|user:'viewer_' time_stamp=$aMail.time_stamp|date:'mail.mail_time_stamp'}
		{/if}	
	{elseif $aMail.owner_user_id != 0}
		{phrase var='mail.user_name_wrote_at_time_stamp' user_name=$aMail|user:'owner_' time_stamp=$aMail.time_stamp|date:'mail.mail_time_stamp'}
	{else}
		{phrase var='mail.site_sent_you_a_message' site=$sSite}
	{/if}
</div>	
	{if isset($bMass)}
	<div class="p_top_8">
		{phrase var='mail.mass_message_to'}: 
		{foreach from=$aMails name=mass item=aMass}{if $phpfox.iteration.mass != 1}, {/if}{$aMass|user}{/foreach}
	</div>
	{/if}
	<div class="p_top_8">
		{$aMail.text|parse|split:100}
		{if $aMail.parent_id && $aMail.text_reply}
		<div class="quote">
			<div class="quote_body">
				{$aMail.text_reply|parse|split:80}
			</div>
		</div>
		{/if}
	</div>

	{if isset($aAttachments)}
	{module name='attachment.list' sType='mail' attachments=$aAttachments}
	{/if}
	<div class="t_right">
		<div class="" style="float:left;">
		<ul class="item_menu">
			<li><a href="{url link='mail' action='delete' id=$aMail.mail_id}" onclick="return confirm('{phrase var='mail.are_you_sure' phpfox_squote=true}')">{phrase var='mail.delete'}</a></li>
			{if Phpfox::isModule('report') && $aMail.owner_user_id != Phpfox::getUserId()}
			<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=mail&amp;id={$aMail.mail_id}" class="inlinePopup" title="{phrase var='mail.report_this_message'}">{phrase var='mail.report'}</a></li>
			{/if}			
		</ul>
		</div>
		<ul class="item_menu">
			{if $iNextId != ""}
				<li><a href="{url link='mail.view' id=$iNextId}" class="inlinePopup" title="{phrase var='mail.newer_message'}">{phrase var='mail.previous'}</a></li>
			{/if}
			{if $iPrevId != ""}
				<li><a href="{url link='mail.view' id=$iPrevId}" class="inlinePopup" title="{phrase var='mail.older_message'}">{phrase var='mail.next'}</a></li>
			{/if}
		</ul>
		<div class="clear"></div>
	</div>	

	{if $aMail.viewer_user_id == Phpfox::getUserId() && $aMail.owner_user_id != 0}
	<br />
	{$sCreateJs}
	<form method="post" action="{url link='mail.view' id=$aMail.mail_id}" id="js_form" onsubmit="{$sGetJsForm}">
		<div><input type="hidden" name="val[parent_id]" value="{$aMail.mail_id}" /></div>
		<div><input type="hidden" name="val[attachment]" id="js_attachment" value="{value type='input' id='attachment'}" /></div>
		<div class="table">
			<div class="table_left">
				<label for="message">{phrase var='mail.reply'}:</label>
			</div>
			<div class="table_right">
				{editor id='message' rows='8'}
			</div>
		</div>
		<div class="table_clear">
			<input type="submit" value="{phrase var='mail.send'}" class="button" id="js_mail_submit" />
		</div>
	</form>
	{/if}