<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: info.html.php 1594 2010-05-22 22:49:41Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
	{if $aListing.is_sell && $aListing.view_id != '2' && $aListing.price != '0.00'}
	<div class="t_center">
		<form method="post" action="{url link='marketplace.purchase'}">
			<div><input type="hidden" name="id" value="{$aListing.listing_id}" /></div>
			<input type="submit" value="{phrase var='marketplace.buy_it_now'}" class="button" />
			<div class="separate"></div>
		</form>
	</div>
	{/if}
	{if !empty($aListing.short_description)}
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.summary'}:
		</div>
		<div class="info_right">
			{$aListing.short_description|clean}
		</div>
	</div>	
	{/if}
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.posted_on'}:
		</div>
		<div class="info_right">
			{$aListing.time_stamp|date:'marketplace.marketplace_view_time_stamp'}
		</div>
	</div>
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.posted_by'}:
		</div>
		<div class="info_right">
			{$aListing|user}
		</div>
	</div>
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.user_rating'}:
		</div>	
		<div class="info_right">
			{module name='rate.display'}
		</div>	
	</div>	
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.user_activity'}:
		</div>	
		<div class="info_right">
			{$aListing.activity_points}
		</div>	
	</div>		
	<div class="info">
		<div class="info_left">
			{phrase var='marketplace.location'}:
		</div>
		<div class="info_right">
			{$aListing.country_iso|location}
			{if !empty($aListing.country_child_id)}
			<div class="p_2">&raquo; {$aListing.country_child_id|location_child}</div>
			{/if}
			{if !empty($aListing.city)}
			<div class="p_2">&raquo; {$aListing.city|clean} </div>
			{/if}			
		</div>
	</div>