<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: menu.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu">
	<ul>
		<li><a href="{url link='marketplace.add'}" class="first">{phrase var='marketplace.add_new_listing'}</a></li>
	{if ($aListing.user_id == Phpfox::getUserId() && Phpfox::getUserParam('marketplace.can_edit_own_listing')) || Phpfox::getUserParam('marketplace.can_edit_other_listing')}
		<li><a href="{url link='marketplace.add' id=$aListing.listing_id}">{phrase var='marketplace.edit_listing'}</a></li>	
		<li><a href="{url link='marketplace.add.customize' id=$aListing.listing_id}">{phrase var='marketplace.manage_photos'}</a></li>	
		<li><a href="{url link='marketplace.add.invite' id=$aListing.listing_id}">{phrase var='marketplace.send_invitations'}</a></li>	
		<li><a href="{url link='marketplace.add.manage' id=$aListing.listing_id}">{phrase var='marketplace.manage_invites'}</a></li>	
	{/if}	
	{if $aListing.user_id != Phpfox::getUserId()}
		<li><a href="{url link='mail.compose' id=$aListing.user_id}">{phrase var='marketplace.contact'} {$aListing.full_name|first_name}</a></li>
	{/if}
	{if Phpfox::isModule('share')}
		{module name='share.link' type='marketplace' display='menu' url=$aListing.bookmark_url title=$aListing.title}			
	{/if}		
	{if Phpfox::isModule('report')}
		{if $aListing.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=marketplace&amp;id={$aListing.listing_id}" class="inlinePopup" title="{phrase var='marketplace.report_this_listing'}">{phrase var='marketplace.report'}</a></li>{/if}
	{/if}	
	{if ($aListing.user_id == Phpfox::getUserId() && Phpfox::getUserParam('marketplace.can_delete_own_listing')) || Phpfox::getUserParam('marketplace.can_delete_other_listings')}
		<li><a href="{url link='marketplace' delete=$aListing.listing_id}" class="sJsConfirm">{phrase var='marketplace.delete_listing'}</a></li>
	{/if}
	{if Phpfox::getUserParam('marketplace.can_sponsor_marketplace')}
	<li>
	    <span id="js_sponsor_{$aListing.listing_id}" class="">
			    {if $aListing.is_sponsor}
		<a href="#" onclick="$.ajaxCall('marketplace.sponsor','listing_id={$aListing.listing_id}&type=0'); return false;">
			    {phrase var='marketplace.unsponsor_this_listing'}
		</a>
			    {else}
		<a href="#" onclick="$.ajaxCall('marketplace.sponsor','listing_id={$aListing.listing_id}&type=1'); return false;">
				    {phrase var='marketplace.sponsor_this_listing'}
		</a>
			    {/if}
	    </span>
	</li>
	{elseif Phpfox::getUserParam('marketplace.can_purchase_sponsor') 
	&& $aListing.user_id == Phpfox::getUserId()
	&& $aListing.is_sponsor != 1}
	<li>
	    <a href="{url link='ad.sponsor' module='marketplace' id=$aListing.listing_id}">
			    {phrase var='marketplace.sponsor_this_listing'}
	    </a>
	</li>
	{/if}
	</ul>
</div>