<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: featured.class.php 1259 2009-11-17 21:40:32Z Raymond_Benc $
 */
class Music_Component_Block_Featured extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		if (!defined('PHPFOX_MUSIC_INDEX') && !PHPFOX_IS_AJAX)
		{
			return false;
		}
		
		$aFeatured = Phpfox::getService('music')->getFeaturedSongs();
		
		if (!is_array($aFeatured))
		{
			return false;
		}
		
		if (!count($aFeatured))
		{
			return false;
		}
		
		$this->template()->assign(array(
				'aFeaturedSongs' => $aFeatured//Phpfox::getService('music')->getFeaturedSongs()
			)
		);
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('music.component_block_featured_clean')) ? eval($sPlugin) : false);
	}
}

?>