<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: featured.html.php 1164 2009-10-09 09:27:09Z Anna_Eliasson $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !PHPFOX_IS_AJAX}
<div class="main_break"></div>
<div class="block sub_block">
	<div class="title">
		{phrase var='music.featured'}
	</div>
	<div class="menu">
		<ul>
			<li class="first active"><a href="#music.featuredSongs">{phrase var='music.songs'}</a></li>
			<li class="last"><a href="#music.featuredAlbums">{phrase var='music.albums'}</a></li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content" id="js_music_featured_content">
{/if}
		{foreach from=$aFeaturedSongs item=aSong}
		<div style="width:30%; float:left; text-align:center;">
			<div class="p_2">
				<a href="{$aSong.url}">{$aSong.title|clean|shorten:30}</a>
			</div>		
			{img user=$aSong suffix='_75' max_width=75 max_height=75}
			<div class="p_2">
				{$aSong|user}
			</div>
		</div>
		{/foreach}
		<div class="clear"></div>
{if !PHPFOX_IS_AJAX}
	</div>
</div>
{/if}