<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: menu-album.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu" class="js_album_parent">
	<ul>
	{if (($aAlbum.user_id == Phpfox::getUserId() && Phpfox::getUserParam('music.can_edit_own_albums')) || Phpfox::getUserParam('music.can_edit_other_music_albums'))}
		<li><a href="{url link='music.album' id=$aAlbum.album_id}" class="first">{phrase var='music.edit'}</a></li>
	{/if}
	{if (($aAlbum.user_id == Phpfox::getUserId() && Phpfox::getUserParam('music.can_edit_own_albums')))}
		<li><a href="{url link='music.album.song' id=$aAlbum.album_id}">{phrase var='music.upload_new_track'}</a></li>
	{/if}
	{if (($aAlbum.user_id == Phpfox::getUserId() && Phpfox::getUserParam('music.can_delete_own_music_album')) || Phpfox::getUserParam('music.can_delete_other_music_albums'))}
		<li><a href="{url link='music' delete=$aAlbum.album_id}" onclick="return confirm('{phrase var='music.are_you_sure_this_will_delete_all_tracks_that_belong_to_this_album_and_cannot_be_undone' phpfox_squote=true}');">{phrase var='music.delete_album'}</a></li>
	{/if}
	{if Phpfox::isModule('share')}
		{module name='share.link' type='music_album' display='menu' url=$aAlbum.bookmark title=$aAlbum.name}			
	{/if}
	{if Phpfox::isModule('report')}
		{if $aAlbum.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=music_album&amp;id={$aAlbum.album_id}" class="inlinePopup" title="{phrase var='music.report_this_music_album'}">{phrase var='music.report'}</a></li>{/if}
	{/if}
	{if Phpfox::isModule('favorite')}
		<li><a href="#?call=favorite.add&amp;height=100&amp;width=400&amp;type=music_album&amp;id={$aAlbum.album_id}" class="inlinePopup" title="{phrase var='music.add_to_favorites'}">{phrase var='music.add_to_favorites'}</a></li>
	{/if}		
			{if $aAlbum.view_id == 0 && Phpfox::getUserParam('music.can_feature_music_albums')}
				<li><a id="js_feature_{$aAlbum.album_id}"{if $aAlbum.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.feature_this_album'}" onclick="$(this).hide(); $('#js_unfeature_{$aAlbum.album_id}').show(); $(this).parents('.js_album_parent:first').addClass('row_featured').find('.js_featured_album').show(); $.ajaxCall('music.featureAlbum', 'album_id={$aAlbum.album_id}&amp;type=1'); return false;">{phrase var='music.feature'}</a></li>
				<li><a id="js_unfeature_{$aAlbum.album_id}"{if !$aAlbum.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.un_feature_this_album'}" onclick="$(this).hide(); $('#js_feature_{$aAlbum.album_id}').show(); $(this).parents('.js_album_parent:first').removeClass('row_featured').find('.js_featured_album').hide(); $.ajaxCall('music.featureAlbum', 'album_id={$aAlbum.album_id}&amp;type=0'); return false;">{phrase var='music.unfeature'}</a></li>
			{/if}


	{if Phpfox::getUserParam('music.can_sponsor_album')}
	    <li>
		<span id="js_sponsor_{$aAlbum.album_id}" class="" style="{if $aAlbum.is_sponsor != 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aAlbum.album_id}').hide();$('#js_unsponsor_{$aAlbum.album_id}').show();$.ajaxCall('music.sponsorAlbum','album_id={$aAlbum.album_id}&type=0'); return false;">
			{phrase var='music.unsponsor_this_album'}
		    </a>
		</span>
		<span id="js_unsponsor_{$aAlbum.album_id}" class="" style="{if $aAlbum.is_sponsor == 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aAlbum.album_id}').show();$('#js_unsponsor_{$aAlbum.album_id}').hide();$.ajaxCall('music.sponsorAlbum','album_id={$aAlbum.album_id}&type=1'); return false;">
			{phrase var='music.sponsor_this_album'}
		    </a>
		</span>
	    </li>
	{elseif Phpfox::getUserParam('music.can_purchase_sponsor_album')
	    && $aAlbum.user_id == Phpfox::getUserId()
	    && $aAlbum.is_sponsor != 1}
	    <li>
		<a href="{url link='ad.sponsor' module='music-album' id=$aAlbum.album_id}">
			{phrase var='music.sponsor_this_album'}
		</a>
	    </li>
	{/if}
	</ul>
</div>