<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: upload.html.php 2589 2011-05-03 09:24:23Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>

	<div class="message" style="font-weight:normal;">
		<p>
			{phrase var='music.you_retain_all_rights_in_your_music_that_you_upload_you_must_only_upload_music_in_which_you_own_all'}
		</p>
		<p>
			{phrase var='music.uploading_copyrighted_music_without_the_explicit_consent_of_the_copyright_owner_will_result_in_your'}
		</p>
	</div>	
			
	<div class="main_break"></div>
	{if isset($aUploadAlbums) && count($aUploadAlbums)}
	<div class="table">
		<div class="table_left">
			{phrase var='music.album'}:
		</div>
		<div class="table_right">
			<select name="val[album_id]" id="music_album_id_select">
				<option value="">{phrase var='music.select'}:</option>
			{foreach from=$aUploadAlbums item=aAlbum}
				<option value="{$aAlbum.album_id}">{$aAlbum.name|clean}</option>
			{/foreach}
			</select>
		</div>
	</div>
	{/if}
	<div class="table">
		<div class="table_left">
			{required}{phrase var='music.select_mp3'}:
		</div>
		<div class="table_right">
			{if isset($sMethod) && $sMethod == 'massuploader'}
				<div id="swfUploaderContainer">
					<div id="swfUploaderButton"></div>
				</div>
				<span id="swfUploadText">{phrase var='music.upload'}</span>
				<div style="margin-top:10px"><a href="{$sMethodUrl}">{phrase var='music.use_simple_upload'}</a></div>
				<div id="js_progress_bar"></div>
			{/if}
			{if !isset($sMethod) || $sMethod == 'simple'}				
				<input type="file" name="mp3" size="40" id="js_upload_mp3" />
				{if Phpfox::getParam('music.music_enable_mass_uploader')}
					<div><a href="{$sMethodUrl}">{phrase var='music.use_mass_uploader'}</a></div>
				{/if}
			{/if}
			<div class="extra_info">
				{phrase var='music.max_file_size'}: {$iUploadLimit}
			</div>		
		</div>
	</div>
	<div class="table song_name">
		<div class="table_left">
			{required}{phrase var='music.song_name'}:
		</div>
		<div class="table_right">
			<input type="text" name="val[title]" value="" size="30" id="title" />
		</div>
	</div>
	{*
	<div class="table">
		<div class="table_left">
			Explicit:
		</div>
		<div class="table_right">
			<label><input name="val[explicit]" value="1" type="checkbox" class="v_middle" /> {phrase var='music.check_if_song_contains_explicit_lyrics'}</label>
		</div>
	</div>
	*}