<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: album.html.php 2290 2011-02-02 15:35:09Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="header_bar_menu" style="margin-left:20px; position:relative;">
	{if isset($aForms.name_url) && $bIsEdit && !$sStep}
	<ul style="position:absolute; right:0; margin-right:10px;">
		<li class="last"><a href="{url link=''$aForms.user_name'.music.'$aForms.name_url''}">{phrase var='music.view_this_album'}</a></li>
	</ul>
	{/if}
	{if $bIsEdit && $sStep}
	<ul style="position:absolute; right:0; margin-right:10px;">
		<li class="last"><a href="{url link=''$aForms.user_name'.music.'$aForms.name_url''}">{phrase var='music.skip_amp_view_this_album'}</a></li>
	</ul>
	{/if}
	<ul>
		<li{if $sAction == 'detail' && !$sStep} class="active"{/if}><a href="#detail" class="js_music_change_group">{if !$bIsEdit || $sStep}{phrase var='music.step_1'}: {/if}{phrase var='music.album_details'}</a></li>
		<li class="{if $sStep == 'art' || $sAction == 'art'}active{else}{if !$bIsEdit || $sStep && $sStep != 'song'}locked{/if}{/if}"><a href="#art" class="js_music_change_group">{if !$bIsEdit || $sStep}{phrase var='music.step_2'}: {/if}{phrase var='music.album_art'}</a></li>
		<li class="last {if $sStep == 'song' || $sAction == 'song'}active{else}{if !$bIsEdit || $sStep}locked{/if}{/if}"><a href="#song" class="js_music_change_group">{if !$bIsEdit || $sStep}{phrase var='music.step_3'}: {/if}{phrase var='music.tracks'}</a></li>
	</ul>
</div>


{if !empty($sMusicMessage)}
<div class="message">
	{$sMusicMessage}
</div>
<div class="main_break"></div>
{/if}

{if isset($aUserGenres) && !count($aUserGenres)}
{module name='music.genre-form'}
{/if}

<div id="js_actual_upload_form"{if isset($aUserGenres) && !count($aUserGenres)} style="display:none;"{/if}>

	{if count($aMusicErrors)}
	{foreach from=$aMusicErrors item=sErrorMessage}
		<div class="error_message">{$sErrorMessage}</div>
	{/foreach}
	<div class="main_break"></div>
	{/if}
	
	{$sCreateJs}
	<form method="post" action="{url link='music.album'}" enctype="multipart/form-data" onsubmit="return startProcess({$sGetJsForm}, false);" id="js_album_form">
		{if $bIsEdit}
		<div><input type="hidden" name="id" value="{$aForms.album_id}" /></div>
		{/if}
		{if !$bIsEdit || $sStep}
		<div><input type="hidden" name="val[step]" value="{$sStep}" /></div>
		{/if}
		{if $bIsEdit || !$sStep}
		<div><input type="hidden" name="val[action]" value="{$sAction}" id="js_music_add_action" /></div>
		{/if}
		<div id="js_music_block_detail" class="js_music_block" style="display:none;">
			<div class="table">
				<div class="table_left">
					{required}{phrase var='music.album_name'}:
				</div>
				<div class="table_right">
					<input type="text" name="val[name]" size="30" value="{value type='input' id='name'}" id="name" />
				</div>
			</div>
			<div class="table">
				<div class="table_left">
					{required}{phrase var='music.album_year'}:
				</div>
				<div class="table_right">
					<input type="text" name="val[year]" size="4" value="{value type='input' id='year'}" id="year" />
					<div class="extra_info">
						{phrase var='music.eg_1982'}
					</div>
				</div>
			</div>
			<div class="table">
				<div class="table_left">
					{phrase var='music.description'}:
				</div>
				<div class="table_right">
					<textarea cols="40" rows="8" name="val[text]" id="text">{value type='textarea' id='text'}</textarea>
				</div>
			</div>
			<div class="table_clear">
				<input type="submit" value="{if $bIsEdit}{phrase var='music.update_album'}{else}{phrase var='music.add_album'}{/if}" class="button" />
			</div>
		</div>
		
		<div id="js_music_block_art" class="js_music_block" style="display:none;">
			<div id="js_music_form_holder">
				<div class="table">
					<div class="table_left">
						{phrase var='music.select_photo'}:
					</div>
					<div class="table_right">
						{if $bIsEdit && !empty($aForms.image_path)}
						<div id="js_music_current_image">
							{img server_id=$aForms.server_id path='music.url_image' file=$aForms.image_path suffix='_120' max_width='120' max_height='120'}
							<div class="extra_info">
								{phrase var='music.click_a_href_onclick_javascript_here_a_to_delete_this_image_and_upload_a_new_one_in_its_p' javascript=$sJavaScriptEditLink}
							</div>
						</div>
						{/if}
						<div id="js_music_upload_image"{if $bIsEdit && !empty($aForms.image_path)} style="display:none;"{/if}>
							<div id="js_progress_uploader"></div>
							<div class="extra_info">
								{phrase var='music.you_can_upload_a_jpg_gif_or_png_file'}
							</div>
						</div>
					</div>
				</div>		
				
				<div class="table_clear">
					<input type="submit" value="{phrase var='music.upload'}" class="button" />
				</div>		
			</div>			
		</div>
		
		<div id="js_music_block_song" class="js_music_block" style="display:none;">
			{if (($bIsEdit && $aForms.user_id == Phpfox::getUserId() && Phpfox::getUserParam('music.can_edit_own_albums')) || !$bIsEdit)}
			<h3 style="margin-top:0px;">{phrase var='music.upload_track'}</h3>
			<div>
				<div id="js_music_upload_song">
					{template file='music.block.upload'}
					<div class="table_clear">
						<input type="button" id="btnSubmit" value="Set Name" class="button" onclick="{if isset($sMethod) && $sMethod =='massuploader'} {else}if (Phpfox.music.upload({$sGetJsForm})) {literal}{{/literal} $('#js_album_form').submit(); {literal}}{/literal} {/if}" />
					</div>
				</div>
			</div>
			{/if}
			{if $bIsEdit}
			<h3>{phrase var='music.album_tracks'}</h3>
			<div id="js_music_player" style="height:25px; width:100%; display:none;"></div>
			<div class="label_flow" id="tracks_list" style="height:200px;">
				{module name='music.track' album_user_id=$aForms.user_id album_id=$aForms.album_id album_view_all=true}
			</div>
			{/if}
		</div>
			
	</form>
</div>