<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: link.html.php 1673 2010-07-13 13:49:01Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !PHPFOX_IS_AJAX}
<li style="position:relative;">
	<a href="#" class="js_notify_link" title="{phrase var='notification.notifications'}">
		<span id="js_notification_total_count_show" class="notification_count"{if !$iTotalNotifications} style="display:none;"{/if}>{$iTotalNotifications}</span> {img theme='layout/notification.png' alt='' class='v_middle'}		
	</a>
</li>
<li style="display:none;" id="js_notification_popup">
{/if}
	<div id="js_notification_total_count" style="display:none;">{$iTotalNotifications}</div>
	<div id="js_notification_seen_id" style="display:none;">{$sIsSeenIds}</div>
	<div class="js_footer_holder">
		<div class="footer_menu_header">
			<div style="position:absolute; right:0; margin-right:2px;">
				<a href="#" class="footer_menu_minimize" onclick="$(this).parents('.js_footer_holder:first').hide(); $('.js_notify_link').removeClass('focus').removeClass('is_already_open'); return false;">{img theme='misc/minimize.gif' alt='' class='v_middle'}</a>
			</div>	
			{phrase var='notification.notifications'}
		</div>
		<div class="footer_menu_content">
		{if count($aNotifications)}
			<div id="js_notification_over_flow" class="footer_menu_flow" style="height:300px;">
				<div id="js_notification_border">
					{foreach from=$aNotifications name=notifications item=aNotification}
					{template file='notification.block.entry'}
					{/foreach}
				</div>
			</div>
		{else}
			<div class="extra_info">
				{phrase var='notification.no_new_notifications'}
			</div>
		{/if}
		</div>
	</div>
{if !PHPFOX_IS_AJAX}
</li>
{/if}