<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * Display the stats of the image we are voting on
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: stat.class.php 1174 2009-10-11 13:56:13Z Raymond_Benc $
 */
class Photo_Component_Block_Stat extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		(($sPlugin = Phpfox_Plugin::get('photo.component_block_stat_process')) ? eval($sPlugin) : false);
		
		$this->template()->assign(array(
				'sHeader' => Phpfox::getPhrase('photo.average_rating'),
				'sBlockJsId' => 'average_rating'
			)
		);
		
		return 'block';
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('photo.component_block_stat_clean')) ? eval($sPlugin) : false);
	}
}

?>