<?php
/** $Id: install.xml.php 319 2009-03-26 09:22:44Z Raymond_Benc $ **/
defined('PHPFOX') or exit('NO DICE!');
?>
<phpfox>
	<install>
		$aPhotoCategories = array(
			'Category 1' => array(
				'url' => 'category-1',				
				'sub_categories' => array(
					'Category 1.1' => 'category-1-1',
					'Category 1.2' => 'category-1-2'
				)
			),
			'Category 2' => array(
				'url' => 'category-2',				
				'sub_categories' => array(
					'Category 2.1' => 'category-2-1',
					'Category 2.2' => 'category-2-2'
				)
			)			
		);		
		
		$iCategoryOrder = 0;
		foreach ($aPhotoCategories as $sCategory => $aCategory)
		{
			$iCategoryOrder++;
			$iCategoryId = $this->database()->insert(Phpfox::getT('photo_category'), array(					
					'name' => $sCategory,
					'name_url' => $aCategory['url'],
					'ordering' => $iCategoryOrder			
				)
			);
			
			$iSubCategoryOrder = 0;
			foreach ($aCategory['sub_categories'] as $sName => $sUrl)
			{
				$iSubCategoryOrder++;
				$this->database()->insert(Phpfox::getT('photo_category'), array(
						'parent_id' => $iCategoryId,						
						'name' => $sName,
						'name_url' => $sUrl,
						'ordering' => $iSubCategoryOrder			
					)
				);			
			}
			
		}
	</install>
</phpfox>