<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: album-entry.html.php 1356 2009-12-23 12:23:28Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{foreach from=$aAlbums item=aAlbum name=albums}
<div class="go_left t_center" style="width:48%; margin-bottom:15px;">
	<div style="position:relative; width:250px; margin:auto; min-height:90px; height:auto !important; height:90px;" class="js_outer_photo_div js_mp_fix_holder image_hover_holder">
		<div class="image_hover_menu">
			{if defined('PHPFOX_IS_USER_PROFILE') && ((Phpfox::getUserId() == $aAlbum.user_id && Phpfox::getUserParam('photo.can_edit_own_photo_album')) || Phpfox::getUserParam('photo.can_edit_other_photo_albums'))}
			<div><a href="{url link=''$aAlbum.user_name'.photo.'$aAlbum.name_url'' edit=$aAlbum.album_id}" onclick="$.ajaxCall('photo.editAlbum', 'id={$aAlbum.album_id}'); return false;">{img theme='misc/page_white_edit.png' alt='' width='16' height='16'}</a></div>
			{/if}		
		</div>
	{if !empty($aAlbum.password) && $aAlbum.user_id != Phpfox::getUserId() && !Phpfox::getUserParam('photo.can_view_private_photos') && ((!Phpfox::getLib('session')->get('photo_password_' . $aAlbum.album_id)) || (Phpfox::getLib('session')->get('photo_password_' . $aAlbum.album_id) && !Phpfox::getLib('hash')->getRandomHash('' . $aAlbum.password . '', Phpfox::getLib('session')->get('photo_password_' . $aAlbum.album_id))))}
	<a href="{url link=''$aAlbum.user_name'.photo.'$aAlbum.name_url''}">{img theme='misc/no_access.png' alt=''}</a>
	<div class="p_4">
		{phrase var='photo.password_protected_album'}
	</div>	
	{else}
	{if ($aAlbum.privacy == 2 && isset($bIsFriends) && !$bIsFriends && !Phpfox::getUserParam('photo.can_view_private_photos')) || (!Phpfox::getUserParam('photo.can_view_private_photos') && $aAlbum.privacy == 3 && $aAlbum.user_id != Phpfox::getUserId() && !$aAlbum.privacy_pass)}
	{img theme='misc/no_access.png' alt=''}
	<div class="p_4">
		{phrase var='photo.private_album'}
	</div>
	{else}
	{if ($aAlbum.mature == 0 || (($aAlbum.mature == 1 || $aAlbum.mature == 2) && Phpfox::getUserId() && Phpfox::getUserParam('photo.photo_mature_age_limit') <= Phpfox::getUserBy('age'))) || $aAlbum.user_id == Phpfox::getUserId() || Phpfox::getUserParam('photo.can_view_private_photos')}
	<a href="{url link=''$aAlbum.user_name'.photo.'$aAlbum.name_url''}" title="{phrase var='photo.name_by_full_name' name=$aAlbum.name|clean full_name=$aAlbum.full_name|clean}" id="js_album_inner_title_link_{$aAlbum.album_id}">{img server_id=$aAlbum.server_id path='photo.url_photo' file=$aAlbum.destination suffix='_240' max_width=240 max_height=240 title=$aAlbum.name class='js_mp_fix_width'}</a>
	{else}
	<a href="{url link=''$aAlbum.user_name'.photo.'$aAlbum.name_url''}">{img theme='misc/no_access.png' alt=''}</a>
	{/if}
	{/if}
	<div class="p_4">
		<a href="{url link=''$aAlbum.user_name'.photo.'$aAlbum.name_url''}" id="js_album_inner_title_{$aAlbum.album_id}">{$aAlbum.name|clean|shorten:150:'...'|split:40}</a>
		<div class="extra_info">
		{if $aAlbum.total_photo > 0}			
			{if $aAlbum.total_photo == 1}1 {phrase var='photo.photo'}{else}{$aAlbum.total_photo} {phrase var='photo.photos'}{/if}		
		{/if}
		{if !defined('PHPFOX_IS_USER_PROFILE')}
			<br />{phrase var='photo.by_full_name' full_name=$aAlbum|user}
		{/if}
		{plugin call='photo.template_block_album_entry_extra_info'}
		</div>		
	</div>	
	{/if}
	</div>
</div>
{if is_int($phpfox.iteration.albums/2)}
<div class="clear"></div>
{/if}
{/foreach}
<div class="clear"></div>
{if defined('PHPFOX_IS_USER_PROFILE')}
<div id="js_photo_album_pager">
	<div class="t_right">
		{pager}
	</div>
</div>
{if !PHPFOX_IS_AJAX && $iAlbumCnt > count($aAlbums)}
<div class="t_right" id="js_show_more_albums">
	<a href="{url link=''$aAlbum.user_name'.photo' view='album' page=2}" id="js_photo_view_more_albums">{phrase var='photo.view_more_albums_total' total=$iAlbumCnt}</a>
</div>
{/if}
{if !PHPFOX_IS_AJAX}
<script type="text/javascript">
	$('#js_photo_album_pager').remove();
</script>
{/if}
{else}
	{pager}
{/if}