<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: menu-album.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu">
	<ul>
		{if Phpfox::isModule('share')}
		{module name='share.link' type='photo' display='menu' url=$sBookmarkUrl title=$aAlbum.name first=true}			
		{/if}		
		{if Phpfox::isModule('report')}
			{if $aAlbum.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=photo_album&amp;id={$aAlbum.album_id}" class="inlinePopup" title="{phrase var='photo.report_a_photo_album'}">{phrase var='photo.report'}</a></li>{/if}
		{/if}		
		{if Phpfox::isModule('favorite')}
			{if ($aAlbum.privacy == 0 || $aAlbum.privacy == 1)}<li><a href="#?call=favorite.add&amp;height=100&amp;width=400&amp;type=photo_album&amp;id={$aAlbum.album_id}" class="inlinePopup" title="{phrase var='photo.add_to_your_favorites'}">{phrase var='photo.add_to_favorites'}</a></li>{/if}
		{/if}		
		{if (Phpfox::getUserId() == $aUser.user_id && Phpfox::getUserParam('photo.can_edit_own_photo_album')) || Phpfox::getUserParam('photo.can_edit_other_photo_albums')}
		<li><a href="{url link=''$aUser.user_name'.photo.'$aAlbum.name_url'' edit=$aAlbum.album_id}" id="js_edit_this_album">{phrase var='photo.edit_this_album'}</a></li>
		{/if}		
		{if Phpfox::getUserId() == $aUser.user_id}
		<li><a href="{url link='photo.upload' album=$aAlbum.album_id}">{phrase var='photo.upload_photos_to_album'}</a></li>
		{/if}
		{if (Phpfox::getUserId() == $aUser.user_id && Phpfox::getUserParam('photo.can_delete_own_photo_album')) || Phpfox::getUserParam('photo.can_delete_other_photo_albums')}
		<li><a href="#" id="js_delete_this_album">{phrase var='photo.delete'}</a></li>
		{/if}
		{plugin call='photo.template_block_menu_album'}
	</ul>
</div>