<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: index.html.php 1339 2009-12-19 00:37:55Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !$bIsAjax && isset($iPhotoApproveCnt)}
<div class="message">
{if $iPhotoApproveCnt == 1}
	{phrase var='photo.there_is_one_image_that_requires_your_approval'}
{else}
	{phrase var='photo.there_are_total_images_that_require_your_approval' total=$iPhotoApproveCnt}
{/if}
	<a href="{url link='photo' view='approval'}">{phrase var='photo.click_here_to_approve_photos'}</a>
</div>
{/if}
<div class="main_break"></div>
<div style="display:none;" id="js_photo_edit_form_outer">
	<form method="post" onsubmit="$(this).ajaxCall('photo.updatePhoto'); $('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); return false;">
		<div id="js_photo_edit_form"></div>
		<div class="table_clear">
			<input type="submit" value="{phrase var='photo.update_photo'}" class="button" /> - <a href="#" onclick="$('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); return false;">{phrase var='photo.cancel'}</a>
		</div>
	</form>
</div>
<div id="js_actual_photo_content">
	<div id="js_album_outer_content">
		{if count($aPhotos)}
		{template file='photo.block.photo-entry'}
		{else}
		<div class="extra_info">
		{if $sView == 'featured'}	
			{phrase var='photo.no_photos_have_been_featured'}
		{elseif $sView == 'most-viewed'}
			{phrase var='photo.no_photos_found'}
		{elseif $sView == 'top-rated'}
			{phrase var='photo.no_photos_have_been_rated'}
		{elseif $sView == 'top-battle'}
			{phrase var='photo.no_photo_battles_have_taken_place'}
		{elseif $sView == 'approval'}
			{phrase var='photo.no_photos_pending_approval'}
		{else}
			{phrase var='photo.no_public_photos_have_been_uploaded_yet'}
			<ul class="action">
				<li><a href="{if $aCallback === null}{url link='photo.upload'}{else}{url link='photo.upload' module='group' item=$aCallback.group_id}{/if}">{phrase var='photo.be_the_first_to_upload_a_photo'}</a></li>
			</ul>
		{/if}
		</div>
		{/if}	
	</div>
</div>