<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: profile.html.php 1298 2009-12-05 16:19:23Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if isset($aPhotos)}
{if PHPFOX_IS_AJAX}
	{template file='photo.block.photo-entry'}
{else}
{if $iPhotoCnt}
<div id="js_user_photos_outer">		
	<h3>{phrase var='photo.photos_total' total=$iPhotoCnt}</h3>
	<div style="display:none;" id="js_photo_edit_form_outer">
		<form method="post" onsubmit="$(this).ajaxCall('photo.updatePhoto'); $('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); return false;">
			<div id="js_photo_edit_form"></div>
			<div class="table_clear">
				<input type="submit" value="{phrase var='photo.update_photo'}" class="button" /> - <a href="#" onclick="$('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); return false;">{phrase var='photo.cancel'}</a>
			</div>
		</form>
	</div>
	<div id="js_album_outer_content">
		<div id="js_user_photos">	
			{template file='photo.block.photo-entry'}
		</div>
	</div>
</div>
{/if}
{/if}
{/if}
{if isset($aAlbums)}
{if PHPFOX_IS_AJAX}
	{template file='photo.block.album-entry'}
{else}
{if $iAlbumCnt}
<div id="js_user_photo_albums_outer">
	<h3>{phrase var='photo.albums_total' total=$iAlbumCnt}</h3>
	{if (Phpfox::getUserId() == $aUser.user_id && Phpfox::getUserParam('photo.can_edit_own_photo_album')) || Phpfox::getUserParam('photo.can_edit_other_photo_albums')}
	<div style="display:none;" id="js_album_edit_form">
		<form method="post" action="{url link='current'}" onsubmit="$('#js_updating_album').html($.ajaxProcess('{phrase var='photo.updating_album' phpfox_squote=true}')); $(this).ajaxCall('photo.updateAlbum'); return false;">
			<div><input type="hidden" name="val[album_id]" value="" id="js_album_edit_form_id" /></div>
			<div><input type="hidden" name="val[inline]" value="true" /></div>
			<div id="js_album_edit_form_template"></div>
			<div class="table_clear">
				<input type="submit" value="{phrase var='photo.update_album'}" class="button" /> <span id="js_updating_album"> - <a href="#" onclick="$('#js_album_edit_form').hide(); $('#js_user_photo_albums').show(); return false;">{phrase var='photo.cancel'}</a></span>
			</div>
		</form>
	</div>
	{/if}	
	<div id="js_user_photo_albums">	
		{template file='photo.block.album-entry'}
	</div>
</div>
{/if}
{/if}
{/if}
{if !PHPFOX_IS_AJAX && !$iPhotoCnt && !$iAlbumCnt}
<div class="extra_info">	
	{if $aUser.user_id == Phpfox::getUserId()}
	{phrase var='photo.you_have_not_uploaded_any_photos_yet'}
	{else}
	{phrase var='photo.user_info_has_not_uploaded_any_photos_yet' user_info=$aUser|user}
	{/if}	
</div>
<ul class="action">
{if $aUser.user_id == Phpfox::getUserId()}
	<li><a href="{url link='photo.upload'}">{phrase var='photo.upload_your_photos'}</a></li>
{else}
	<li><a href="{url link='photo'}">{phrase var='photo.browse_other_photos'}</a></li>
{/if}
</ul>
{/if}