<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * Display the image details when viewing an image.
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: detail.class.php 254 2009-02-23 12:36:20Z Raymond_Benc $
 */
class Poll_Component_Block_Votes extends Phpfox_Component
{

	public function process()
	{
		(($sPlugin = Phpfox_Plugin::get('poll.component_block_votes_start')) ? eval($sPlugin) : false);
		$iPage = $this->request()->getInt('page');
		$aVotes = $this->getParam('aPoll');
		$bIsCustom = $this->request()->get('title', false);
		if (!isset($aPoll))
		{ // lets save resources
			$sPoll = ($bIsCustom !== false ? $this->request()->get('title') : $this->request()->get('req3'));
			list($aVotes, $iTotal) = Phpfox::getService('poll')->getVotes($iPage, $sPoll);
			
		}
		else
		{
			$iTotal = $aVotes['count'];
		}
		
		// fix the pager
		Phpfox::getLib('pager')->set(array('ajax'=> 'poll.pageVotes', 'page' => $iPage, 'size' => Phpfox::getParam('poll.show_x_users_who_took_poll'), 'count' => $iTotal));
		
		$this->template()->assign(array(
				'aVotes' => $aVotes,
				'bIsCustom' => $bIsCustom
			)
		);
		
		(($sPlugin = Phpfox_Plugin::get('poll.component_block_votes_end')) ? eval($sPlugin) : false);
		
		return 'block';
	}

	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('photo.component_block_detail_clean')) ? eval($sPlugin) : false);

	}
}

?>
