<?php 
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Poll
 * @version 		$Id: add.html.php 1777 2010-08-30 17:10:00Z Raymond_Benc $
 */

defined('PHPFOX') or exit('NO DICE!'); 

?>
<script type="text/javascript">
	<!--
	{literal}
	function plugin_addFriendToSelectList()
	{
		$('#js_allow_list_input').show();
	}
	{/literal}
	-->
</script>
{$sCreateJs}
<div class="main_break"></div>
<div style="display:none;" class="placeholder">
	<div style="padding-top:6px;" class="js_prev_block">
		<span>
			{img theme='misc/arrow_up_down.png' height="18px" style="cursor:move; vertical-align:middle;"} 
		</span>
		<span class="class_answer">
			<input type="text" name="val[answer][][answer]" value="" size="30" class="js_answers v_middle" />
		</span>
		<a href="#" onclick="return appendAnswer(this);">
			{img theme='misc/add.png' class='v_middle'}
		</a>
		<a href="#" onclick="return removeAnswer(this);">
			{img theme='misc/delete.png' class='v_middle'}
		</a>
	</div>
</div>


<form method="post" action="{if $bIsCustom}#{else}{url link='poll.add'}{if isset($aForms.poll_id)}id_{$aForms.poll_id}{/if}{/if}" name="js_poll_form" id="js_poll_form" onsubmit="{if $bIsCustom}if ({$sGetJsForm}) {left_curly} $(this).ajaxCall('poll.addCustom'); {right_curly} return false;{else}{$sGetJsForm}{/if}" {if Phpfox::getUserParam('poll.poll_can_upload_image')}enctype="multipart/form-data"{/if}>
	{if isset($aForms.poll_id) && isset($aForms.user_id)}
	<div><input type="hidden" name="val[poll_id]" value="{$aForms.poll_id}"></div>
	<div><input type="hidden" name="val[user_id]" value="{$aForms.user_id}"></div>
	{/if}
	{if $bIsCustom}	
	<div><input type="hidden" name="val[module_id]" value="{$sModuleId}"></div>
	{/if}
	
	{* Check if user is editing and has permissions to edit the questions *}
	{if $bIsEdit && !$bCanEditTitle}
	<div style="display:none;">
		{/if}
		<div class="table">
			<div class="table_left">
				{required}{phrase var='poll.question'}:
			</div>
			<div class="table_right">
				<input tabindex="1" type="text" name="val[question]" id="question" value="{value type='input' id='question'}" size="40" />
			</div>
		</div>
		{* Check if user is editing and has permissions to edit the questions *}
		{if $bIsEdit && !$bCanEditTitle}
	</div>
	{/if}
	{* Check if user is editing and has permissions to edit the questions *}
	{if $bIsEdit && !$bCanEditQuestion}
	<div style="display:none;">
		{/if}
		<div class="table">
			<div class="table_left">
				{required}{phrase var='poll.answers'}:
			</div>
			<div class="table_right">
				<div class="sortable">
					{if isset($aForms.answer) && count($aForms.answer)}
					{foreach from=$aForms.answer item=aAnswer name=iAnswer}
					<div class="placeholder sortable_item_{$phpfox.iteration.iAnswer}" id="sortable_item_{$phpfox.iteration.iAnswer}">
						<div style="padding-top:6px;" class="js_prev_block">
							<span class="js_arrow_up_down">
								{img theme='misc/arrow_up_down.png' height="18px" style="cursor:move; vertical-align:middle;"}
							</span>
							<input type="text" name="val[answer][{$phpfox.iteration.iAnswer}][answer]" value="{$aAnswer.answer|clean}" size="30" class="js_answers v_middle" />
								   {if isset($aAnswer.answer_id)}
								   <input type="hidden" name="val[answer][{$phpfox.iteration.iAnswer}][answer_id]" class="hdnAnswerId" value="{$aAnswer.answer_id}">
							{/if}
							<a href="#" onclick="return appendAnswer(this);">
								{img theme='misc/add.png' class='v_middle'}
							</a>
							<a href="#" onclick="return removeAnswer(this);">
								{img theme='misc/delete.png' class='v_middle'}
							</a>
						</div>
						<div class="js_next_block"></div>
					</div>
					{/foreach}
					{else}
					{for $i = 1; $i <= $iTotalAnswers; $i++}
					<div class="placeholder sortable_item_{$i}" id="sortable_item_{$i}">
						<div style="padding-top:6px;" class="js_prev_block">
							<span class="js_arrow_up_down">
								{img theme='misc/arrow_up_down.png' class="sortingArrows" height="18px"}
							</span>
							<input type="text" tabindex="{$i + 1}" name="val[answer][{$i}][answer]" value="" size="30" class="js_answers v_middle" />
							<a href="#" onclick="return appendAnswer(this);" >
								{img theme='misc/add.png' class='v_middle'}
							</a>
							<a href="#" onclick="return removeAnswer(this);">
								{img theme='misc/delete.png' class='v_middle'}
							</a>
						</div>
						<div class="js_next_block"></div>
					</div>
					{/for}
					{/if}
				</div>
			</div>
		</div>
		{if $bIsEdit && !$bCanEditQuestion}
	</div>
	{/if}
	
	{if $bIsCustom}
		<div class="table">
			<div class="table_left">
				{phrase var='poll.public_votes'}:
			</div>
			<div class="table_right">				
				<div class="item_is_active_holder">		
					<span class="js_item_active item_is_active"><input type="radio" name="val[hide_vote]" value="0" class="checkbox" style="vertical-align:middle;"{value type='checkbox' id='hide_vote' default='0' selected=true}/> {phrase var='poll.yes'}</span>
					<span class="js_item_active item_is_not_active"><input type="radio" name="val[hide_vote]" value="1" class="checkbox" style="vertical-align:middle;"{value type='checkbox' id='hide_vote' default='1'}/> {phrase var='poll.no'}</span>
				</div>		
				<div class="extra_info">
					{phrase var='poll.displays_all_users_who_voted_and_what_choice_they_voted_for'}
				</div>	
			</div>
		</div>		
	{/if}
	
	{if $bIsEdit && !$bCanEditTitle}
	<div id="hideChoices" style="display:none;">
		{/if}
		{if Phpfox::getUserParam('poll.poll_can_upload_image') && !$bIsCustom}
		<div class="separate"></div>
		<div class="table">
			<div class="table_left">
				{if Phpfox::getParam('poll.is_image_required')}{required}{/if}{phrase var='poll.image'}:
			</div>
			<div class="table_right" id="js_submit_upload_image" {if isset($aForms.image_path)}style="display: none;"{/if}>
				 <input type="file" id='image' name="image" />
				<div class="extra_info">
					{phrase var='poll.you_can_upload_a_jpg_gif_or_png_file'}
				</div>
			</div>
			<div class="table_right" id="js_event_current_image" {if !isset($aForms.image_path) || $aForms.image_path == ''} style="display: none;"{/if}>
				 {if isset($aForms.image_path)}
				 <div class="p_4">
					{img thickbox=true title=$aForms.question path='poll.url_image' file=$aForms.image_path suffix=$sSuffix max_width='poll.poll_max_image_pic_size' max_height='poll.poll_max_image_pic_size'}
					<br />
					<a href="#" onclick="Phpfox.poll.deleteImage({$aForms.poll_id}); return false;">{phrase var='poll.click_here_to_delete_this_image_and_upload_a_new_one_in_its_place'}</a>
				</div>
				{/if}
			</div>
		</div>
		{/if}

		<div class="table_clear">
			<input type="submit" name="submit_poll" value="{if isset($aForms.poll_id)}{phrase var='poll.update'}{else}{phrase var='poll.submit'}{/if}" class="button" name="submit" />
			{if Phpfox::getUserParam('poll.poll_can_edit_own_polls') && !$bIsCustom}
			<input type="submit" name="submit_design" value="{phrase var='poll.save_and_design_this_poll'}" class="button" name="design" />
			{if isset($aForms.poll_id)}
			<input type="button" value="{phrase var='poll.skip_and_design_this_poll'}" onclick="window.location.href = '{url link='poll.design' id=$aForms.poll_id}';" class="button" />
			{/if}
			{/if}
		</div>
		{if !$bIsCustom}
		<h3>{phrase var='poll.additional_options'}</h3>
		<div class="table">
			<div class="table_left">
				{phrase var='poll.public_votes'}:
			</div>
			<div class="table_right">				
				<div class="item_is_active_holder">		
					<span class="js_item_active item_is_active"><input type="radio" name="val[hide_vote]" value="0" class="checkbox" style="vertical-align:middle;"{value type='checkbox' id='hide_vote' default='0' selected=true}/> {phrase var='poll.yes'}</span>
					<span class="js_item_active item_is_not_active"><input type="radio" name="val[hide_vote]" value="1" class="checkbox" style="vertical-align:middle;"{value type='checkbox' id='hide_vote' default='1'}/> {phrase var='poll.no'}</span>
				</div>		
				<div class="extra_info">
					{phrase var='poll.displays_all_users_who_voted_and_what_choice_they_voted_for'}
				</div>	
			</div>
		</div>		
		<div class="table">
			<div class="table_left">
				{phrase var='poll.randomize_answers'}:
			</div>
			<div class="table_right">				
				<div class="item_is_active_holder">		
					<span class="js_item_active item_is_active"><input type="radio" name="val[randomize]" value="1" class="checkbox" onclick="$('.js_arrow_up_down').hide();" style="vertical-align:middle;"{value type='checkbox' id='randomize' default='1'}/> {phrase var='poll.yes'}</span>
					<span class="js_item_active item_is_not_active"><input type="radio" name="val[randomize]" value="0" class="checkbox" onclick="$('.js_arrow_up_down').show();" style="vertical-align:middle;"{value type='checkbox' id='randomize' default='0' selected=true}/> {phrase var='poll.no'}</span>
				</div>			
			</div>
		</div>
		{if Phpfox::isModule('comment')}
		<div class="table">
			<div class="table_left">
				{phrase var='poll.comments'}:
			</div>
			<div class="table_right">
				<select name="val[allow_comment]" id="allow_comment">
					<option value="1"{value type='select' id='allow_comment' default='1'}>{phrase var='poll.allow_comments'}</option>
					<option value="2"{value type='select' id='allow_comment' default='2'}>{phrase var='poll.moderate_comments_first'}</option>
					<option value="3"{value type='select' id='allow_comment' default='3'}>{phrase var='poll.no_comments'}</option>
				</select>
			</div>
		</div>
		{/if}
		<div class="table">
			<div class="table_left">
				{phrase var='poll.privacy'}:
			</div>
			<div class="table_right label_hover">
				<select name="val[privacy]" id="privacy" style="width:400px;"{if (!isset($aForms.poll_id)) || (isset($aForms.poll_id) && $aForms.user_id == Phpfox::getUserId())} onchange="if (this.value == '4'){literal}{ Phpfox.getFriends({input: 'allow_list'}); }{/literal}"{/if}>
					<option value="1"{value type='select' id='privacy' default='1'}>{phrase var='poll.public_poll_will_be_added_to_our_public_poll_section'}</option>
					<option value="2"{value type='select' id='privacy' default='2'}>{phrase var='poll.personal_poll_will_only_be_displayed_on_your_profile'}</option>
					<option value="3"{value type='select' id='privacy' default='3'}>{phrase var='poll.friends_only_friends_can_view_this_poll'}</option>
					<option value="4"{value type='select' id='privacy' default='4'}>{phrase var='poll.preferred_list_only_the_people_you_select_will_be_able_to_see_the_poll'}</option>
				</select>
				{if (!isset($aForms.poll_id)) || (isset($aForms.poll_id) && $aForms.user_id == Phpfox::getUserId())}
				<div style="width:400px; margin-top:5px;{if !isset($aForms)} display:none;{else}{if isset($aForms) && $aForms.privacy != 4} display:none;{/if}{/if}" id="js_allow_list_input" class="fix_left_margin">
					{if isset($aForms.poll_id)}{module name='privacy.list' type='poll' id=$aForms.poll_id input='allow_list'}{else}{module name='privacy.list' type='poll' input='allow_list'}{/if}
				</div>
				{/if}
			</div>
			<div class="clear"></div>
		</div>
		{if Phpfox::isModule('captcha') && Phpfox::getUserParam('poll.poll_require_captcha_challenge')}
		{module name='captcha.form' sType=poll}
		{/if}
		{plugin call='poll.template_controller_add_end'}
		{if $bIsEdit && !$bCanEditTitle}
	</div>
	{/if}
	<div class="table_clear">
		<input type="submit" name="submit_poll" value="{if isset($aForms.poll_id)}{phrase var='poll.update'}{else}{phrase var='poll.submit'}{/if}" class="button" name="submit" />		
		{if !$bIsEdit || ($bIsEdit && $bCanEditTitle)}
		{if Phpfox::getUserParam('poll.poll_can_edit_own_polls')}
		<input type="submit" name="submit_design" value="{phrase var='poll.save_and_design_this_poll'}" class="button" name="design" />
		{if isset($aForms.poll_id)}
		<input type="button" value="{phrase var='poll.skip_and_design_this_poll'}" onclick="window.location.href = '{url link='poll.design' id=$aForms.poll_id}';" class="button" />
		{/if}
		{/if}
		{/if}
	</div>
	{/if}
</form>
