<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Profile
 * @version 		$Id: header.html.php 1270 2009-11-25 13:33:49Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="profile_header">
		{if isset($sProfileImage)}{$sProfileImage}{/if}
		<a href="{url link=$aUser.user_name}">{$aUser.full_name|clean|split:50}</a>{if $aUser.is_online}<span class="profile_online_status">({phrase var='profile.online'})</span>{/if}		
		<div class="extra_info js_actual_user_status_{$aUser.user_id}">
		{if $aUser.status}
			{$aUser.status|clean|split:50|shorten:300}		
			{if $aUser.user_id == Phpfox::getUserId()}
			<span class="profile_header_clear">
				(<a href="#" onclick="$.ajaxCall('user.clearStatus'); return false;" title="{phrase var='core.clear_your_current_status'}">{phrase var='core.clear'}</a>)
			</span>		
			{/if}
		{/if}
		</div>	
</div>
<div id="profile_menu">
	<ul>
		{foreach from=$aProfileMenus item=aProfileMenu}
			<li{if isset($aProfileMenu.is_selected)} class="active"{/if}><a href="{url link=$aProfileMenu.url}">{phrase var=$aProfileMenu.module'.'$aProfileMenu.var_name}</a></li>
		{/foreach}
	</ul>
    <div class="clear"></div>
</div>