<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: profile.class.php 1988 2010-10-28 15:06:30Z Raymond_Benc $
 */
class Quiz_Component_Controller_Profile extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		(($sPlugin = Phpfox_Plugin::get('quiz.component_controller_profile_process_start')) ? eval($sPlugin) : false);
		$this->setParam('bIsProfile', true);

		if( $this->request()->get('req4') && ($this->request()->get('req4') == 'answer'))
		{
			// check that this user has not taken the quiz yet
			$aVals = $this->request()->getArray('val');
			if (Phpfox::getService('quiz')->hasTakenQuiz(Phpfox::getUserId(), $this->request()->get('req3')))
			{
				Phpfox_Error::set(Phpfox::getPhrase('quiz.you_have_already_answered_this_quiz'));
			}
			elseif (!isset($aVals['answer']))// check to see all questions have been answered
			{
				Phpfox_Error::set(Phpfox::getPhrase('quiz.you_have_to_answer_the_questions_if_you_want_to_do_that')); 
			}
			else
			{
				Phpfox::isUser(true);
				// check if user is allowed to answer their own quiz
				if (!Phpfox::getUserParam('quiz.can_answer_own_quiz'))
				{
					$this->url()->send('quiz', null, Phpfox::getPhrase('quiz.you_are_not_allowed_to_answer_your_own_quiz'));
				}
				$iScore = false;
				$iScore = Phpfox::getService('quiz.process')->answerQuiz($this->request()->get('req3'), $aVals['answer']);
				if ( is_numeric($iScore))
				{ // Answers submitted correctly
					$aUser = $this->getParam('aUser');
					$this->url()->send($aUser['user_name'], array('quiz', $this->request()->get('req3'), 'results', 'id' => Phpfox::getUserId()), null, Phpfox::getPhrase('quiz.your_answers_have_been_submitted_and_your_score_is_score', array('score' => $iScore))); 
				}
				else
				{					
					Phpfox_Error::set($iScore);
				}
			}
		}
		elseif($this->request()->get('req4') && $this->request()->get('req4') == 'edit')
		{
			return Phpfox::getLib('module')->setController('quiz.add');
			$aQuiz = Phpfox::getService('quiz')->getQuizToEdit($this->request()->get('req3'));
			$this->template()->assign(array('aQuiz' => $aQuiz));
			if (empty($aQuiz))
			{
				Phpfox_Error::set(Phpfox::getPhrase('quiz.you_are_not_allowed_to_edit_this_quiz'));
			}
		}
		if ($this->request()->get('req3'))
		{
			return Phpfox::getLib('module')->setController('quiz.view');
		}
		
		return Phpfox::getLib('module')->setController('quiz.index');
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('quiz.component_controller_profile_clean')) ? eval($sPlugin) : false);
	}
}

?>