<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: filter.class.php 1179 2009-10-12 13:56:40Z Raymond_Benc $
 */
class User_Component_Block_Filter extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{		
		$this->template()->assign(array(
				'sHeader' => Phpfox::getPhrase('user.set_browse_criteria'),				
				'aMenu' => array(
					Phpfox::getPhrase('user.basic') => '#user.browseMethod?type=basic',
					Phpfox::getPhrase('user.advanced') => '#user.browseMethod?type=advanced'
				)
			)
		);
		
		return 'block';
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('user.component_block_filter_clean')) ? eval($sPlugin) : false);
	}
}

?>