<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: deleteUser.html.php 2137 2010-11-15 13:37:06Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if Phpfox::getService('user')->isAdminUser('' . $iUserIdDelete . '')}
<div class="error_message">
	{phrase var='user.you_are_unable_to_delete_a_site_administrator'}
</div>
{else}
<div class="p_4">{phrase var='user.you_are_about_to_delete'}</div>
<div class="go_left">
	{img user=$aUser suffix='_50' max_width='50' max_height='50'}
</div>
<div style="margin-left:55px;">
	<div class="table">
		<div class="table_left">{phrase var='user.full_name'}:</div>
		<div class="table_right">{$aUser.full_name}</div>
			
		<div class="table_left">{phrase var='user.user_name'}: </div>
		<div class="table_right">{$aUser|user}</div>

		<div class="table_left">{phrase var='user.total_activity'}:</div>
		<div class="table_right">{$aUser.activity_total}</div>
		
		<div class="table_left">{phrase var='user.joined'}:</div>
		<div class="table_right">{$aUser.joined|date:'core.global_update_time'}</div>			
	</div>			
	
	<div class="table_clear">
		{phrase var='user.are_you_completely_sure_you_want_to_delete_this_user'}
		<input type="button" class="button" value="{phrase var='user.no_cancel'}" onclick="tb_remove();">
		<input type="button" class="button" value="{phrase var='user.yes_delete'}" onclick="$.ajaxCall('user.confirmedDelete', 'iUser={$aUser.user_id}');">
	</div>		
</div>	
<div class="clear"></div>
{/if}