<?php
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_User
 * @version 		$Id: register.html.php 2483 2011-03-31 09:51:44Z Raymond_Benc $
 */

defined('PHPFOX') or exit('NO DICE!');

?>
{literal}
<script type="text/javascript">
$(function()
{
	$('#js_terms_of_use').click(function()
	{
		{/literal}
		tb_show('{phrase var='user.terms_of_use' phpfox_squote=true phpfox_squote=true}', $.ajaxBox('page.view', 'height=410&width=600&title=terms')); 
		{literal}
		return false;
	});
	
	$('#js_privacy_policy').click(function()
	{
		{/literal}
		tb_show('{phrase var='user.privacy_policy' phpfox_squote=true phpfox_squote=true}', $.ajaxBox('page.view', 'height=410&width=600&title=policy')); 
		{literal}
		return false;
	});
});
</script>
{/literal}
{if isset($sCreateJs)}
{$sCreateJs}
{/if}
<div id="js_registration_process" class="t_center" style="display:none;">
	{img theme='ajax/large.gif' alt=''}
</div>
<div id="js_signup_error_message" style="width:95%;"></div>
<div class="main_break" id="js_registration_holder">	
	{if Phpfox::getParam('user.multi_step_registration_form') && !isset($bIsPosted)}
	<form method="post" action="{url link='user.register'}" id="js_form" onsubmit="return false;" enctype="multipart/form-data">
	{token}
	{else}
	<form method="post" action="{url link='user.register'}" id="js_form"{if isset($sGetJsForm)} onsubmit="{$sGetJsForm}"{/if} enctype="multipart/form-data">
	{token}
	{/if}		
		<div id="js_signup_block">
			{if isset($bIsPosted) || !Phpfox::getParam('user.multi_step_registration_form')}
			<div>
				{template file='user.block.register.step1'}
				{template file='user.block.register.step2'}
			</div>
			{else}
				{template file='user.block.register.step1'}			
			{/if}
		</div>		

		{if Phpfox::isModule('captcha') && Phpfox::getParam('user.captcha_on_signup')}
		<div id="js_register_capthca_image"{if Phpfox::getParam('user.multi_step_registration_form') && !isset($bIsPosted)} style="display:none;"{/if}>
		{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'sidebar' && Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}
			{module name='captcha.form' captcha_type='signup_block'}
		{else}
			{module name='captcha.form'}
		{/if}
		</div>
		{/if}		
		
		{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'content' || Phpfox::getLib('module')->getFullControllerName() == 'user.register'}
		<div class="separate"></div>
		{/if}		
		
		<div id="js_register_accept">
			{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'sidebar' && Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}
			<div class="p_top_8">
			{else}		
			<div class="table">			
				<div class="table_clear">
			{/if}
					<input type="checkbox" name="val[agree]" id="agree" value="1" class="checkbox v_middle" {value type='checkbox' id='agree' default='1'}/> {required}{phrase var='user.i_have_read_and_agree_to_the_a_href_id_js_terms_of_use_terms_of_use_a_and_a_href_id_js_privacy_policy_privacy_policy_a'}
			{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'sidebar' && Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}
			</div>
			{else}						
				</div>			
			</div>		
			{/if}
		</div>		
		{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'sidebar' && Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}
		<div class="p_top_8">
		{else}
		<div class="table_clear">
		{/if}
		{if isset($bIsPosted) || !Phpfox::getParam('user.multi_step_registration_form')}
			<input type="submit" value="{phrase var='user.sign_up'}" class="button" id="js_registration_submit" />
		{else}
			<input type="button" value="{phrase var='user.sign_up'}" class="button" id="js_registration_submit" onclick="Phpfox.registration.submitForm();" />
		{/if}
		</div>

		{if Phpfox::getParam('core.display_required')}
		{if Phpfox::getLib('module')->getBlockLocation('user.register') == 'sidebar' && Phpfox::getLib('module')->getFullControllerName() == 'core.index-visitor'}
		<div class="p_top_8">
		{else}
		<div class="table_clear">
		{/if}
			{required} {phrase var='core.required_fields'}
		</div>
		{/if}
	</form>
</div>