<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: my.class.php 1253 2009-11-11 11:59:58Z Raymond_Benc $
 */
class Video_Component_Block_My extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$aVideo = $this->getParam('aVideo');
		$aUser = $this->getParam('aUser');		
		
		list($iCnt, $aVideos) = Phpfox::getService('video')->getUserVideos($aVideo['video_id'], $aVideo['user_id']);
		
		if (!$iCnt)
		{
			return false;
		}
		
		$this->template()->assign(array(
				'sHeader' => Phpfox::getPhrase('video.more_from') . ' ' . $aVideo['full_name'],
				'aMyVideos' => $aVideos
			)
		);
		
		if ($iCnt > Phpfox::getParam('video.total_my_videos'))
		{
			$this->template()->assign(array(
					'aFooter' => array(
						Phpfox::getPhrase('video.view_more') => $this->url()->makeUrl($aUser['user_name'], array('video'))
					)
				)
			);
		}
		
		return 'block';		
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('video.component_block_my_clean')) ? eval($sPlugin) : false);
	}
}

?>