<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Component
 * @version 		$Id: related.class.php 1126 2009-10-03 12:05:33Z Miguel_Espinoza $
 */
class Video_Component_Block_Related extends Phpfox_Component
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$aVideo = $this->getParam('aVideo');
		$aUser = $this->getParam('aUser');
		
		list($iCnt, $aVideos) = Phpfox::getService('video')->getRelatedVideos($aVideo['video_id'], $aVideo['title']);
		
		if (!$iCnt)
		{
			return false;
		}
		
		$this->template()->assign(array(
				'sHeader' => Phpfox::getPhrase('video.related_videos'),
				'aRelatedVideos' => $aVideos
			)
		);
		
		if ($iCnt > Phpfox::getParam('video.total_related_videos'))
		{
			$this->template()->assign(array(
					'aFooter' => array(
						// 'View More' => $this->url()->makeUrl($aUser['user_name'], array('video'))
					)
				)
			);
		}
		
		return 'block';		
	}
	
	/**
	 * Garbage collector. Is executed after this class has completed
	 * its job and the template has also been displayed.
	 */
	public function clean()
	{
		(($sPlugin = Phpfox_Plugin::get('video.component_block_related_clean')) ? eval($sPlugin) : false);
	}
}

?>