<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: controller.html.php 64 2009-01-19 15:05:54Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !defined('PHPFOX_IS_USER_PROFILE')}
<div class="info">
	<div class="info_left">
		{phrase var='video.added_by'}:
	</div>	
	<div class="info_right">
		{$aVideo|user}
	</div>	
</div>
{/if}
<div class="info">
	<div class="info_left">
		{phrase var='video.rating'}:
	</div>	
	<div class="info_right">
		{module name='rate.display'}
	</div>	
</div>

{foreach from=$aVideoDetails key=sKey item=sValue}
{if !empty($sValue)}
<div class="info">
	<div class="info_left">
		{$sKey}:
	</div>	
	<div class="info_right">
		{$sValue}
	</div>	
</div>
{/if}
{/foreach}
{if count($aVideo.breadcrumb)}
<div class="info">
	<div class="info_left">
		{phrase var='video.category'}:
	</div>
	<div class="info_right">
	{foreach from=$aVideo.breadcrumb name=breadcrumbs item=aBredcrumb}
	{if $phpfox.iteration.breadcrumbs != 1}<div class="p_2">&raquo; {/if}
		<a href="{$aBredcrumb.1}">{$aBredcrumb.0}</a>
		{if $phpfox.iteration.breadcrumbs != 1}</div>{/if}
	{/foreach}
	</div>
</div>
{/if}

{if !empty($aVideo.tag_list)}
<div class="info">
	<div class="info_left">
		{phrase var='video.tags'}:
	</div>
	<div class="info_right">
	{foreach from=$aVideo.tag_list name=tags item=aTag}
		<div>&raquo; <a href="{if isset($sGroup) && $sGroup !=''}{url link='group.'$sGroup'.video.tag.'$aTag.tag_url''}{else}{url link='video.tag.'$aTag.tag_url''}{/if}">{$aTag.tag_text}</a></div>
	{/foreach}
	</div>
</div>
{/if}

<div class="separate" style="margin-top:15px;"></div>

<div class="p_top_4">
{phrase var='video.url'}:
	<div class="p_4">
		<input name="#" value="{$aVideo.bookmark}" type="text" size="22" onfocus="this.select();" style="width:90%;" />
	</div>
</div>

<div class="p_top_4">
{phrase var='video.embed'}:
	<div class="p_4">
		<input name="#" value="{$aVideo.embed}" type="text" size="22" onfocus="this.select();" style="width:90%;" />
	</div>
</div>