<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: controller.html.php 64 2009-01-19 15:05:54Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu">
	<ul>
		{if isset($bGroup) && $bGroup != ''}
		    <li><a href="{url link='group.'$bGroup'.video.share'}">{phrase var='video.share_a_video'}</a></li>
		{else}
		    <li><a href="{url link='video.share'}">{phrase var='video.share_a_video'}</a></li>
		{/if}
		{if Phpfox::getParam('video.allow_video_uploading')}
		    {if isset($bGroup) && $bGroup != ''}
			<li><a href="{url link='group.'$bGroup'.video.upload'}">{phrase var='video.upload_a_video'}</a></li>
		    {else}
			<li><a href="{url link='video.upload'}">{phrase var='video.upload_a_video'}</a></li>
		    {/if}

		{/if}
		{if ($aVideo.user_id == Phpfox::getUserId() && Phpfox::getUserParam('video.can_edit_own_video')) || Phpfox::getUserParam('video.can_edit_other_video')}
		<li><a href="#" onclick="$.ajaxCall('video.edit', 'video_id={$aVideo.video_id}'); return false;">{phrase var='video.edit_this_video_menu'}</a></li>
		{/if}
		{if ($aVideo.user_id == Phpfox::getUserId() && Phpfox::getUserParam('video.can_delete_own_video')) || Phpfox::getUserParam('video.can_delete_other_video')}
		<li><a href="{url link='video' delete=$aVideo.video_id}" class="sJsConfirm">{phrase var='video.delete_this_video_menu'}</a></li>
		{/if}

		{if Phpfox::getUserParam('video.can_sponsor_video') && !defined('PHPFOX_IS_GROUP_VIEW')}
		<li>
			<span id="js_sponsor_{$aVideo.video_id}" class="" style="{if $aVideo.is_sponsor != 1}display:none;{/if}">
			    <a href="#" onclick="$('#js_sponsor_{$aVideo.video_id}').hide();$('#js_unsponsor_{$aVideo.video_id}').show();$.ajaxCall('video.sponsor','video_id={$aVideo.video_id}&type=0'); return false;">
				{phrase var='video.unsponsor_this_video'}
			    </a>
			</span>

			<span id="js_unsponsor_{$aVideo.video_id}" class="" style="{if $aVideo.is_sponsor == 1}display:none;{/if}">
			    <a href="#" onclick="$('#js_sponsor_{$aVideo.video_id}').show();$('#js_unsponsor_{$aVideo.video_id}').hide();$.ajaxCall('video.sponsor','video_id={$aVideo.video_id}&type=1'); return false;">
				{phrase var='video.sponsor_this_video'}
			    </a>
			</span>
		</li>
		{elseif Phpfox::getUserParam('video.can_purchase_sponsor') && !defined('PHPFOX_IS_GROUP_VIEW')
		    && $aVideo.user_id == Phpfox::getUserId()
		    && $aVideo.is_sponsor != 1}
		    <li>
			<a href="{url link='ad.sponsor' module='video' id=$aVideo.video_id}">
				{phrase var='video.sponsor_this_video'}
			</a>
		    </li>
		{/if}
		{plugin call='video.template_block_menu'}
	</ul>
</div>