<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: edit.html.php 1126 2009-10-03 12:05:33Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="header_bar_menu" style="margin-left:20px; position:relative;">
	<ul style="position:absolute; right:0; margin-right:10px;">
		<li class="last"><a href="{$aForms.video_url}">{phrase var='video.view_this_video'}</a></li>
	</ul>
	<ul>
		<li{if $sAction == 'detail' && !$sStep} class="active"{/if}><a href="#detail" class="js_video_change_group">{if $sStep}{phrase var='video.step_1'}: {/if}{phrase var='video.video_details'}</a></li>
		<li class="{if $sStep == 'photo' || $sAction == 'photo'}active{else}{if $sStep && $sStep != 'invite'}locked{/if}{/if} last"><a href="#photo" class="js_video_change_group">{if $sStep}{phrase var='video.step_2'}: {/if}{phrase var='video.photo'}</a></li>
	</ul>
</div>

{if !empty($sVideoMessage)}
<div class="message">
	{$sVideoMessage}
</div>
<div class="main_break"></div>
{/if}

{if count($aVideoErrors)}
{foreach from=$aVideoErrors item=sErrorMessage}
	<div class="error_message">{$sErrorMessage}</div>
{/foreach}
<div class="main_break"></div>
{/if}

<form method="post" action="{url link='video.edit'}" onsubmit="return startProcess(true, false);" enctype="multipart/form-data">
	<div><input type="hidden" name="id" value="{$aForms.video_id}" /></div>
	{if $sStep}
	<div><input type="hidden" name="val[step]" value="{$sStep}" /></div>
	{/if}
	{if !$sStep}
	<div><input type="hidden" name="val[action]" value="{$sAction}" id="js_video_add_action" /></div>
	{/if}	
	
	<div id="js_video_block_detail" class="js_video_block" style="display:none;">
		{template file='video.block.form'}
		
		<div class="table_clear">
			<input type="submit" value="{phrase var='video.save'}" class="button" />
		</div>		
	</div>
	
	<div id="js_video_block_photo" class="js_video_block" style="display:none;">	
		<div id="js_video_block_photo_holder">
			<div class="table">
				<div class="table_left">
					{phrase var='video.video_photo'}:
				</div>
				<div class="table_right">
					{if !empty($aForms.image_path)}
					<div id="js_video_current_image">
						{img server_id=$aForms.image_server_id path='video.url_image' file=$aForms.image_path suffix='_120' max_width=120 max_height=120}
						<div class="extra_info">
							<!-- Click <a href="#" onclick="">here</a> to delete this image and upload a new one in its place. -->
							{phrase var='video.click_to_delete_this_image' on_delete_image=$sOnClickDeleteImage}
						</div>
						
					</div>
					{/if}
					<div id="js_video_upload_image"{if !empty($aForms.image_path)} style="display:none;"{/if}>
						<div id="js_progress_uploader"></div>
						<div class="extra_info">
							{phrase var='video.you_can_upload_a_jpg_gif_or_png_file'}
							{if $iMaxFileSize !== null}
							<br />iMaxFileSize_filesize
							{phrase var='video.the_file_size_limit_is' iMaxFileSize_filesize=$iMaxFileSize_filesize}
							
							{/if}						
						</div>
					</div>
				</div>
			</div>
			
			<div id="js_submit_upload_image" class="table_clear"{if !empty($aForms.image_path)} style="display:none;"{/if}>
				<input type="submit" value="{phrase var='video.save'}" class="button" />
			</div>
		</div>		
	</div>	
	

</form>