<?php

/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author			Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: index.php 922 2009-09-03 11:32:15Z Raymond_Benc $
 */
// Make sure we are running PHP5
exit();
if (version_compare(phpversion(), '5', '<') === true)
{
	exit('phpFox 2.x requires PHP 5 or newer.');
}

ob_start();

/**
 * Key to include phpFox
 *
 */
define('PHPFOX', true);

/**
 * Directory Seperator
 *
 */
define('PHPFOX_DS', DIRECTORY_SEPARATOR);

/**
 * phpFox Root Directory
 *
 */
define('PHPFOX_DIR', dirname(dirname(dirname(dirname(__FILE__)))) . PHPFOX_DS);

define('PHPFOX_START_TIME', array_sum(explode(' ', microtime())));

// Require phpFox Init
require(PHPFOX_DIR . 'include' . PHPFOX_DS . 'init.inc.php');

// since this is going to be used to show an image for uploading a file
// the user must be logged in
Phpfox::isUser(true);
$sSection = Phpfox::getLib('request')->get('f');

$sBackgroundPath = '';
switch($sSection)
{
	case 'attachment':
		$sBackgroundPath = PHPFOX_DIR_MODULE . 'attachment' . PHPFOX_DS . 'static' . PHPFOX_DS . 'image' . PHPFOX_DS. 'massupload';
		$sText = Phpfox::getPhrase('attachment.select_attachment_s_to_upload');
		break;
	default:
		$bValid = false;
}
$iTextSize = 5;
$iTextWidth = ((strlen($sText) + $iTextSize) * 8); // this is faulty, it does not resize according to the font size
$iTextHeight = 45;

// check if there is a background image
if ( ($sLang = Phpfox::getUserBy('language_id')) == false)
{
	$sLang = Phpfox::getService('language')->get('is_default = 1');
	$sLang = $sLang[0]['language_id'];
}
$aStyle = explode('/', Phpfox::getLib('template')->getStyle('css', null, 'core'));

$sBackgroundPath .= '_' . $aStyle[10] . '_' . $aStyle[11] . '_' . $sLang . '.png';

if (!file_exists($sBackgroundPath) || !($hBg = @imagecreatefrompng($sBackgroundPath)))
{
	$hBg = imagecreatetruecolor($iTextWidth + 50, $iTextHeight + 50);
	// sets background to red
	$cBackgroundColor = imagecolorallocate($hBg, 255, 255, 255);
	$bColor = @imagefill($hBg, 1, 1, $cBackgroundColor);
//	d($iWidth); die();
}
else
{
	$aImage = getimagesize($sBackgroundPath);
	die(d($aImage));
}

// lets make an image to write the text
$hFront = imagecreatetruecolor($iTextWidth, $iTextHeight);
// Write the string at the top left

$cBackgroundColor = imagecolorallocate($hFront, 255, 255, 255);
imagefill($hFront, 1, 1, $cBackgroundColor);

$cTextColor = imagecolorallocate($hFront, 0, 0, 0);
imagestring($hFront, $iTextSize, 5, floor($iTextHeight/3), $sText, $cTextColor);

// Copy and merge
imagecopymerge($hBg, $hFront, 0, 0, 0, 0, $iTextWidth, $iTextHeight, 100);

// Output and free from memory
ob_clean();
header("X-Content-Encoded-By: phpFox " . PhpFox::getVersion());
header("Pragma: no-cache");
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Content-Type: image/jpeg');
imagejpeg($hBg);

imagedestroy($hBg);
imagedestroy($hFront);


?>
