<?php
/** $Id: phpfox.xml.php 1558 2010-05-04 12:51:22Z Raymond_Benc $ **/
defined('PHPFOX') or exit('NO DICE!');
?>
<theme>
	<design_css>
		<![CDATA[
					$aAdvanced = array(				
						array(
							'block' => Phpfox::getPhrase('theme.background'),
							'name' => 'body',
							'id' => 'body',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true
								)								
							)							
						),
						array(
							'block' => Phpfox::getPhrase('theme.page_width'),
							'name' => '.body_width_holder',
							'id' => 'page_width',
							'design' => array(
								'width' => array(
									'90%',
									'100%'
								)								
							)							
						),							
						array(
							'block' => Phpfox::getPhrase('theme.link'),
							'name' => 'a',
							'id' => 'link',
							'design' => array(
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),							
							)							
						),	
						array(
							'block' => Phpfox::getPhrase('theme.link_hover'),
							'name' => 'a:hover',
							'id' => 'link_hover',
							'design' => array(
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),							
							)							
						),	
						array(
							'block' => Phpfox::getPhrase('theme.search_bar'),
							'name' => '#top_nav_holder',
							'id' => 'top_nav_holder',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)							
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.header'),
							'name' => 'div#header div#logo_corner, div#header div#logo',
							'id' => 'header_logo',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)								
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.menu'),
							'name' => 'div#header ul#main_nav',
							'id' => 'menu',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								)		
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.menu_link'),
							'name' => 'div#header ul#main_nav li a, div#header div#right_nav ul li a',
							'id' => 'menu_link',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.menu_link_hover'),
							'name' => 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a',
							'id' => 'menu_link_hover',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.profile_header'),
							'name' => '.profile_header',
							'id' => 'profile_header',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								)
							)							
						),			
						array(
							'block' => Phpfox::getPhrase('theme.profile_header_link'),
							'name' => '.profile_header a',
							'id' => 'profile_header_link',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),			
						array(
							'block' => Phpfox::getPhrase('theme.profile_header_link_hover'),
							'name' => '.profile_header a:hover',
							'id' => 'profile_header_link_hover',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),	
						array(
							'block' => Phpfox::getPhrase('theme.profile_link'),
							'name' => '#profile_menu ul li a',
							'id' => 'profile_link',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),			
						array(
							'block' => Phpfox::getPhrase('theme.profile_link_hover'),
							'name' => '#profile_menu ul li a:hover, #profile_menu ul li.active a',
							'id' => 'profile_link_hover',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),							
						array(
							'block' => Phpfox::getPhrase('theme.content'),
							'name' => '#content_container',
							'id' => 'content_container',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								)
							)							
						),
						array(
							'block' => Phpfox::getPhrase('theme.block_body'),
							'name' => 'div#sidebar div.block, div#content div.block',
							'id' => 'block_body',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.block_header'),
							'name' => 'div#sidebar div.block div.title, div#content div.block div.title',
							'id' => 'block_header',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)							
							)							
						),
						array(
							'block' => Phpfox::getPhrase('theme.bottom'),
							'name' => '#bottom',
							'id' => 'bottom',
							'design' => array(
								'background' => array(
									'color' => true,
									'image' => true,									
									'attachment' => true,
									'position' => true,
									'repeat' => true									
								),
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true									
								),
								'border' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'padding' => array(
									'type' => array(
										'top' => true,
										'right' => true,
										'bottom' => true,
										'left' => true
									)
								),
								'text' => array(
									'align' => true,
									'transform' => true,
									'decoration' => true
								)							
							)							
						),
						array(
							'block' => Phpfox::getPhrase('theme.bottom_link'),
							'name' => 'div#bottom ul li a, div#bottom div.copyright a',
							'id' => 'bottom_link',
							'design' => array(
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								)
							)
						),
						array(
							'block' => Phpfox::getPhrase('theme.bottom_link_hover'),
							'name' => 'div#bottom ul li a:hover, div#bottom div.copyright a:hover',
							'id' => 'bottom_link_hover',
							'design' => array(
								'font' => array(
									'color' => true,
									'family' => true,
									'size' => true,
									'style' => true,
									'weight' => true
								)	
							)
						)						
					);
		]]>
	</design_css>
	<reset_css>
		<![CDATA[
				if (!isset($bAlreadyAddedBg) && $sSelector == 'body' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{						
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'#header_holder\' AND css_property = \'background\'');
						
						$bAlreadyAddedBg = true;
					}					
				}	
				
				if (!isset($bAlreadyAddedBg2) && $sSelector == 'div#header ul#main_nav' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav\' AND css_property = \'background\'');
	
						$bAlreadyAddedBg2 = true;
					}					
				}	
				
				if (!isset($bAlreadyAddedBg3) && $sSelector == 'div#header div#logo_corner, div#header div#logo' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header div#logo_corner, div#header div#logo\' AND css_property = \'background\'');

						$bAlreadyAddedBg3 = true;
					}					
				}	
							
				if (!isset($bAlreadyAddedBg5) && $sSelector == 'div#header ul#main_nav li a, div#header div#right_nav ul li a' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li.hover ul li a, div#header ul#main_nav li:hover ul li a, div#header ul#main_nav li.active ul li a, div#header div#right_nav ul li.hover ul li a, div#header div#right_nav ul li:hover ul li a, div#header div#right_nav ul li.active ul li a\' AND css_property = \'background-color\'');						
					
						$bAlreadyAddedBg5 = true;			
					}					
				}				
				
				if (!isset($bAlreadyAddedBg4) && $sSelector == 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a\' AND css_property = \'background\'');					
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first\' AND css_property = \'border-top-width\'');						
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first\' AND css_property = \'border-top-style\'');						
						$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first\' AND css_property = \'border-top-color\'');				
												
						$bAlreadyAddedBg4 = true;
					}	
				}
				
				if ($sSelector == 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a')
				{
					$this->database()->delete(Phpfox::getT($aCallback['table']), $aCallback['field'] . ' = ' . $aCallback['value'] . ' AND css_selector = \'div#header ul#main_nav li ul li a:hover,	div#header div#right_nav ul li ul li a:hover\' AND css_property = \'' . $sProperty . '\'');			
				}				
			]]>	
	</reset_css>
	<update_css>
		<![CDATA[
				if (!isset($bAlreadyAddedBg) && $sSelector == 'body' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => '#header_holder',
								'css_property' => 'background',
								'css_value' => 'none',
								'ordering' => '1'
							)
						);
						$bAlreadyAddedBg = true;
					}					
				}	
				
				if (!isset($bAlreadyAddedBg2) && $sSelector == 'div#header ul#main_nav' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav',
								'css_property' => 'background',
								'css_value' => 'none',
								'ordering' => '1'
							)
						);
						$bAlreadyAddedBg2 = true;
					}					
				}	
				
				if (!isset($bAlreadyAddedBg3) && $sSelector == 'div#header div#logo_corner, div#header div#logo' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header div#logo_corner, div#header div#logo',
								'css_property' => 'background',
								'css_value' => 'none',
								'ordering' => '1'
							)
						);
						$bAlreadyAddedBg3 = true;
					}					
				}	
							
				if (!isset($bAlreadyAddedBg5) && $sSelector == 'div#header ul#main_nav li a, div#header div#right_nav ul li a' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav li.hover ul li a, div#header ul#main_nav li:hover ul li a, div#header ul#main_nav li.active ul li a, div#header div#right_nav ul li.hover ul li a, div#header div#right_nav ul li:hover ul li a, div#header div#right_nav ul li.active ul li a',
								'css_property' => 'background-color',
								'css_value' => '' . $sValue . '',
								'ordering' => '0'
							)
						);					
						
						$bAlreadyAddedBg5 = true;
					}					
				}				
				
				if (!isset($bAlreadyAddedBg4) && $sSelector == 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a' && ($sProperty == 'background-color' || $sProperty == 'background-image'))
				{					
					if (!empty($sValue))
					{
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a',
								'css_property' => 'background',
								'css_value' => 'none',
								'ordering' => '1'
							)
						);		
						
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first',
								'css_property' => 'border-top-width',
								'css_value' => '5px',
								'ordering' => '0'
							)
						);						
						
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first',
								'css_property' => 'border-top-style',
								'css_value' => 'solid',
								'ordering' => '0'
							)
						);							
						
						$this->database()->insert(Phpfox::getT($aCallback['table']), array(
								$aCallback['field'] => $aCallback['value'],
								'css_selector' => 'div#header ul#main_nav li ul li.first, div#header div#right_nav ul li ul li.first',
								'css_property' => 'border-top-color',
								'css_value' => '' . $sValue . '',
								'ordering' => '0'
							)
						);						
												
						$bAlreadyAddedBg4 = true;
					}	
				}
				
				if ($sSelector == 'div#header ul#main_nav li:hover a, div#header ul#main_nav li.hover a, div#header ul#main_nav li.active a, div#header div#right_nav ul li:hover a, div#header div#right_nav ul li.hover a, div#header div#right_nav ul li.active a')
				{
					$this->database()->insert(Phpfox::getT($aCallback['table']), array(
							$aCallback['field'] => $aCallback['value'],
							'css_selector' => 'div#header ul#main_nav li ul li a:hover,	div#header div#right_nav ul li ul li a:hover',
							'css_property' => $sProperty,
							'css_value' => '' . $sValue . '',
							'ordering' => '0'
						)
					);		
				}
		]]>
	</update_css>
</theme>