<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond_Benc
 * @package 		Phpfox
 * @version 		$Id: index.html.php 1571 2010-05-05 19:47:25Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if isset($aImportModules)}
<div class="table_header">
	{phrase var='admincp.modules'}
</div>
<table cellpadding="0" cellspacing="0">
	<tr>
		<th>{phrase var='admincp.name'}</th>
		<th>{phrase var='admincp.description'}</th>
		<th>{phrase var='admincp.action'}</th>
	</tr>
{foreach from=$aImportModules name=modules key=sModule item=aModule}
	<tr{if !is_int($phpfox.iteration.modules/2)} class="tr"{/if}>
		<td><a href="{url link='admincp.foxporter' module=$sModule}">{$aModule.name}</a></td>
		<td>{$aModule.description}</td>
		<td><a href="{url link='admincp.foxporter' module=$sModule}" class="action_link">{phrase var='admincp.start_importing'}</a></td>
	</tr>
{/foreach}
</table>
<div class="table_clear"></div>
{else}
<div class="table_header">
	{phrase var='admincp.importing_data'}
</div>
<table cellpadding="0" cellspacing="0">
	<tr class="tr">
		<td>{$aData.phrase}</td>
	</tr>
</table>
<div class="table_clear">
{if !isset($aData.completed)}
{if $aData.next === false}
	<input type="button" onclick="window.location.href='{url link='current'}';" value="{phrase var='admincp.refresh'}" class="button" />
{else}
	<input type="button" onclick="window.location.href='{url link='admincp.foxporter' module=$sCurrentModule step=$aData.next}';" value="{phrase var='admincp.continue_to_the_next_step'}" class="button" />
{/if}
{/if}
</div>
{/if}