<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Attachment
 * @version 		$Id: upload.html.php 2291 2011-02-03 10:02:46Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="label_flow">
{if $bIsAllowed}
	<div id="js_main_upload_frame">
	<script type="text/javascript">
	<!--
	{literal}
	function runUploadForm()
	{
		var bNoUploads = true;
		$('.sJsFileAttachments').each(function()
		{
			if (!empty(this.value))
			{
				bNoUploads = false;
			}
		});

		if (bNoUploads)
		{
			$('#js_attachment_error_message').show();

			return false;
		}
		{/literal}
		$('#js_upload_bar').css('height', $('#js_attachment_input').height() + 'px').html($.ajaxProcess('{phrase var='attachment.uploading_attachment_s' phpfox_squote=true}', 'large'));
		{literal}
		$('#js_attachment_input').hide();
		$('#js_upload_bar').show();

		return true;
	}
	{/literal}
	-->
	</script>
	<form method="post" enctype="multipart/form-data" action="{url link="current" frame="attachment-frame"}" target="js_upload_frame" onsubmit="return runUploadForm();">
		<div><input type="hidden" name="attachment_count" id="js_attachment_count" value="{$iTotal}" /></div>
		<div><input type="hidden" name="attachment_size_num" id="js_attachment_size_num" value="0" /></div>
		<div><input type="hidden" name="category_name" value="{$sCategoryId}" /></div>
		<div><input type="hidden" name="input" value="{$sAttachmentInput}" /></div>
		<div id="js_upload_bar" class="t_center"></div>
		<div id="js_attachment_input">
			<div id="js_attachment_error_message" class="error_message" style="display:none;">{phrase var='attachment.select_attachment_s_to_upload'}</div>

			
			{if Phpfox::getParam('attachment.attachment_enable_mass_uploader')}
				<div id="method_massuploader">
					<div class="clear p_4">
						<span id="swfUploadText">{phrase var='attachment.select_attachment_s_to_upload'}</span>
						<div id="swfuContainer">
							<div id="swfUploaderButton2"></div>
						</div>
					</div>
					<div id="js_progress_bar"></div>
				</div>
			{/if}
			<div id="method_switcher"></div>
				<div {if Phpfox::getParam('attachment.attachment_enable_mass_uploader')}style="display:none;"{/if} id="method_simple">
					{for $i = 0; $i < $iTotal; $i++}
						<div class="p_4" id="js_attachment{$i}"><input class="sJsFileAttachments" type="file" name="file[{$i}]" value="" /><span id="js_attachment_info_{$i}"></span></div>
					{/for}

					<div id="js_more_attachments"></div>
					<div class="p_4">
						<input type="submit" value="{phrase var='attachment.upload_attachments'}" class="button" />
						<script type="text/javascript">
						function addMoreAttachments()
						{literal}{{/literal}
							var iCnt = (parseInt($('#js_attachment_count').val()) + 1);
							$('#js_attachment_count').val(iCnt);
							$('#js_more_attachments').before("<div class=\"p_4\" id=\"js_attachment" + iCnt + "\"><input type=\"file\" class=\"sJsFileAttachments\" name=\"file[" + iCnt + "]\" /> - <a href=\"#\" onclick=\"$('#js_attachment" + iCnt + "').remove(); $('#js_attachment_count').val((parseInt($('#js_attachment_count').val()) - 1)); return false;\">{phrase var='attachment.cancel'}<\\/a><\\/div>");
						{literal}}{/literal}
						</script>
						 <input type="button" value="{phrase var='attachment.add_more_attachments'}" class="button" onclick="addMoreAttachments();" />
					</div>
				</div>
			<div></div>
			<div class="extra_info clear">
				<b>{phrase var='attachment.valid_file_extensions'}:</b>
				{if empty($sAttachmentInput)}
				{foreach from=$aValidExtensions key=iKey item=sValidExtension}
				{if $iKey != 0},{/if} {$sValidExtension}
				{/foreach}
				{else}
				{phrase var='attachment.jpg_gif_or_png'}
				{/if}
				{if $iMaxFileSize !== null}
				<br />
				{phrase var='attachment.the_file_size_limit_is_max_file_size' max_file_size=$iMaxFileSize}
				{/if}
			</div>
		</div>
	</form>
	<iframe id="js_upload_frame" name="js_upload_frame" height="500" width="500" frameborder="1" style="display:none;"></iframe>
	</div>
	{if Phpfox::getParam('attachment.attachment_enable_mass_uploader')}
		<script type="text/javascript">
			function switchMethod()
			{left_curly}
					$('#method_massuploader').html('').remove();
					$('#swfUploaderContainer').html('').remove();
					$('#method_simple').show();
					$('#method_switcher').html('').remove();
			{right_curly}
			$('#method_switcher').html('<a href="#" onclick="switchMethod();return false;">Use basic uploader</a>');
			var sHash = '{$sHash}';
			oTranslations['core.upload_failed_your_file_size_is_larger_then_our_limit_file_size'] = "{$sErrorFileIsLarger}";
			var bDoNotLoad = true;
			function setSWFUSettings()
			{left_curly}
				swfu.setUploadURL('{$sUploadUrl}');
				swfu.setFileSizeLimit('{$iMaxFileSize}');
				swfu.setFileUploadLimit({$iMaxQueue});
				swfu.setFileTypes('{$sValidExtensions}','{$sValidExtensions}');
				swfu.customSettings.progress_target = 'js_progress_bar';
				swfu.customSettings.flash_user_id = '{$iUserId}';
				swfu.customSettings.sJSCall = 'fileWasUploaded';
				swfu.customSettings.sHash = sHash;
				swfu.settings.button_window_mode = 'transparent';
				
				{if isset($sBgImageURL)}
					swfu.setButtonDimensions({$iImgWidth}, {$iImgHeight});
				{else}
				{/if}
			{right_curly}

				if (typeof SWFUpload == 'undefined')
				{left_curly}
				   $('body').append('<script type="text/javascript" src="' + oParams['sJsStatic'] + 'jscript/massuploader/swfupload.js?v=' + Math.random() + '"><\/script>');
				   $('body').append('<script type="text/javascript" src="' + oParams['sJsStatic'] + 'jscript/massuploader/upload.js?v=' + Math.random() + '"><\/script>');
				{right_curly}
				if ($("swfUploaderButton").html() == "" || $("swfUploaderButton").html() == null)
				{left_curly}
					aFunction();
					$('#swfUploaderContainer').css('top', 70).css('z-index', 880);
				{right_curly}
	
		</script>
	{/if}
{else}
{phrase var='attachment.you_have_reached_your_upload_limit'}
{/if}
</div>
