<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Blog
 * @version 		$Id: index.html.php 1995 2010-10-29 09:24:20Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !defined('PHPFOX_IS_USER_PROFILE') && $iTotalBlogToApprove}
<div class="message">
	{phrase var='blog.there_are_blogs_pending_approval_total_total' total=$iTotalBlogToApprove}
	<div class="p_4">
		<a href="{url link='blog' view='pending'}">{phrase var='blog.approve_blogs_here'}.</a>
	</div>
</div>
{/if}
{if !count($aItems)}
{if defined('PHPFOX_IS_USER_PROFILE')}
{if $aUser.user_id == Phpfox::getUserId()}
{if $sBlogStatus == 'draft'}
<div class="extra_info">{phrase var='blog.you_have_not_added_any_drafts'}</div>
{else}
<div class="extra_info">{phrase var='blog.you_have_not_added_any_blogs'}</div>
{/if}
<ul class="action">
	<li><a href="{url link="blog.add"}">{phrase var='blog.add_a_new_blog_entry'}</a></li>
</ul>
{else}
<div class="extra_info">{phrase var='blog.user_link_has_not_added_any_blogs' user=$aUser}</div>
<ul class="action">
	<li><a href="{url link='blog'}">{phrase var='blog.browse_other_blog_entries'}</a></li>
</ul>
{/if}
{else}
<div class="main_break"></div>
{if $sView == 'pending'}
<div class="message">
	{phrase var='blog.there_are_no_pending_blogs'}
</div>
{else}
<div class="extra_info">{phrase var='blog.no_blogs_added'}</div>
<ul class="action">
	<li><a href="{url link="blog.add"}">{phrase var='blog.be_first_to_add_a_blog'}</a></li>
</ul>
{/if}
{/if}
{else}
{foreach from=$aItems name=blog item=aItem}
	{template file='blog.block.entry'}
{/foreach}
{unset var=$aItems}
<div class="t_right">
{pager}
</div>
{/if}