<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: menu.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu">
	<ul>
		<li><a href="{if $aCallback !== false}{url link='event.add' module=$aCallback.module item=$aCallback.item}{else}{url link='event.add'}{/if}" class="first">{phrase var='event.create_new_event'}</a></li>
		{if Phpfox::isModule('report')}
			{if $aEvent.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=event&amp;id={$aEvent.event_id}" class="inlinePopup" title="{phrase var='event.report_an_event'}">{phrase var='event.report'}</a></li>{/if}
		{/if}		
	{if $aEvent.view_id == 0 && ($aEvent.user_id == Phpfox::getUserId() && Phpfox::getUserParam('event.can_edit_own_event')) || Phpfox::getUserParam('event.can_edit_other_event')}
		<li><a href="{url link='event.add.invite' id=$aEvent.event_id}">{phrase var='event.invite_people_to_come'}</a></li>	
		<li><a href="{url link='event.add.email' id=$aEvent.event_id}">{phrase var='event.mass_email_guests'}</a></li>	
	{/if}		
	{if ($aEvent.user_id == Phpfox::getUserId() && Phpfox::getUserParam('event.can_edit_own_event')) || Phpfox::getUserParam('event.can_edit_other_event')}
		<li><a href="{url link='event.add' id=$aEvent.event_id}">{phrase var='event.edit_event'}</a></li>	
	{/if}	
	{if ($aEvent.user_id == Phpfox::getUserId() && Phpfox::getUserParam('event.can_edit_own_event')) || Phpfox::getUserParam('event.can_edit_other_event')}
		<li><a href="{url link='event.add.manage' id=$aEvent.event_id}">{phrase var='event.manage_guest_list'}</a></li>	
	{/if}	
	{if $aEvent.user_id != Phpfox::getUserId()}
		<li><a href="{url link='mail.compose' id=$aEvent.user_id}">{phrase var='event.contact_full_name_creator' full_name=$aEvent.full_name}</a></li>
	{/if}
	{if Phpfox::isModule('share')}
		{module name='share.link' type='event' display='menu' url=$aEvent.bookmark_url title=$aEvent.title}			
	{/if}		
	{if ($aEvent.user_id == Phpfox::getUserId() && Phpfox::getUserParam('event.can_delete_own_event')) || Phpfox::getUserParam('event.can_delete_other_event')}
		<li><a href="{url link='event' delete=$aEvent.event_id}" class="sJsConfirm">{phrase var='event.delete_event'}</a></li>
	{/if}

	{if Phpfox::getUserParam('event.can_sponsor_event') && !defined('PHPFOX_IS_GROUP_VIEW')}
	    <li>
		<span id="js_sponsor_{$aEvent.event_id}" class="" style="{if $aEvent.is_sponsor != 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aEvent.event_id}').hide();$('#js_unsponsor_{$aEvent.event_id}').show();$.ajaxCall('event.sponsor','event_id={$aEvent.event_id}&type=0'); return false;">
			{phrase var='event.unsponsor_this_event'}
		    </a>
		</span>
		<span id="js_unsponsor_{$aEvent.event_id}" class="" style="{if $aEvent.is_sponsor == 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aEvent.event_id}').show();$('#js_unsponsor_{$aEvent.event_id}').hide();$.ajaxCall('event.sponsor','event_id={$aEvent.event_id}&type=1'); return false;">
			{phrase var='event.sponsor_this_event'}
		    </a>
		</span>
	    </li>
	{elseif Phpfox::getUserParam('event.can_purchase_sponsor') && !defined('PHPFOX_IS_GROUP_VIEW')
	    && $aEvent.user_id == Phpfox::getUserId()
	    && $aEvent.is_sponsor != 1}
	    <li>
		<a href="{url link='ad.sponsor' module='event' id=$aEvent.event_id}">
			{phrase var='event.sponsor_this_event'}
		</a>
	    </li>
	{/if}
	</ul>
</div>