<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Feed
 * @version 		$Id: entry.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
	<div class="{if isset($phpfox.iteration.iFeed)}{if is_int($phpfox.iteration.iFeed/2)}row1{else}row2{/if}{if $phpfox.iteration.iFeed == 1 && !PHPFOX_IS_AJAX} row_first{/if}{else}row1{/if} js_user_feed{if $aFeed.view_id == '1'} row_moderate{/if}" id="js_item_feed_{$aFeed.feed_id}">
		{plugin call='feed.template_block_entry_1'}
		{if !defined('PHPFOX_IS_USER_PROFILE') || $aFeed.type_id == 'comment_profile_my'}
		<div class="t_center" style="width:52px; position:absolute; left:10px;">
			{if $aFeed.type_id == 'comment_profile_my'}
			{img user=$aFeed user_suffix='viewer_' suffix='_50_square' max_width=50 max_height=50}
			{else}
			{img user=$aFeed user_suffix='owner_' suffix='_50_square' max_width=50 max_height=50}
			{/if}			
		</div>		
		<div style="margin-left:56px; padding-bottom:10px;">
		{/if}

			{if $aFeed.type_id == 'comment_profile_my'}
			{if defined('PHPFOX_IS_USER_PROFILE') && $aUser.user_id == $aFeed.owner_user_id}
			{phrase var='feed.user_link_wrote' user=$aFeed user_prefix='viewer_'}
			{else}
			{if $aFeed.owner_user_id == $aFeed.viewer_user_id}
			{phrase var='feed.full_name_commented_on_their_own_profile' user_link=$aFeed.owner_user_link full_name=$aFeed.owner_full_name}
			{else}
			{phrase var='feed.viewer_full_name_wrote_on_owner_full_name_s_profile' viewer_full_name=$aFeed.viewer_full_name viewer_user_link=$aFeed.viewer_user_link owner_full_name=$aFeed.owner_full_name owner_user_link=$aFeed.owner_user_link}
			{/if}
			{/if}
			<div class="p_4">
			{if defined('PHPFOX_IS_USER_PROFILE')}
				{parse_image width=500 height=500}
				{else}
				{parse_image width=200 height=200}
			{/if}
				{if (substr($aFeed.type_id, 0, 8) == 'comment_' && defined('PHPFOX_IS_USER_PROFILE') && ((Phpfox::getUserParam('comment.edit_own_comment') && Phpfox::getUserId() == $aFeed.item_user_id) || Phpfox::getUserParam('comment.edit_user_comment')))}
				<div id="js_feed_comment_text_{$aFeed.feed_id}">
				{/if}				
			
				{$aFeed.text|parse|shorten:'300':'comment.view_more':true|split:30}
				
				{if (substr($aFeed.type_id, 0, 8) == 'comment_' && defined('PHPFOX_IS_USER_PROFILE') && ((Phpfox::getUserParam('comment.edit_own_comment') && Phpfox::getUserId() == $aFeed.item_user_id) || Phpfox::getUserParam('comment.edit_user_comment')))}
				</div>
				{/if}				
				{parse_image clear=true}			
			</div>			
			{else}
			{if defined('PHPFOX_IS_USER_PROFILE')}
			{if substr($aFeed.type_id, 0, 8) == 'comment_'}{img theme='misc/comment.png' class='v_middle'}	{/if}
			{if isset($aFeed.icon)}{img theme=$aFeed.icon class='v_middle'} {/if}
			{/if}				
				{$aFeed.text}
			{/if}
			<div style="margin:5px 0px 0px 0px;" class="js_feed_comment_border">
				<div class="extra_info">				
				{if Phpfox::getParam('feed.allow_rating_of_feeds')}
					<div class="feed_entry_rate">	
						<div id="js_feed_rating{$aFeed.feed_id}" style="font-size:8pt;">{if isset($aFeed.has_rating)}{module name='feed.rating' sRating=$aFeed.rating iFeedId=$aFeed.feed_id bHasRating=$aFeed.has_rating iLastVote=$aFeed.actual_rating iUserId=$aFeed.user_id}{else}{module name='feed.rating' sRating=$aFeed.rating iFeedId=$aFeed.feed_id iUserId=$aFeed.user_id iLastVote=null}{/if}</div>
					</div>
				{/if}				
				
				<div class="feed_entry_time_stamp">
					{if !defined('PHPFOX_IS_USER_PROFILE')}
					{if substr($aFeed.type_id, 0, 8) == 'comment_' && $aFeed.type_id != 'comment_profile_my_feedLike'}{img theme='misc/comment.png' class='v_middle'}	{/if}
					{if isset($aFeed.icon)}{img theme=$aFeed.icon class='v_middle'} {/if}
					{/if}							
							
					<a href="{url link=$aFeed.owner_user_name feed=$aFeed.feed_id}#feed" class="feed_permalink">{$aFeed.time_stamp|convert_time:'feed.feed_display_time_stamp'}</a>		
				</div>
				
				{if Phpfox::isModule('comment') && Phpfox::getUserParam('comment.can_moderate_comments') && $aFeed.view_id == '1'}				
				<span>&nbsp;-&nbsp;<a href="#" onclick="$('#js_item_feed_{$aFeed.feed_id}').removeClass('row_moderate'); $(this).parent().remove(); $.ajaxCall('feed.approveComment', 'feed_id={$aFeed.feed_id}'); return false;">{phrase var='comment.approve'}</a></span>
				{/if}
				
				{if ($aFeed.type_id == 'comment_profile_my' && defined('PHPFOX_IS_USER_PROFILE') && ((Phpfox::getUserParam('comment.edit_own_comment') && Phpfox::getUserId() == $aFeed.item_user_id) || Phpfox::getUserParam('comment.edit_user_comment')))}		
				&nbsp;-&nbsp;<a href="inline#?type=text&amp;&amp;simple=true&amp;id=js_feed_comment_text_{$aFeed.feed_id}&amp;call=feed.updateFeedText&amp;feed_id={$aFeed.feed_id}&amp;data=feed.getCommentText" class="quickEdit">{phrase var='feed.edit'}</a>
				{/if}					
				
				{if Phpfox::getParam('feed.allow_comments_on_feeds') && Phpfox::isUser() && Phpfox::isModule('comment')}&nbsp;-&nbsp;
					<a href="#" onclick="if (function_exists('' + Editor.sEditor + '_wysiwyg_feed_comment_start')) {left_curly} eval('' + Editor.sEditor + '_wysiwyg_feed_comment_start(\'{$aFeed.feed_id}\');'); {right_curly} var bDoScroll = false; var iScrollCount = 0; $(this).parents('.js_feed_comment_border:first').find('.js_mini_feed_comment').each(function () {left_curly} iScrollCount++; if (iScrollCount == 5) {left_curly} bDoScroll = true; {right_curly} {right_curly}); $('#js_feed_comment_form_mini_{$aFeed.feed_id}').hide(); $(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_form').html($('#js_feed_comment_holder').html()).show(); $(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_item_id').val('{$aFeed.feed_id}'); $('#js_item_feed_{$aFeed.feed_id}').find('.js_comment_feed_textarea:first').focus(); if (bDoScroll) {left_curly} $.scrollTo('#js_feed_comment_form_{$aFeed.feed_id}', 340, {left_curly}over:-4{right_curly}); {right_curly} if (function_exists('' + Editor.sEditor + '_wysiwyg_feed_comment')) {left_curly} eval('' + Editor.sEditor + '_wysiwyg_feed_comment(\'{$aFeed.feed_id}\');'); {right_curly} return false;">{phrase var='feed.comment'}</a>
				{/if}					
				{if Phpfox::isUser() && Phpfox::getParam('feed.enable_like_system') && (isset($aFeed.enable_like) || $aFeed.type_id == 'comment_profile_my')}
				&nbsp;-&nbsp;
				<a href="#" onclick="$(this).parents('div:first').find('.js_feed_link_unlike').show(); $(this).hide(); $.ajaxCall('feed.like', 'feed_id={$aFeed.feed_id}&amp;type_id=1'); return false;" class="js_feed_link_like"{if isset($aFeed.is_liked) && $aFeed.is_liked} style="display:none;"{/if}>{phrase var='feed.like'}</a>
				<a href="#" onclick="$(this).parents('div:first').find('.js_feed_link_like').show(); $(this).hide(); $.ajaxCall('feed.like', 'feed_id={$aFeed.feed_id}&amp;type_id=0'); return false;" class="js_feed_link_unlike"{if isset($aFeed.is_liked) && $aFeed.is_liked}{else}style="display:none;"{/if}>{phrase var='feed.unlike'}</a>
				{/if}
				{if Phpfox::isModule('report')}
					{if $aFeed.user_id != Phpfox::getUserId()}&nbsp;-&nbsp;<a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=feed&amp;id={$aFeed.feed_id}" class="inlinePopup" title="{phrase var='report.report_this_feed'}">{phrase var='report.report'}</a>{/if}
				{/if}		
				{plugin call='feed.template_block_entry_2'}
				{if ($aFeed.user_id == Phpfox::getUserId() && Phpfox::getUserParam('feed.can_delete_own_feed') || Phpfox::getUserParam('feed.can_delete_other_feeds'))}
				&nbsp;-&nbsp;<a href="#" onclick="if (confirm('{phrase var='feed.are_you_sure' phpfox_squote=true}')) {left_curly} $.ajaxCall('feed.delete', 'id={$aFeed.feed_id}'); {right_curly} return false;">{phrase var='feed.delete'}</a>
				{/if}
				</div>
				
				<div id="js_feed_like_holder_{$aFeed.feed_id}">
				{if isset($aFeed.like_rows) && is_array($aFeed.like_rows) && count($aFeed.like_rows)}
					{template file='feed.block.like'}				
				{/if}
				</div>
				
				{if Phpfox::getParam('feed.allow_comments_on_feeds')}						
				<div id="js_feed_comment_post_{$aFeed.feed_id}">
					{if isset($aFeed.comments)}
					{if isset($aFeed.total_left)}
					<div class="comment_mini">
						<span id="js_feed_comment_ajax_link_{$aFeed.feed_id}" style="display:none;">{img theme='ajax/small.gif' class='v_middle'} {phrase var='feed.loading'}</span>
						<a id="js_feed_comment_view_more_link_{$aFeed.feed_id}" href="#" onclick="$('#js_feed_comment_ajax_link_{$aFeed.feed_id}').show(); $(this).hide(); $.ajaxCall('comment.viewMoreFeed', 'id={$aFeed.feed_id}'); return false;">{img theme='misc/comment.png' class='v_middle'} {phrase var='comment.view_all_total_left_comments' total_left=$aFeed.total_left}</a>
						<a id="js_feed_comment_hide_link_{$aFeed.feed_id}" href="#" onclick="$('#js_feed_comment_view_more_{$aFeed.feed_id}').find('.js_mini_feed_default').hide(); $('#js_feed_comment_view_more_link_{$aFeed.feed_id}').show(); $(this).hide(); return false;" style="display:none;">{img theme='misc/comment.png' class='v_middle'} {phrase var='feed.hide'}</a>
					</div>
					{/if}
					<div id="js_feed_comment_view_more_{$aFeed.feed_id}">
					{parse_image width=200 height=200}
					{foreach from=$aFeed.comments name=comments item=aComment}
						{template file='comment.block.mini'}
					{/foreach}
					{parse_image clear=true}
					</div>
					{/if}
				</div>				
				{if Phpfox::getParam('feed.allow_comments_on_feeds') && Phpfox::isUser()}
				<div id="js_feed_comment_form_mini_{$aFeed.feed_id}" class="js_feed_comment_form_mini"{if ((isset($aFeed.comments) && !count($aFeed.comments)) || !isset($aFeed.comments))} style="display:none;"{/if}>
					<div class="comment_mini">
						<input type="text" name="null" value="{phrase var='feed.write_a_comment'}" class="default_value" style="width:98%; font-size:8pt;" onfocus="$(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_form').html($('#js_feed_comment_holder').html()).show(); $(this).parents('.js_feed_comment_border:first').find('.js_feed_comment_item_id').val('{$aFeed.feed_id}'); $('#js_item_feed_{$aFeed.feed_id}').find('.js_comment_feed_textarea:first').focus(); $('#js_feed_comment_form_mini_{$aFeed.feed_id}').hide(); if (function_exists('' + Editor.sEditor + '_wysiwyg_feed_comment')) {left_curly} eval('' + Editor.sEditor + '_wysiwyg_feed_comment(\'{$aFeed.feed_id}\');'); {right_curly}" />
					</div>
				</div>
				<div id="js_feed_comment_form_{$aFeed.feed_id}" class="js_feed_comment_form" style="display:none;"></div>
				{/if}
				{/if}
			</div>
		{if !defined('PHPFOX_IS_USER_PROFILE') || $aFeed.type_id == 'comment_profile_my'}
		</div>
		{/if}
		{plugin call='feed.template_block_entry_3'}
	</div>	