<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: index.html.php 140 2009-01-30 13:04:09Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if $aCallback === null && count($aForums)}
{if isset($bIsSubForum)}
<div class="table_info">
	<b>{phrase var='forum.sub_forum'}:</b> {$aForumData.name|clean}
	{if !empty($aForumData.description)}
	<div class="p_4">
		{$aForumData.description|parse}
	</div>		
	{/if}
</div>
{/if}

{if !$bHasCategory}
<div class="table_header">
	<ul>
		<li class="forum_image">&nbsp;</li>
		<li class="forum_title">{phrase var='forum.forum'}</li>
		<li class="forum_count">{phrase var='forum.threads'}</li>
		<li class="forum_count">{phrase var='forum.posts'}</li>	
		<li class="last">{phrase var='forum.last_post'}</li>	
	</ul>
	<div class="clear"></div>
</div>
{/if}
{foreach from=$aForums name=forums item=aForum}
{if $aForum.is_category}
<div class="table_info">
	<a href="{url link='forum.'$aForum.name_url'-'$aForum.forum_id'}">{$aForum.name|clean}</a>	
	{if !empty($aForum.description)}
	<div class="p_4">
		{$aForum.description|parse}
	</div>
	{/if}
</div>
<div class="table_header">
	<ul>
		<li class="forum_image">&nbsp;</li>
		<li class="forum_title">{phrase var='forum.forum'}</li>
		<li class="forum_count">{phrase var='forum.threads'}</li>
		<li class="forum_count">{phrase var='forum.posts'}</li>	
		<li class="last">{phrase var='forum.last_post'}</li>	
	</ul>
	<div class="clear"></div>
</div>
{if count($aForum.sub_forum)}
		{foreach from=$aForum.sub_forum item=aForum}
		{template file='forum.block.forum'}
		{/foreach}
		<br />
{/if}
{else}
	{if !isset($bIsSubForum) && $phpfox.iteration.forums == 1}
	<div class="table_info">
		{phrase var='forum.forums'}
	</div>
	<div class="table_header">
		<ul>
			<li class="forum_image">&nbsp;</li>
			<li class="forum_title">{phrase var='forum.forum'}</li>
			<li class="forum_count">{phrase var='forum.threads'}</li>
			<li class="forum_count">{phrase var='forum.posts'}</li>	
			<li class="last">{phrase var='forum.last_post'}</li>	
		</ul>
		<div class="clear"></div>
	</div>	
	{/if}
	{template file='forum.block.forum'}
{/if}
{/foreach}

{if isset($bIsSubForum)}
<br />
{/if}

{/if}