<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Forum
 * @version 		$Id: $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if $sPermaView === null}
{if Phpfox::getParam('forum.enable_rss_on_threads')}
<div class="forum_rss_link">
	<a href="{url link='forum.rss' thread=$aThread.thread_id}" title="{phrase var='forum.subscribe_to_this_thread'}">
		{img theme='rss/tiny.png'}
	</a>
</div>
{/if}
{if $aThread.view_id}
<div class="message">
	{phrase var='forum.thread_is_pending_approval'}
</div>
{/if}
{if !$aThread.is_announcement}
<div class="p_bottom_10">
	<ul class="sub_menu_bar">
		{if $aThread.is_closed}
		<li><a href="#" onclick="return false;">{phrase var='forum.closed'}</a></li>
		{else}
		{if (Phpfox::getUserParam('forum.can_reply_to_own_thread') && $aThread.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_reply_on_other_threads') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'can_reply')}
		<li><a href="{if $aCallback === null}{url link='forum.post.reply' id=$aThread.thread_id}{else}{url link='forum.post.reply' module='group' item=$aCallback.group_id id=$aThread.thread_id}{/if}">{phrase var='forum.new_reply'}</a></li>
		{/if}
		{/if}		
		{if Phpfox::isUser()}
		<li><a href="#" class="sJsDropMenu drop_down_link">{phrase var='forum.thread_tools'}</a>
			<div class="link_menu dropContent">
				<ul>
				{if $aThread.view_id && (Phpfox::getUserParam('forum.can_approve_forum_thread') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'approve_thread'))}
					<li><a href="{url link='current' approve='true'}">{phrase var='forum.approve_thread'}</a></li>
				{/if}
				{if $bCanEditThread}
					<li><a href="{if $aCallback === null}{url link='forum.post.thread' edit=$aThread.thread_id}{else}{url link='forum.post.thread' module='group' item=$aCallback.group_id edit=$aThread.thread_id}{/if}">{phrase var='forum.edit_thread'}</a></li>
				{/if}
				{if $aCallback === null}
				{if Phpfox::getUserParam('forum.can_move_forum_thread') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'move_thread')}
					<li><a href="#" onclick="tb_show('{phrase var='forum.move_thread' phpfox_squote=true}', $.ajaxBox('forum.move', 'height=200&amp;width=550&amp;thread_id={$aThread.thread_id}')); return false;">{phrase var='forum.move_thread'}</a></li>
				{/if}				
				{if Phpfox::getUserParam('forum.can_copy_forum_thread') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'copy_thread')}
					<li><a href="#" onclick="tb_show('{phrase var='forum.copy_thread' phpfox_squote=true}', $.ajaxBox('forum.copy', 'height=200&amp;width=550&amp;thread_id={$aThread.thread_id}')); return false;">{phrase var='forum.copy_thread'}</a></li>
				{/if}
				{/if}
				{if $bCanDeleteThread}
					<li><a href="#" onclick="return Phpfox.forum.deleteThread('{$aThread.thread_id}');">{phrase var='forum.delete_thread'}</a></li>
				{/if}
				{if $bCanStickThread}
				{if $aThread.order_id == 1}
					<li id="js_stick_thread"><a href="#" onclick="return Phpfox.forum.stickThread('{$aThread.thread_id}', 0);">{phrase var='forum.unstick_thread'}</a></li>
				{else}
					<li id="js_stick_thread"><a href="#" onclick="return Phpfox.forum.stickThread('{$aThread.thread_id}', 1);">{phrase var='forum.stick_thread'}</a></li>
				{/if}									
				{/if}
				{if $bCanCloseThread}
				{if $aThread.is_closed}
					<li id="js_close_thread"><a href="#" onclick="return Phpfox.forum.closeThread('{$aThread.thread_id}', 0);">{phrase var='forum.open_thread'}</a></li>
				{else}
					<li id="js_close_thread"><a href="#" onclick="return Phpfox.forum.closeThread('{$aThread.thread_id}', 1);">{phrase var='forum.close_thread'}</a></li>
				{/if}			
				{/if}		
				{if $bCanMergeThread}
					<li><a href="#" onclick="tb_show('{phrase var='forum.merge_threads' phpfox_squote=true}', $.ajaxBox('forum.merge', 'height=200&amp;width=550&amp;thread_id={$aThread.thread_id}')); return false;">{phrase var='forum.merge_threads'}</a></li>
				{/if}				
					<li id="js_subscribe"{if $aThread.is_subscribed} style="display:none;"{/if}><a href="#" onclick="$(this).parent().hide(); $('#js_unsubscribe').show(); $.ajaxCall('forum.subscribe', 'thread_id={$aThread.thread_id}&amp;subscribe=1'); return false;">{phrase var='forum.subscribe'}</a></li>
					<li id="js_unsubscribe"{if !$aThread.is_subscribed} style="display:none;"{/if}><a href="#" onclick="$(this).parent().hide(); $('#js_subscribe').show(); $.ajaxCall('forum.subscribe', 'thread_id={$aThread.thread_id}&amp;subscribe=0'); return false;">{phrase var='forum.unsubscribe'}</a></li>

				{if $bCanPurchaseSponsor}
				    {if Phpfox::getUserParam('forum.can_sponsor_thread')} {* 2 = sponsored *}
					<li>
					    <span id="js_sponsor_thread_{$aThread.thread_id}" {if $aThread.order_id == 2}style="display:none;"{/if}>
						<a href="#" onclick="$.ajaxCall('forum.sponsor','thread_id={$aThread.thread_id}&type=2');return false;">
						   {phrase var='forum.sponsor'}
						</a>
					    </span>
					    <span id="js_unsponsor_thread_{$aThread.thread_id}" {if $aThread.order_id != 2}style="display:none;"{/if}>
						  <a href="#" onclick="$.ajaxCall('forum.sponsor','thread_id={$aThread.thread_id}&type=0');return false;">
						   {phrase var='forum.unsponsor'}
						</a>
					    </span>
					</li>
				    
				    {elseif Phpfox::getUserParam('forum.can_purchase_sponsor')}
					<li>
					    <a href="{url link='ad.sponsor' module='forum-thread' id=$aThread.thread_id}">{phrase var='forum.sponsor'}</a>
					</li>
				    {/if}
				{/if}
				</ul>
			</div>
		</li>
		{/if}
		{if Phpfox::isModule('share')}
		{module name='share.link' type='forum' url=$sCurrentThreadLink title=$aThread.title display='menu'}
		{/if}
	</ul>
	<div class="clear"></div>
</div>

{if !empty($aPoll.question)}
<div class="table_info">
	{phrase var='forum.poll'}: {$aPoll.question|clean}
</div>
<div class="forum_poll_content">
	{template file='poll.block.entry'}
</div>
{/if}

<div class="table_info">
	{$aThread.title|clean|shorten:150:'...'}
</div>

<div class="forum_pager_top">	
	<div class="forum_pager_padding">
		{pager}
	</div>
</div>
{/if}
{/if}

{if $sPermaView !== null}
<div class="table_info">
	<div class="go_left">
		{phrase var='forum.viewing_single_post'}
	</div>
	<div class="t_right" style="padding-right:5px;">
		{phrase var='forum.thread'}: <a href="{$sCurrentThreadLink}" title="{$aThread.title|clean}">{$aThread.title|clean|shorten:50:'...'}</a>
	</div>
	<div class="clear"></div>
</div>
{/if}

<div id="js_thread_start"></div>
{foreach from=$aThread.posts item=aPost}
	{template file='forum.block.post'}
{/foreach}
<div id="js_post_new_thread"></div>

{if $sPermaView === null}
{if !$aThread.is_announcement}
<div class="forum_pager_bottom">	
	<div class="forum_pager_padding">
		{pager}
	</div>
</div>
{if (Phpfox::getUserParam('forum.can_reply_to_own_thread') && $aThread.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_reply_on_other_threads') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'can_reply')}
<ul class="sub_menu_bar">
	{if $aThread.is_closed}
	<li><a href="#" onclick="return false;">{phrase var='forum.closed'}</a></li>
	{else}
	<li><a href="{if $aCallback === null}{url link='forum.post.reply' id=$aThread.thread_id}{else}{url link='forum.post.reply' module='group' item=$aCallback.group_id id=$aThread.thread_id}{/if}">{phrase var='forum.new_reply'}</a></li>
	{/if}
</ul>
<div class="clear"></div>
{/if}
{/if}

{if Phpfox::isModule('tag') && isset($aThread.tag_list)}
{if $aCallback !== null}
{module name='tag.item' sType='forum_group' sTags=$aThread.tag_list item_id=$aThread.thread_id iUserId=$aThread.user_id}
{else}
{module name='tag.item' sType='forum' sTags=$aThread.tag_list item_id=$aThread.thread_id iUserId=$aThread.user_id}
{/if}
{/if}

{if (Phpfox::getUserParam('forum.can_reply_to_own_thread') && $aThread.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('forum.can_reply_on_other_threads') || Phpfox::getService('forum.moderate')->hasAccess('' . $aThread.forum_id . '', 'can_reply')}
{if !$aThread.is_closed && Phpfox::isUser() && !$aThread.is_announcement}
<div class="p_bottom_25" id="js_quick_reply">
	<h3>{phrase var='forum.quick_reply'}</h3>
	<div id="js_post_entry"></div>
	<form method="post" action="{if $aCallback === null}{url link='forum.post.reply' id=$aThread.thread_id}{else}{url link='forum.post.reply' module='group' item=$aCallback.group_id id=$aThread.thread_id}{/if}" id="js_advance_reply_form" style="display:none;">
		<div><textarea name="save_text" id="js_advance_reply_textarea"></textarea></div>
	</form>
	{plugin call='forum.template_controller_thread_form_quick_reply'}
	<form method="post" action="{url link='current'}" onsubmit="return Phpfox.forum.quickReply();" id="js_quick_reply_form">
		<div><input type="hidden" name="val[thread_id]" value="{$aThread.thread_id}" /></div>
		<div><input type="hidden" name="val[total_post]" value="{$iTotalPosts}" id="js_total_post_count" /></div>
		{if $aCallback !== null}
		<div><input type="hidden" name="val[module]" value="group" /></div>
		<div><input type="hidden" name="val[item]" value="{$aCallback.group_id}" /></div>
		{/if}
		<div class="table">
			<div class="table_left">
				{phrase var='forum.reply'}:
			</div>
			<div class="table_right">
				{editor id='text'}
			</div>
		</div>
		<div class="table">
			<div class="table_left">
				{phrase var='forum.subscribe'}:
			</div>
			<div class="table_right">	
				<label><input type="checkbox" name="val[is_subscribed]" value="1" class="v_middle"{value type='radio' id='is_subscribed' default='1' selected='true'}/></label>
			</div>
		</div>			
		{if Phpfox::isModule('captcha') && Phpfox::getUserParam('forum.enable_captcha_on_posting')}{module name='captcha.form' sType='forum'}{/if}
		<div class="table_clear">
			<input type="submit" value="{phrase var='forum.post_quick_reply'}" class="button" />
			<input type="button" id="btnGoAdvanced" value="{phrase var='forum.go_advanced'}" class="button" onclick="Phpfox.forum.goAdvanced();" />
			<span id="js_reply_process"></span>
		</div>
	</form>
</div>
{/if}
{/if}
{/if}

{module name='forum.jump'}