<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Friend
 * @version 		$Id: accept.html.php 1479 2010-02-18 16:47:48Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="main_break"></div>
{if count($aFriends)}
{if $iRequestId}
	<h3>{phrase var='friend.viewing_friends_request_id' id=$iRequestId}</h3>
	<div class="t_right">
		<a href="{url link='friend.accept'}">{phrase var='friend.view_all'}</a>
	</div>
{/if}
<div id="js_request_friend_holder">
	{literal}
	<script type="text/javascript">
	function processList(sValue, iId)
	{
		if (sValue == '')
		{
			return false;
		}
		
		if (sValue == 'create_new')
		{
			$('#js_list_options_' + iId).hide(); 
			$('#js_add_new_list_' + iId).show();
			return false;
		}
		
		return false;
	}
	
	function resetList(iId)
	{
		$('#js_add_new_list_' + iId).hide(); 
		$('#js_list_options_' + iId).show();
		
		$('option').each(function()
		{
			this.selected = false;
		});
		
		return false;	
	}
	</script>
	{/literal}
	{foreach from=$aFriends item=aFriend name=friend}
	<form method="post" action="{url link='current'}" id="js_friend_request_form_{$aFriend.request_id}">
		<div id="friend_request_{$aFriend.request_id}"><a name="friend_request_{$aFriend.request_id}"></a></div>
		<div class="{if is_int($phpfox.iteration.friend/2)}row1{else}row2{/if}{if $phpfox.iteration.friend == 1} row_first{/if}" id="js_friend_request_{$aFriend.request_id}">
			<div class="go_left t_center" style="width:60px;">
				{img user=$aFriend suffix='_50' max_width=50 max_height=50}
			</div>
			<div style="margin-left:65px;" id="js_friend_request_message_{$aFriend.request_id}">				
				{$aFriend|user}				
				{if Phpfox::getUserParam('friend.can_add_folders')}
				<div class="p_top_8">
					<div id="js_list_options_{$aFriend.request_id}">
					<select id="js_options" name="val[list_id]" onchange="return processList(this.value, '{$aFriend.request_id}');">
						<option value="" class="sJsDefaultList">{phrase var='friend.add_to_a_friend_list'}</option>
						<optgroup label="{phrase var='friend.lists'}" class="sJsListOptGroup">
							{foreach from=$aOptions item=aOption}
							<option value="{$aOption.list_id}">{$aOption.name}</option>
							{/foreach}
						</optgroup>
						<option value="">---</option>
						<option value="create_new">{phrase var='friend.create_a_new_list'}</option>
					</select> {phrase var='friend.optional'}
					</div>
					<div id="js_add_new_list_{$aFriend.request_id}"  style="display:none;">
						<input type="text" name="name" value="" size="20" class="sJsCreateName_{$aFriend.request_id}" /> <input type="button" value="{phrase var='friend.create'}" class="button" onclick="$('.sJsCreateName_{$aFriend.request_id}').ajaxCall('friend.addList', '&amp;type=list&amp;request_id={$aFriend.request_id}');" />
						<div class="p_4">
							<a href="#" onclick="return resetList('{$aFriend.request_id}');">{phrase var='friend.show_all_lists'}</a>
						</div>
					</div>					
				</div>
				{/if}
				{if $aFriend.message}
				<div class="p_top_8">
				<div class="separate"></div>
					{phrase var='friend.user_link_wrote' user=$aFriend}:
					<div class="quote">
						<div class="quote_body">
							{$aFriend.message}
						</div>
					</div>
				</div>
				{/if}			
				
				<br />
				
				{module name='friend.mutual' mutual_friend_id=$aFriend.user_id}
				<div class="js_add_friend_button">
					<input type="button" value="{phrase var='friend.accept'}" class="button" onclick="$(this).parent('.js_add_friend_button:first').html($.ajaxProcess('{phrase var='friend.accepting_friends_request' phpfox_squote=true}')); $('#js_friend_request_form_{$aFriend.request_id}').ajaxCall('friend.processRequest', 'type=yes&amp;user_id={$aFriend.user_id}&amp;request_id={$aFriend.request_id}&amp;inline=true');" /> <input type="button" value="{phrase var='friend.deny'}" class="button" onclick="if (confirm(getPhrase('core.are_you_sure'))) $.ajaxCall('friend.processRequest', 'type=no&amp;user_id={$aFriend.user_id}&amp;request_id={$aFriend.request_id}&amp;inline=true');" />
				</div>
			</div>
			<div class="clear"></div>
		</div>
	</form>
	{/foreach}
</div>
{pager}
{else}
<div class="extra_info">
	{phrase var='friend.you_do_not_have_any_friends_requests_at_the_moment'}
</div>
{/if}