<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: messenger.html.php 1245 2009-11-02 16:10:29Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="js_footer_im_holder" class="im_holder js_footer_holder">
	<div class="im_option">
		<ul>
			<li><a href="#" class="first" onclick="return Phpfox.im.goOffline();">{img theme='misc/status_offline.png' class='v_middle'} {phrase var='im.go_offline'}</a></li>	
			<li><a href="{url link='user.privacy'}">{img theme='misc/user_delete.png' class='v_middle'} {phrase var='im.edit_block_list'}</a></li>
		</ul>
		<div class="im_option_body">
			<div class="im_option_table">
				<div class="im_option_table_title">
					{phrase var='im.status'}:
				</div>
				<div class="im_option_table_option">
					<select name="status" onchange="return Phpfox.im.changeStatus(this);">
						{foreach from=$aStatuses key=iStatusId item=sStatus}
							<option value="{$iStatusId}"{if ($bBackOnline === true && empty($iStatusId)) || ($bBackOnline === false && Phpfox::getUserBy('im_status') == $iStatusId)} selected="selected"{/if}>{$sStatus}</option>
						{/foreach}
					</select>
				</div>
			</div>			
			<div class="im_option_table">
				<div class="im_option_table_title">
					{phrase var='im.play_sound_on_new_message'}:
				</div>
				<div class="im_option_table_option">
					<select name="im_beep" onchange="$(this).ajaxCall('im.playSound');">
						<option value="0"{if Phpfox::getUserBy('im_beep') == '0'} selected="selected"{/if}>{phrase var='im.yes'}</option>
						<option value="1"{if Phpfox::getUserBy('im_beep') == '1'} selected="selected"{/if}>{phrase var='im.no'}</option>
					</select>
				</div>
			</div>			
		</div>
	</div>
	<div class="im_header">
		<div style="position: absolute; right: 0pt; margin-right: 2px;">			
			<a href="#" class="footer_menu_minimize" onclick="$('.js_temp_image_block').remove(); $('#footer_bar').find('a').removeClass('focus').removeClass('is_already_open'); deleteCookie('im_last_open_window'); return false;">{img theme='misc/minimize.gif' class='v_middle'}</a>
		</div>	
		{phrase var='im.chat'}
	</div>
	<div class="im_action_bar">
		<ul>
			<li><a class="first" href="#" onclick="return Phpfox.im.toggleOptions(this);">{img theme='misc/application_edit.png' class='v_middle'} {phrase var='im.options'}</a></li>			
		</ul>
		<div class="clear"></div>
	</div>
	<div style="overflow:auto; height:200px;" id="js_im_friend_list">
		{module name='im.list'}
	</div>
</div>