/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Mail
 * @version 		$Id: mail.js 1967 2010-10-27 19:30:25Z Raymond_Benc $
 */

$.fn.addFolder = function(sCall)
{
	if ($(this).val() == getPhrase('mail.add_new_folder'))
	{
		return false;
	}
	$('#js_last_folder').append('<li id="js_temp_menu"><a href="#" onclick="return false;">' + $.ajaxProcess(getPhrase('mail.adding_new_folder')) + '</a></li>');
	$(this).ajaxCall(sCall);
}

$(document).ready(function()
{
	$('#js_block_bottom_1').click(function()
	{
		if ($('#js_block_bottom_link_1').html() == getPhrase('mail.view_folders'))
		{
			$('#js_edit_folders').hide();
			$('#js_mail_box_folders').show();			
			$('#js_block_bottom_link_1').html(getPhrase('mail.edit_folders'));
		}
		else
		{		
			$('#js_mail_box_folders').hide();
			$.ajaxCall('mail.editFolders');			
			$('#js_block_bottom_link_1').html(getPhrase('mail.view_folders'));	
		}
		
		return false;
	});
});

Behavior.showEditFolders = function()
{	
	$('#js_cancel_edit_folder').click(function()
	{
		$('#js_edit_folders').hide();
		$('#js_mail_box_folders').show();
		$('#js_block_bottom_link_1').html('' + getPhrase('mail.edit_folders') + '');
	});
	
	$('#js_submit_update_folder').click(function()
	{
		$('#js_process_form_image').html($.ajaxProcess(getPhrase('mail.updating')));
		$('#js_edit_folder_form').ajaxCall('mail.updateFolder');
	});
}

function localSelector(sValue)
{
	switch (sValue)
	{
		case 'none':		
			$('#js_action_selector').attr('disabled', true);
			$('#js_selector_action').hide();
			break;
		default:
			if (sValue != '')
			{
				$('#js_action_selector').attr('disabled', false);	
				$('#js_selector_action').show();
			}			
	}	
}

function doAction(sValue)
{
	switch (sValue)
	{
		case 'move':
			$('#js_select_info').hide();
			$('#js_folders').show('slow');
			break;	
		case 'undelete':
		case 'read':
		case 'unread':
		case 'delete':
			
			var sMessage = "";
			if (sValue == 'delete')
			{
				if ($('.js_selector').val() == 'every')
				{
					sMessage = oTranslations['mail.you_will_delete_every_message_in_this_folder'];
					$('#js_form_select').val('every');
				}
				else
				{
					$('#js_form_select').val('');
				}
				if (!confirm(sMessage + getPhrase('core.are_you_sure')))
				{
					$('#js_action_selector').val('');
					return false;
				}
			}
			
			$('#js_form_action').val(sValue);
			$('#js_form').submit();
			break;
	}
}