<?php
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Mail
 * @version 		$Id: folder.html.php 1298 2009-12-05 16:19:23Z Raymond_Benc $
 */

defined('PHPFOX') or exit('NO DICE!');

?>
<div id="js_mail_box_folders">
	<ul class="action">
		<li><a href="{url link='mail'}"><img src="{module_path}mail/static/image/inbox.gif" alt="" /> {phrase var='mail.inbox'} {if isset($iCountInbox)}({$iCountInbox}){/if}</a></li>
		<li><a href="{url link='mail.sentbox'}"><img src="{module_path}mail/static/image/sent.gif" alt="" /> {phrase var='mail.sent_messages'} {if isset($iCountSentbox)}({$iCountSentbox}){/if}</a></li>
		<li{if !count($aFolders)} id="js_last_folder"{/if}><a href="{url link='mail.trash'}"><img src="{module_path}mail/static/image/trash.gif" alt="" /> {phrase var='mail.trash'} {if isset($iCountDeleted)}({$iCountDeleted}){/if}</a></li>
		{foreach from=$aFolders item=aFolder name=folders}
		<li{if count($aFolders) == $phpfox.iteration.folders} id="js_last_folder"{/if} class="sJsFolder_{$aFolder.folder_id}"><a href="{url link='mail.box' id=$aFolder.folder_id}"><img src="{module_path}mail/static/image/saved.gif" alt="" /> {$aFolder.name|clean}</a></li>
		{/foreach}
	</ul>
	{if Phpfox::getUserParam('mail.can_add_folders')}
	<div class="p_top_15 p_left_10">
		<form method="post" action="{url link='current'}" onsubmit="return false;">
			<div><input type="text" name="add_folder" value="{phrase var='mail.add_new_folder'}" size="15" onclick="if (this.value == '{phrase var='mail.add_new_folder' phpfox_squote=true}') this.value = '';" onblur="if (this.value == '') this.value = '{phrase var='mail.add_new_folder' phpfox_squote=true}';" id="js_add_folder_main" style="vertical-align:middle;" /> <input type="submit" value="{phrase var='mail.add'}" class="button" onclick="if ($('#js_add_folder_main').val() != '') $('#js_add_folder_main').addFolder('mail.addFolder');" /></div>
		</form>
	</div>
	{/if}
</div>
<div id="js_edit_folders" style="display:none;"></div>