<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: mini.html.php 1798 2010-09-08 09:28:49Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>

<div class="{if is_int($phpfox.iteration.minilistings/2)}row1{else}row2{/if}{if $phpfox.iteration.minilistings == 1} row_first{/if}">
	<div class="t_center mini_listing_image_holder">
		<a href="{url link='marketplace.view.'$aMiniListing.title_url''}">{img server_id=$aMiniListing.server_id title=$aMiniListing.title path='marketplace.url_image' file=$aMiniListing.image_path suffix='_50' max_width='50' max_height='50'}</a>
	</div>
	<div class="mini_listing_info_holder">
		<div class="mini_listing_info_price">
		{if $aMiniListing.price == '0.00'}
			{phrase var='marketplace.free'}
		{else}
			{$aMiniListing.currency_id|currency_symbol}{$aMiniListing.price|number_format:2}
		{/if}
		</div>	
		<a href="{url link='marketplace.view.'$aMiniListing.title_url''}">{$aMiniListing.title|clean|shorten:25:'...'|split:20}</a>
		{if !empty($aMiniListing.short_description)}
		<div class="extra_info">
			{$aMiniListing.short_description|clean|shorten:30:'...'|split:20}
		</div>
		{/if}	
		<div class="extra_info">
			{phrase var='marketplace.posted_on_time_stamp' time_stamp=$aMiniListing.time_stamp|date:'marketplace.marketplace_view_time_stamp'}.
		</div>	
	</div>
	<div class="clear"></div>
</div>