<?php
/** $Id: install.xml.php 550 2009-05-18 11:04:25Z Raymond_Benc $ **/
defined('PHPFOX') or exit('NO DICE!');

?>
<phpfox>
	<install>
		$iUserGroupId = Phpfox::getService('user.group.process')->add(array(
				'title' => 'Musician',
				'inherit_id' => 2
			)
		);
		
		$this->database()->update(Phpfox::getT('setting'), array('value_actual' => $iUserGroupId), 'module_id = \'music\' AND var_name = \'music_user_group_id\'');
		
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => '1'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'custom\' AND name = \'has_special_custom_fields\'');
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => 'music_user'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'custom\' AND name = \'custom_table_name\'');
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => '1'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'music\' AND name = \'can_upload_music_public\'');
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => '0'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'user\' AND name = \'can_edit_gender_setting\'');	
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => 'music.band_artist_name'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'user\' AND name = \'custom_name_field\'');	
		$this->database()->update(Phpfox::getT('user_group_custom'), array('default_value' => '0'), 'user_group_id = ' . (int) $iUserGroupId . ' AND module_id = \'user\' AND name = \'can_edit_dob\'');	
		
		$aGenres = array(
			'Rock' => 'rock',
			'Pop' => 'pop',
			'Hip Hop' => 'hip-hop'
		);
		
		foreach ($aGenres as $sName => $sLink)
		{
			$this->database()->insert(Phpfox::getT('music_genre'), array('name' => $sName, 'name_url' => $sLink));
		}
		
		$this->database()->update(Phpfox::getT('custom_group'), array('user_group_id' => $iUserGroupId), 'module_id = \'music\'');
		$this->database()->update(Phpfox::getT('custom_field'), array('user_group_id' => $iUserGroupId), 'module_id = \'music\'');		
	</install>
</phpfox>