<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: entry.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="js_controller_music_track_{$aSong.song_id}" class="hover_action js_music_track js_song_parent {if isset($aSong.is_sponsor) && $aSong.is_sponsor}row_sponsored {/if}{if $aSong.is_featured}row_featured {/if}{if $aSong.view_id == 1}row_moderate {/if} {if isset($phpfox.iteration.songs) && is_int($phpfox.iteration.songs/2)}row1{else}row2{/if}{if isset($phpfox.iteration.songs) && $phpfox.iteration.songs == 1} row_first{/if}">

    <div class="go_left">
		<a href="#" onclick="$('#js_music_cache_id').html('{$aSong.song_id}'); $.ajaxCall('music.play', 'id={$aSong.song_id}'); Phpfox.player.play('{if isset($bIsMusician) && !$bIsMusician}js_music_favorite_player{else}js_music_player{if isset($bPlayAll)}_all{/if}{/if}', '{$aSong.song_path}'); return false;" title='{phrase var='music.play'}: {$aSong.title|clean phpfox_squote=true}'>{img theme='misc/control_play.png' class='v_middle'}</a>
		<a href="{if $aSong.album_id}{url link=''$aSong.user_name'.music.'$aSong.album_url'.'$aSong.title_url}{else}{url link=''$aSong.user_name'.music.view.'$aSong.title_url}{/if}"{if defined('PHPFOX_IS_POPUP')} onclick="window.opener.location.href=this.href; return false;"{/if}>{$aSong.title|clean}</a>
		{if isset($aUser) && $aUser.user_id != $aSong.user_id || !defined('PHPFOX_IS_USER_PROFILE')}
		<div class="extra_info">
			{phrase var='music.by'}: {$aSong|user}
			{if isset($aSong.album_name)}
			<br />
			{phrase var='music.album'}: <a href="{url link=''$aSong.user_name'.music.'$aSong.album_url''}">{$aSong.album_name}</a>
			{/if}
		</div>
		{/if}
	</div>
	<div style="text-align:right;">		
		<span class="row_action" style="display:none;">
			{if $aSong.view_id == 1 && Phpfox::getUserParam('music.can_approve_songs')}
			<a href="#" title="{phrase var='music.approve_this_song'}" onclick="$(this).parents('.js_song_parent:first').removeClass('row_moderate').find('.row_pending_link:first').html('{phrase var='music.approved' phpfox_squote=true}').fadeOut(5000); $.ajaxCall('music.approveSong', 'song_id={$aSong.song_id}'); $(this).parent().remove(); return false;">{img theme='misc/accept.png' class='v_middle'}</a>			    
			{/if}		
			{if $aSong.view_id == 0 && Phpfox::getUserParam('music.can_feature_songs')}
				<a id="js_feature_{$aSong.song_id}"{if $aSong.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.feature_this_song'}" onclick="$(this).hide(); $('#js_unfeature_{$aSong.song_id}').show(); $(this).parents('.js_song_parent:first').addClass('row_featured').find('.js_featured_song').show(); $.ajaxCall('music.featureSong', 'song_id={$aSong.song_id}&amp;type=1'); return false;">{img theme='misc/photo_feature.png' alt='' class='v_middle' width='16' height='16'}</a>
				<a id="js_unfeature_{$aSong.song_id}"{if !$aSong.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.un_feature_this_song'}" onclick="$(this).hide(); $('#js_feature_{$aSong.song_id}').show(); $(this).parents('.js_song_parent:first').removeClass('row_featured').find('.js_featured_song').hide(); $.ajaxCall('music.featureSong', 'song_id={$aSong.song_id}&amp;type=0'); return false;">{img theme='misc/photo_unfeature.png' alt='' class='v_middle' width='16' height='16'}</a>
				
			{/if}			
			{if Phpfox::isUser() && $aSong.user_id != Phpfox::getUserId()}
				<a {if $aSong.is_on_profile}style="display:none;" {/if}href="#" onclick="$.ajaxCall('music.userProfile', 'id={$aSong.song_id}&amp;type=1'); return false;" title="{phrase var='music.add_this_song_to_your_profile'}" id="js_music_profile_add_{$aSong.song_id}">
					{img theme='misc/user_add.png' alt='' class='v_middle'}	
				</a>
				<a {if !$aSong.is_on_profile}style="display:none;" {/if}href="#" onclick="$.ajaxCall('music.userProfile', 'id={$aSong.song_id}&amp;type=0{if isset($bIsMusician) && !$bIsMusician}&amp;remove=1{/if}'); return false;" title="{phrase var='music.remove_this_song_from_your_profile'}" id="js_music_profile_remove_{$aSong.song_id}">
					{img theme='misc/user_delete.png' alt='' class='v_middle'}	
				</a>
				    
			{/if}		
			{if Phpfox::isModule('report')}
				{if $aSong.user_id != Phpfox::getUserId()}
					<a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=music_song&amp;id={$aSong.song_id}" class="inlinePopup" title="{phrase var='music.report_this_song'}">
						{img theme='misc/flag_red.png' alt='' class='v_middle'}	
					</a>
				{/if}
			{/if}		
			{if (($aSong.user_id == Phpfox::getUserId() && Phpfox::getUserParam('music.can_delete_own_track')) || Phpfox::getUserParam('music.can_delete_other_tracks'))}
			    <span><a href="#" onclick="if (confirm('{phrase var='music.are_you_sure' phpfox_squote=true}')) {literal}{{/literal} $('#js_controller_music_track_{$aSong.song_id}').remove(); $.ajaxCall('music.deleteTrack', 'id={$aSong.song_id}'); {literal}}{/literal} return false;" title='{phrase var='music.delete_track'}: {$aSong.title|clean phpfox_squote=true}'>{img theme='misc/delete.png' class='v_middle'}</a>
				</span>
			{/if}
			{if Phpfox::getUserParam('music.can_sponsor_song')}
			    <span id="js_song_sponsor_{$aSong.song_id}">
				{if $aSong.is_sponsor}
				    <a href="#" title="{phrase var='music.unsponsor_this_song'}" onclick="$.ajaxCall('music.sponsorSong', 'song_id={$aSong.song_id}&amp;type=0'); return false;">
					{img theme='misc/medal_gold_delete.png' class='v_middle' alt_phrase='music.unsponsor_this_song'}
				    </a>
					{else}
				    <a href="#" title="{phrase var='music.sponsor_this_song'}" onclick="$.ajaxCall('music.sponsorSong', 'song_id={$aSong.song_id}&amp;type=1'); return false;">
					{img theme='misc/medal_gold_add.png' class='v_middle' alt_phrase='music.sponsor_this_song'}
				    </a>
				{/if}
			    </span>
			{/if}
		</span>
		{$aSong.duration}
	</div>
	<div class="clear"></div>
</div>