<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: menu.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="menu" class="js_song_parent">
	<ul>
	{if Phpfox::isModule('report')}
		{if $aSong.user_id != Phpfox::getUserId()}<li><a class="first inlinePopup" href="#?call=report.add&amp;height=210&amp;width=400&amp;type=music_song&amp;id={$aSong.song_id}" title="{phrase var='music.report_this_song'}">{phrase var='music.report'}</a></li>{/if}
	{/if}	
	{if Phpfox::isModule('share')}
		{module name='share.link' type='music_song' display='menu' url=$aSong.bookmark title=$aSong.title}			
	{/if}
	{if Phpfox::isModule('favorite')}
		<li><a href="#?call=favorite.add&amp;height=100&amp;width=400&amp;type=music_song&amp;id={$aSong.song_id}" class="inlinePopup" title="{phrase var='music.add_to_favorites'}">{phrase var='music.add_to_favorites'}</a></li>
	{/if}	
			{if $aSong.user_id != Phpfox::getUserId()}
			<li {if $aSong.is_on_profile}style="display:none;" {/if}id="js_music_profile_add_{$aSong.song_id}">
				<a href="#" onclick="$.ajaxCall('music.userProfile', 'id={$aSong.song_id}&amp;type=1'); return false;" title="{phrase var='music.add_this_song_to_your_profile'}">
					{phrase var='music.add_to_profile'}
				</a>
			</li>
			<li {if !$aSong.is_on_profile}style="display:none;" {/if}id="js_music_profile_remove_{$aSong.song_id}">
				<a href="#" onclick="$.ajaxCall('music.userProfile', 'id={$aSong.song_id}&amp;type=0'); return false;" title="{phrase var='music.remove_this_song_from_your_profile'}">
					{phrase var='music.remove_from_profile'}
				</a>
			</li>
			{/if}
			{if $aSong.view_id == 1 && Phpfox::getUserParam('music.can_approve_songs')}
				<li><a href="#" title="{phrase var='music.approve_this_song'}" onclick="$(this).parents('.js_song_parent:first').removeClass('row_moderate').find('.row_pending_link:first').html('Approved').fadeOut(5000); $.ajaxCall('music.approveSong', 'song_id={$aSong.song_id}'); $(this).parent().remove(); return false;">{phrase var='music.approve'}</a></li>
			{/if}		
			{if $aSong.view_id == 0 && Phpfox::getUserParam('music.can_feature_songs')}
				<li><a id="js_feature_{$aSong.song_id}"{if $aSong.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.feature_this_song'}" onclick="$(this).hide(); $('#js_unfeature_{$aSong.song_id}').show(); $(this).parents('.js_song_parent:first').addClass('row_featured').find('.js_featured_song').show(); $.ajaxCall('music.featureSong', 'song_id={$aSong.song_id}&amp;type=1'); return false;">{phrase var='music.feature'}</a></li>
				<li><a id="js_unfeature_{$aSong.song_id}"{if !$aSong.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.un_feature_this_song'}" onclick="$(this).hide(); $('#js_feature_{$aSong.song_id}').show(); $(this).parents('.js_song_parent:first').removeClass('row_featured').find('.js_featured_song').hide(); $.ajaxCall('music.featureSong', 'song_id={$aSong.song_id}&amp;type=0'); return false;">{phrase var='music.unfeature'}</a></li>
			{/if}



	{if Phpfox::getUserParam('music.can_sponsor_song')}
	    <li>
		<span id="js_sponsor_{$aSong.song_id}" class="" style="{if $aSong.is_sponsor != 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aSong.song_id}').hide();$('#js_unsponsor_{$aSong.song_id}').show();$.ajaxCall('music.sponsorSong','song_id={$aSong.song_id}&type=0'); return false;">
			{phrase var='music.unsponsor_this_song'}
		    </a>
		</span>
		<span id="js_unsponsor_{$aSong.song_id}" class="" style="{if $aSong.is_sponsor == 1}display:none;{/if}">
		    <a href="#" onclick="$('#js_sponsor_{$aSong.song_id}').show();$('#js_unsponsor_{$aSong.song_id}').hide();$.ajaxCall('music.sponsorSong','song_id={$aSong.song_id}&type=1'); return false;">
			{phrase var='music.sponsor_this_song'}
		    </a>
		</span>
	    </li>
	{elseif Phpfox::getUserParam('music.can_purchase_sponsor_song')
	    && $aSong.user_id == Phpfox::getUserId()
	    && $aSong.song_is_sponsor != 1}
	    <li>
		<a href="{url link='ad.sponsor' module='music-song' id=$aSong.song_id}">
			{phrase var='music.sponsor_this_song'}
		</a>
	    </li>
	{/if}
	{plugin call='music.template_block_menu'}
	</ul>
</div>