<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: song.html.php 1388 2010-01-11 20:17:18Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aSongs)}
{if defined('PHPFOX_IN_DESIGN_MODE')}
<div class="extra_info">
	{phrase var='music.cannot_display_player_while_designing_your_profile'}
</div>
{else}
<div class="p_4">
<div id="{if $bIsMusician}js_music_player{else}js_music_favorite_player{/if}" style="height:25px; width:100%; display:none;"></div>
<div class="label_flow" style="height:120px;">
{foreach from=$aSongs name=songs item=aSong}
	{template file='music.block.entry'}
{/foreach}
</div>
</div>
{/if}
{else}
<div class="extra_info">
{if $bIsMusician}	
	{phrase var='music.no_songs_uploaded_yet'}
	<ul class="action">
		<li><a href="{url link='music.upload'}">{phrase var='music.click_here_to_upload'}</a></li>
	</ul>	
{else}
	{phrase var='music.no_songs_added_yet'}
	<ul class="action">
		<li><a href="{url link='music'}">{phrase var='music.click_here_to_find_songs'}</a></li>
	</ul>	
{/if}
</div>
{/if}