<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: album.html.php 1586 2010-05-17 17:10:46Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aAlbums)}
{foreach from=$aAlbums name=albums item=aAlbum}
<div id="js_album_{$aAlbum.album_id}" class="js_album_parent {if $aAlbum.is_sponsor}row_sponsored {/if}{if $aAlbum.is_featured}row_featured {/if}{if $aAlbum.view_id == 1}row_moderate {/if}{if is_int($phpfox.iteration.albums/2)}row1{else}row2{/if}{if $phpfox.iteration.albums == 1} row_first{/if}">
	<div class="music_album_info">
		<a href="{url link=''$aAlbum.user_name'.music.'$aAlbum.name_url''}">{$aAlbum.name|clean}</a>
		<div class="extra_info">
			<strong>{$aAlbum.full_name|clean}</strong>
			<div style="margin-top:8px; font-size:8pt;">
				{$aAlbum.total_play} {phrase var='music.album_plays_count'}<br />
				{phrase var='music.released'}: {$aAlbum.year}<br />
				{phrase var='music.total_tracks' total=$aAlbum.total_track}
			</div>
		</div>		
	</div>
	<div class="music_album_image">
		<a href="{url link=''$aAlbum.user_name'.music.'$aAlbum.name_url''}">{img server_id=$aAlbum.server_id path='music.url_image' file=$aAlbum.image_path suffix='_120' max_width='120' max_height='120'}</a>
	</div>
	<div class="t_right">
		<ul class="item_menu" style="margin:0px;">
			{if $aAlbum.view_id == 0 && Phpfox::getUserParam('music.can_feature_music_albums')}
				<li><a id="js_feature_{$aAlbum.album_id}"{if $aAlbum.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.feature_this_album'}" onclick="$(this).hide(); $('#js_unfeature_{$aAlbum.album_id}').show(); $(this).parents('.js_album_parent:first').addClass('row_featured').find('.js_featured_album').show(); $.ajaxCall('music.featureAlbum', 'album_id={$aAlbum.album_id}&amp;type=1'); return false;">{phrase var='music.feature'}</a></li>
				<li><a id="js_unfeature_{$aAlbum.album_id}"{if !$aAlbum.is_featured} style="display:none;"{/if} href="#" title="{phrase var='music.un_feature_this_album'}" onclick="$(this).hide(); $('#js_feature_{$aAlbum.album_id}').show(); $(this).parents('.js_album_parent:first').removeClass('row_featured').find('.js_featured_album').hide(); $.ajaxCall('music.featureAlbum', 'album_id={$aAlbum.album_id}&amp;type=0'); return false;">{phrase var='music.unfeature'}</a></li>
			{/if}
			{if Phpfox::getUserParam('music.can_sponsor_album')}
			    <li>
				<span id="js_sponsor_album_{$aAlbum.album_id}">
				    {if $aAlbum.is_sponsor}
					<a href="#" title="{phrase var='music.unsponsor_this_album'}" onclick="$.ajaxCall('music.sponsorAlbum', 'album_id={$aAlbum.album_id}&amp;type=0'); return false;">
					    {phrase var='music.unsponsor_this_album'}
					</a>
				    {else}
					<a href="#" title="{phrase var='music.sponsor_this_album'}" onclick="$.ajaxCall('music.sponsorAlbum', 'album_id={$aAlbum.album_id}&amp;type=1'); return false;">
					    {phrase var='music.sponsor_this_album'}
					</a>
				    {/if}
				</span>
			    </li>
			{/if}
		</ul>
	</div>
</div>
{/foreach}
{pager}
{else}
<div class="extra_info">
	{phrase var='music.no_albums_found'}
</div>
{/if}