<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Music
 * @version 		$Id: index.html.php 1245 2009-11-02 16:10:29Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if $iSongApproveCnt}
<div class="message">
{if $iSongApproveCnt == 1}
	{phrase var='music.there_is_one_song_that_is_pending_approval'}
{else}
	{phrase var='music.there_are_total_songs_that_are_pending_approval' total=$iSongApproveCnt}
{/if}
	<a href="{url link='music.browse.song' view='pending'}">{phrase var='music.click_here_to_approve_songs'}</a>
</div>
{/if}

{if count($aUsers)}
{foreach from=$aUsers name=users item=aUser}
<div class="go_left" style="width:45%;">
	<div class="{if is_int($phpfox.iteration.users/2)}row1{else}row2{/if}{if $phpfox.iteration.users == 1 || $phpfox.iteration.users == 2} row_first{/if}">
		<div style="position:absolute;">
			{img user=$aUser max_width=75 max_height=75}
		</div>
		<div style="margin-left:80px; height:80px;">		
			{$aUser|user}
			{if isset($aUser.genres)}
			<div class="extra_info">
			{foreach from=$aUser.genres name=genres item=aGenre}
			{if $phpfox.iteration.genres != 1}/ {/if}{$aGenre.name|clean}
			{/foreach}
			</div>
			{/if}
			<div class="extra_info">
				{$aUser.country_iso|location}
			</div>
		</div>
	</div>
</div>
{if is_int($phpfox.iteration.users/2)}
	<div class="clear"></div>
{/if}
{/foreach}
<div class="clear"></div>
{pager}
{else}
<div class="extra_info">
	{if $bSearch}
	{phrase var='music.no_musicians_found'}
	{else}
	{phrase var='music.no_musicians_have_joined'}
	<ul class="action">
		<li><a href="{url link='music.register'}">{phrase var='music.join_now_if_you_are_a_musician'}</a></li>
	</ul>	
	{/if}	
</div>
{/if}