<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox_Ajax
 * @version 		$Id: ajax.class.php 100 2009-01-26 15:15:26Z Raymond_Benc $
 */
class Notification_Component_Ajax_Ajax extends Phpfox_Ajax
{	
	public function update()
	{
		Phpfox::isUser(true);
		Phpfox::getBlock('notification.link');
		$this->html('#js_notification_popup', $this->getContent(false))->call('Phpfox.notification.update();');
		if (Phpfox::isModule('mail') && Phpfox::getParam('mail.display_total_mail_count') && Phpfox::getUserBy('mail_new') > 0)
		{
			$this->call('if (!$(\'#js_new_message\').hasClass(\'js_new_message\')) { $(\'#js_new_message\').addClass(\'js_new_message\'); }')->html('#js_new_message', Phpfox::getUserBy('mail_new'));
		}
	}
	
	public function updateSeen()
	{
		Phpfox::isUser(true);
		$sIds = $this->get('id');
		if (!empty($sIds) && Phpfox::getLib('parse.format')->isSerialized($sIds))
		{
			foreach (unserialize($sIds) as $iId)
			{
				Phpfox::getService('notification.process')->updateSeen($iId);
			}		
		}
	}
	
	public function hide()
	{
		Phpfox::isUser(true);
		if (Phpfox::getService('notification.process')->hide($this->get('id')))
		{
			$this->remove('.js_notification_id_' . $this->get('id'))->call('if (!$(\'#js_block_border_notification_feed\').html().match(/js_notification_id_/)) { $(\'#js_block_border_notification_feed\').hide(); $(\'#js_notification_over_flow\').html(\'<div class="extra_info">'.Phpfox::getPhrase('notification.no_new_notifications').'</div>\'); $(\'#js_notification_seen_id\').html(\'\'); }');
		}
	}
}

?>