<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: form-album.html.php 1354 2009-12-22 20:56:48Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
	<div class="table">
		<div class="table_left">
		{required}{phrase var='photo.name'}:
		</div>
		<div class="table_right">
			<input type="text" name="val[name]" id="name" value="{value type='input' id='name'}" size="30" maxlength="150" />	
		</div>
		<div class="clear"></div>
	</div>
	<div class="table">
		<div class="table_left">
			{phrase var='photo.description'}:
		</div>
		<div class="table_right">
			<textarea name="val[description]" id="description" cols="40" rows="5">{value type='textarea' id='description'}</textarea>
		</div>
		<div class="clear"></div>
	</div>
	{if Phpfox::getUserParam('photo.can_use_privacy_settings')}
	<div class="table">
		<div class="table_left">
			{required}{phrase var='photo.privacy'}:
		</div>
		<div class="table_right">
			<select name="val[privacy]" id="privacy"{if (!isset($aForms.album_id)) || (isset($aForms.album_id) && $aForms.user_id == Phpfox::getUserId())} onchange="if (this.value == '3'){literal}{ Phpfox.getFriends({input: 'allow_list'}); }{/literal}" style="width:400px;"{/if}>
				<option value="0"{value type='select' id='privacy' default='0'}>{phrase var='photo.public_this_album_will_be_added_to_our_public_photo_album_section'}</option>
				<option value="1"{value type='select' id='privacy' default='1'}>{phrase var='photo.personal_this_album_will_only_be_displayed_on_your_profile'}</option>
				<option value="2"{value type='select' id='privacy' default='2'}>{phrase var='photo.friends_only_you_and_your_friends_can_view_this_album'}</option>
				<option value="3"{value type='select' id='privacy' default='3'}>{phrase var='photo.preferred_list_only_you_and_the_members_you_select_can_view_this_album'}</option>
			</select>
			{if (!isset($aForms.album_id)) || (isset($aForms.album_id) && $aForms.user_id == Phpfox::getUserId())}
			<div style="width:400px; margin-top:5px;{if !isset($aForms.album_id)} display:none;{else}{if isset($aForms.album_id) && $aForms.privacy != 3} display:none;{/if}{/if}" id="js_allow_list_input">
				{if isset($aForms.album_id)}{module name='privacy.list' type='photo_album' id=$aForms.album_id input='allow_list'}{else}{module name='privacy.list' type='photo_album' input='allow_list'}{/if}
			</div>
			{/if}
		</div>
		<div class="clear"></div>
	</div>		
	{/if}
	{if Phpfox::getUserParam('photo.can_password_protect_albums')}
	<div class="table">
		<div class="table_left">
			{phrase var='photo.password_protect'}:
		</div>
		<div class="table_right">
			<input type="text" name="val[password]" value="{value type='input' id='password'}" size="20" maxlength="20" />
		</div>
		<div class="clear"></div>
	</div>
	{/if}