<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: form.html.php 1305 2009-12-08 02:51:17Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
		{if !isset($bGlobalSetting)}
		{if isset($aImage.view_id) && $aImage.view_id == 1}
		<div class="message" style="width:85%;">
			{phrase var='photo.image_is_pending_approval'}
		</div>
		{/if}
		<div class="table">
			<div class="table_left">
				<label for="title">{phrase var='photo.title'}</label>:
			</div>
			<div class="table_right">
				<input type="text" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[title]" value="{if isset($aImage.title)}{$aImage.title|clean}{else}{value type='input' id='title'}{/if}" size="30" maxlength="150" onfocus="this.select();" />
			</div>			
		</div>
		<div class="table">
			<div class="table_left">
				{phrase var='photo.description'}:
			</div>
			<div class="table_right">
				<textarea cols="30" rows="4" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[description]">{value type='textarea' id='description'}</textarea>
			</div>			
		</div>			
		{/if}
		{if (isset($bGlobalSetting) && $aImages.0.album_id == 0) || (!isset($bGlobalSetting) && isset($aImage.album_id) && $aImage.album_id == 0) || (isset($aForms.album_id) && $aForms.album_id == 0)}
		<div class="table">
			<div class="table_left">
				{phrase var='photo.category'}:
			</div>
			<div class="table_right">
				{if isset($aImage.photo_id)}<div class="js_photo_item_id" style="display:none;">{$aImage.photo_id}</div>{/if}				
				{if isset($aForms.category_list)}<div class="js_photo_active_items" style="display:none;">{$aForms.category_list}</div>{/if}
				{module name='photo.drop-down'}
			</div>			
		</div>	
		{/if}
		{if Phpfox::getUserParam('photo.can_add_mature_images')}
		<div class="table">
			<div class="table_left">
				{phrase var='photo.mature_content'}:
			</div>
			<div class="table_right">
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[mature]" value="2" style="vertical-align:middle;" class="checkbox"{value type='radio' id='mature' default='2'}/> {phrase var='photo.yes_strict'}</label>
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[mature]" value="1" style="vertical-align:middle;" class="checkbox"{value type='radio' id='mature' default='1'}/> {phrase var='photo.yes_warning'}</label>
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[mature]" value="0" style="vertical-align:middle;" class="checkbox"{value type='radio' id='mature' default='0' selected=true}/> {phrase var='photo.no'}</label>
			</div>			
		</div>
		{/if}
		{if Phpfox::getUserParam('photo.can_control_comments_on_photos')}
		<div class="table">
			<div class="table_left">
				{phrase var='photo.discussion'}:
			</div>
			<div class="table_right">
				<select name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[allow_comment]">					
           			<option value="0"{value type='select' id='allow_comment' default='0'}>{phrase var='photo.allow_comments_default'}</option>
           			<option value="1"{value type='select' id='allow_comment' default='1'}>{phrase var='photo.encourage_advanced_critique'}</option>
           			<option value="3"{value type='select' id='allow_comment' default='3'}>{phrase var='photo.discourage_criticism'}</option>
           			<option value="2"{value type='select' id='allow_comment' default='2'}>{phrase var='photo.moderate_comments_first'}</option>
           			<option value="4"{value type='select' id='allow_comment' default='4'}>{phrase var='photo.disable_comments'}</option>
				</select>
			</div>			
		</div>
		{/if}
		{if Phpfox::getParam('photo.can_rate_on_photos') && Phpfox::getUserParam('photo.can_add_to_rating_module')}
		<div class="table js_public_rating">
			<div class="table_left">
				{phrase var='photo.public_rating'}:
			</div>
			<div class="table_right">
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[allow_rate]" value="1" style="vertical-align:middle;" class="checkbox"{value type='radio' id='allow_rate' default='1' selected=true}/> {phrase var='photo.yes'}</label>
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[allow_rate]" value="0" style="vertical-align:middle;" class="checkbox"{value type='radio' id='allow_rate' default='0'}/> {phrase var='photo.no'}</label>				
			</div>
		</div>
		{/if}
		{if Phpfox::isModule('tag') && Phpfox::getUserParam('photo.can_add_tags_on_photos')}{if isset($aImage.photo_id)}{module name='tag.add' sType='photo' separate=false id=$aImage.photo_id}{else}{module name='tag.add' sType='photo' separate=false}{/if}{/if}
		<div class="table">
			<div class="table_left">
				{phrase var='photo.download_enabled'}:
			</div>
			<div class="table_right">
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[allow_download]" value="1" style="vertical-align:middle;" class="checkbox"{value type='radio' id='allow_download' default='1' selected=true}/> {phrase var='photo.yes'}</label>
				<label><input type="radio" name="val{if isset($aImage.photo_id)}[{$aImage.photo_id}]{/if}[allow_download]" value="0" style="vertical-align:middle;" class="checkbox"{value type='radio' id='allow_download' default='0'}/> {phrase var='photo.no'}</label>
				<div class="extra_info">
					{if isset($bGlobalSetting)}
					{phrase var='photo.enabling_this_option_will_allow_others_the_rights_to_download_this_photo'}
					{else}
					{phrase var='photo.enabling_this_option_will_allow_others_the_rights_to_download_these_photos'}
					{/if}
				</div>				
			</div>
		</div>				