<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: menu.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="js_current_photo_url" style="display:none;">
	{url link='current'}
</div>
<div id="menu">
	<ul>		
		<li><a href="{if $aCallback === null}{url link=''$sUserName'.photo.'$sAlbumUrl'.'$sPhotoUrl'.all'}{else}{url link=''$aCallback.url_home'.view.'$sPhotoUrl'.all'}{/if}" class="first">{phrase var='photo.view_all_sizes'}</a></li>
		{if Phpfox::isModule('share')}
			{module name='share.link' type='photo' display='menu' url=$sBookmarkUrl title=$sPhotoTitle}			
		{/if}
		{if Phpfox::isModule('report')}
			{if $aForms.user_id != Phpfox::getUserId() && ($aForms.privacy == 0 || $aForms.privacy == 1)}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=photo&amp;id={$aForms.photo_id}" class="inlinePopup" title="{phrase var='photo.report_a_photo'}">{phrase var='photo.report'}</a></li>{/if}
		{/if}			
		{if Phpfox::isModule('favorite')}
			{if ($aForms.privacy == 0 || $aForms.privacy == 1)}<li><a href="#?call=favorite.add&amp;height=100&amp;width=400&amp;type=photo&amp;id={$aForms.photo_id}" class="inlinePopup" title="{phrase var='photo.add_to_your_favorites'}">{phrase var='photo.add_to_favorites'}</a></li>{/if}
		{/if}
		{if $aForms.allow_download}
		<li><a href="{url link=''$sUserName'.photo.'$sAlbumUrl'.'$sPhotoUrl'.download'}">{phrase var='photo.download'}</a></li>
		{/if}
		{if (Phpfox::getUserParam('photo.can_edit_own_photo') && $aForms.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('photo.can_edit_other_photo')}
		<li><a href="#" onclick="$.ajaxCall('photo.editPhoto', 'photo_id={$aForms.photo_id}'); $('#js_tag_photo').hide();return false;">{phrase var='photo.edit_this_photo'}</a></li>
		{/if}
		<li><a href="{if $aCallback === null}{url link='photo.upload' album=$iAlbumId}{else}{url link='photo.upload' module='group' item=$aCallback.group_id}{/if}">{phrase var='photo.upload_a_new_image'}</a></li>
		{if (Phpfox::getUserParam('photo.can_delete_own_photo') && $aForms.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('photo.can_delete_other_photos')}
		<li><a href="{if $aCallback === null}{url link='photo' delete=$aForms.photo_id}{else}{url link=$aCallback.url_home delete=$aForms.photo_id}{/if}" class="sJsConfirm">{phrase var='photo.delete_this_photo'}</a></li>
		{/if}
		{if (Phpfox::getUserParam('photo.can_edit_own_photo') && $aForms.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('photo.can_edit_other_photo')}
		<li><a href="#" onclick="$('#menu').remove(); $('#noteform').hide(); $('#js_photo_view_image').imgAreaSelect({left_curly} hide: true {right_curly}); $('#js_photo_view_holder').hide(); $('#js_photo_view_holder_process').html($.ajaxProcess('', 'large')).height($('#js_photo_view_holder').height()).show(); $.ajaxCall('photo.rotate', 'photo_id={$aForms.photo_id}&amp;photo_cmd=right'); return false;">{phrase var='photo.rotate_right'}</a></li>
		<li><a href="#" onclick="$('#menu').remove(); $('#noteform').hide(); $('#js_photo_view_image').imgAreaSelect({left_curly} hide: true {right_curly}); $('#js_photo_view_holder').hide(); $('#js_photo_view_holder_process').html($.ajaxProcess('', 'large')).height($('#js_photo_view_holder').height()).show(); $.ajaxCall('photo.rotate', 'photo_id={$aForms.photo_id}&amp;photo_cmd=left'); return false;">{phrase var='photo.rotate_left'}</a></li>
		{/if}
		{if (Phpfox::getUserParam('photo.can_tag_own_photo') && $aForms.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('photo.can_tag_other_photos')}
		<li><a href="#" id="js_tag_photo">{phrase var='photo.tag_this_photo'}</a></li>
		{/if}
		{if Phpfox::isUser() && Phpfox::getParam('photo.can_rate_on_photos') && $aForms.allow_rate == 1 && $aForms.privacy == 0 && $aForms.group_id == 0}
		<li><a href="{url link='photo.rate' id=$aForms.photo_id}">{phrase var='photo.rate_this_image'}</a></li>
		{/if}

		{if Phpfox::getUserParam('photo.can_sponsor_photo') && !defined('PHPFOX_IS_GROUP_VIEW')}
		<li>		     
			<span id="js_sponsor_{$aForms.photo_id}" class="" style="{if $aForms.is_sponsor}display:none;{/if}">
			    <a href="#" onclick="$('#js_sponsor_{$aForms.photo_id}').hide();$('#js_unsponsor_{$aForms.photo_id}').show();$.ajaxCall('photo.sponsor','photo_id={$aForms.photo_id}&type=1'); return false;">
				{phrase var='photo.sponsor_this_photo'}
			    </a>
			</span>
		    
			<span id="js_unsponsor_{$aForms.photo_id}" class="" style="{if $aForms.is_sponsor != 1}display:none;{/if}">
			    <a href="#" onclick="$('#js_sponsor_{$aForms.photo_id}').show();$('#js_unsponsor_{$aForms.photo_id}').hide();$.ajaxCall('photo.sponsor','photo_id={$aForms.photo_id}&type=0'); return false;">
				{phrase var='photo.unsponsor_this_photo'}
			    </a>
			</span>
		</li>
		{elseif Phpfox::getUserParam('photo.can_purchase_sponsor')  && !defined('PHPFOX_IS_GROUP_VIEW')
		    && $aForms.user_id == Phpfox::getUserId()
		    && $aForms.is_sponsor != 1}
		    <li>
			<a href="{url link='ad.sponsor' module='photo' id=$aForms.photo_id}">
				{phrase var='photo.sponsor_this_photo'}
			</a>
		    </li>
		{/if}
		{plugin call='photo.template_block_menu'}
	</ul>
</div>