<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: album.html.php 2216 2010-11-29 10:29:58Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div class="main_break"></div>
{if !PHPFOX_IS_AJAX}
{if (Phpfox::getUserId() == $aUser.user_id && Phpfox::getUserParam('photo.can_delete_own_photo_album')) || Phpfox::getUserParam('photo.can_delete_other_photo_albums')}
<div style="display:none;" id="js_album_delete_form">
	<form method="post" action="{url link='current'}">
	<div><input type="hidden" name="delete" value="{$aForms.album_id}" /></div>
		{phrase var='photo.are_you_sure_you_want_to_delete_this_album_and_all_the_pictures_that_belong_to_it'}
		<div class="extra_info">
			{phrase var='photo.note_that_this_cannot_be_undone'}
		</div>
		<div class="p_4">
			<input type="submit" value="{phrase var='photo.yes'}" class="button" />
			<input type="button" value="{phrase var='photo.no'}" class="button" id="js_cancel_photo_delete" />
		</div>		
	</form>
</div>
{/if}
<div style="display:none;" id="js_photo_edit_form_outer">
	<form method="post" action="{url link='current'}" onsubmit="$(this).ajaxCall('photo.updatePhoto'); $('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); return false;">
		<div id="js_photo_edit_form"></div>
		<div class="table_clear">
			<input type="submit" value="{phrase var='photo.update_photo'}" class="button" /> - <a href="#" id="js_cancel_photo_edit">{phrase var='photo.cancel'}</a>
		</div>
	</form>
</div>
{if (Phpfox::getUserId() == $aUser.user_id && Phpfox::getUserParam('photo.can_edit_own_photo_album')) || Phpfox::getUserParam('photo.can_edit_other_photo_albums')}
<div style="display:none;" id="js_album_edit_form">
	<form method="post" action="{url link='current'}" id="js_update_album_form">
		<div><input type="hidden" name="val[album_id]" value="{$aForms.album_id}" /></div>
		{template file='photo.block.form-album'}
		<div class="table_clear">
			<input type="submit" value="{phrase var='photo.update_album'}" class="button" /> <span id="js_updating_album"> - <a href="#" id="js_album_cancel_edit">{phrase var='photo.cancel'}</a></span>
		</div>
	</form>
</div>
{/if}
<div id="js_album_outer_content">	
{/if}
{if !empty($aForms.password) && $aForms.user_id != Phpfox::getUserId() && !Phpfox::getUserParam('photo.can_view_private_photos') && (!Phpfox::getLib('session')->get('photo_password_' . $aForms.album_id))}
	<p>{phrase var='photo.this_photo_album_is_password_protected'}</p>
	<form method="post" action="{url link='current'}">
		<label>{phrase var='photo.enter_password'}: <input type="text" name="album_password" value="" size="30" /> <input type="submit" value="{phrase var='photo.submit'}" class="button" style="vertical-align:top;" /></label>
	</form>	
{else}
	<div id="js_album_content">
		{template file='photo.block.photo-entry'}
	</div>
	{if !PHPFOX_IS_AJAX}	
		<div class="main_break"></div>
		{if !empty($aForms.description)}<div class="separate"></div>{/if}
		<div id="js_album_description">
			{$aForms.description|clean}
		</div>		
	{/if}	
{/if}
</div>