<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: size.html.php 1174 2009-10-11 13:56:13Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<div id="content">
	<h1>
		{if $aCallback === null}
		{if !empty($aPhoto.album_id)}<a href="{url link=''$aUser.user_name'.photo.'$aPhoto.album_url''}">{$aPhoto.album_title}</a> &raquo; {/if}<a href="{url link=''$aUser.user_name'.photo.'$aPhoto.album_url'.'$aPhoto.title_url''}">{$aPhoto.title|clean}</a>
		{else}
		<a href="{url link=$aCallback.url_home}">{$aCallback.title|clean}</a> &raquo; <a href="{url link=''$aCallback.url_home'.view.'$aPhoto.title_url''}">{$aPhoto.title|clean}</a>
		{/if}
	</h1>
	<div class="main_break"></div>
	<div class="go_right">
		{if $aCallback === null}
		<a href="{url link=''$aUser.user_name'.photo'}">{phrase var='photo.b_back_b_to_full_name_s_photo_section' full_name=$aUser.full_name|first_name}</a>
		{else}
		<a href="{url link=$aCallback.url_home}">{phrase var='photo.b_back_b_to_title_s_photo_section' title=$aCallback.title|clean}</a>
		{/if}
	</div>
	{if $aCallback === null}
	{phrase var='photo.upload_by_user_info_on_time_stamp' user_info=$aUser|user time_stamp=$aPhoto.time_stamp|date:'core.global_update_time'}
	{else}
	
	{/if}
	<div class="main_break"></div>
	<br />	
	<div class="go_left" style="font-size:14pt; font-weight:bold;">{phrase var='photo.available_sizes'}:</div>
	{foreach from=$aSizes item=aSize}
		<div style="border-right:1px #ccc solid; width:90px; padding:0px; text-align:center; float:left;{if $iDefaultSize == $aSize.actual} background:#F6F6F6;{/if}">
				<a href="{url link='current' size=$aSize.actual}">{$aSize.width} x {$aSize.height}</a>
		</div>		
	{/foreach}	
	<div class="clear"></div>

	<div class="p_4">
		{if $aPhoto.allow_download}
		{if $aCallback === null}
			<a href="{url link=''$aUser.user_name'.photo.'$aPhoto.album_url'.'$aPhoto.title_url'.download' size=$iDefaultSize}" title="{phrase var='photo.download_this_image'}">
		{else}
			
		{/if}
		{/if}
	{if $iDefaultSize == 'full'}
		{img server_id=$aPhoto.server_id path='photo.url_photo' file=$aPhoto.destination}
	{else}
		{img server_id=$aPhoto.server_id path='photo.url_photo' file=$aPhoto.destination suffix='_'$iDefaultSize'' max_width=$iDefaultSize max_height=$iDefaultSize}
	{/if}
		{if $aPhoto.allow_download}</a>{/if}
	</div>	
	{if $aPhoto.allow_download}
	<h3>{phrase var='photo.photo_links'}</h3>
	
	<div class="table">
		<div class="table_left">
			{phrase var='photo.html_embed'}:
		</div>
		<div class="table_right">
			<textarea cols="60" rows="5" name="#" onfocus="this.select();">{if $aCallback === null}<a href="{url link=''$aUser.user_name'.photo.'$aPhoto.album_url'.'$aPhoto.title_url''}"><img src="{$sUrlPath}" alt="{phrase var='photo.title_by_full_name' title=$aPhoto.title|clean full_name=$aUser.full_name|clean}" /></a>{else}<a href="{url link=''$aCallback.url_home'.view.'$aPhoto.title_url''}"><img src="{$sUrlPath}" alt="{phrase var='photo.title_by_full_name' title=$aPhoto.title|clean full_name=$aUser.full_name|clean}" /></a>{/if}</textarea>
		</div>
		<div class="clear"></div>
	</div>
	
	<div class="table">
		<div class="table_left">
			{phrase var='photo.photo_path'}:
		</div>
		<div class="table_right">
			<input type="text" name="#" size="60" value="{$sUrlPath}" onfocus="this.select();" />
		</div>
		<div class="clear"></div>
	</div>	
	{/if}
</div>