<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Photo
 * @version 		$Id: view.html.php 2106 2010-11-09 16:52:03Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if isset($aForms.view_id) && $aForms.view_id == 1}
<div class="main_break"></div>
<div class="message">
	{phrase var='photo.image_is_pending_approval'}
</div>
{/if}
{if (Phpfox::getUserParam('photo.can_edit_own_photo') && $aForms.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('photo.can_edit_other_photo')}
<div style="display:none;" id="js_photo_edit_form_outer">
	<form method="post" onsubmit="$(this).ajaxCall('photo.updatePhoto'); $('#js_photo_edit_form_outer').html($.ajaxProcess('', 'large')); return false;">
		<div><input type="hidden" name="val[full_edit]" value="true" /></div>
		<div id="js_photo_edit_form"></div>
		<div class="table_clear">
			<input type="submit" value="{phrase var='photo.update_photo'}" class="button" /> - <a href="#" onclick="$('#js_photo_edit_form_outer').hide(); $('#js_album_outer_content').show(); $('#js_tag_photo').show(); return false;">{phrase var='photo.cancel'}</a>
		</div>
	</form>
</div>
{/if}
<div id="js_album_outer_content">
	<div class="item_info">
		{if $aForms.album_id}
			{phrase var='photo.in'} <a href="{url link=''$aUser.user_name'.photo.'$aForms.album_url''}">{$aForms.album_title|clean|split:45|shorten:75:'...'}</a>
		{else}
			{phrase var='photo.by_lower'} {$aForms|user}
		{/if}
		{plugin call='photo.template_default_controller_view_title'}
	</div>
	<div class="t_center" id="js_photo_view_holder_process"></div>
	<div class="t_center" id="js_photo_view_holder">
	{if $aForms.user_id == Phpfox::getUserId()}
		{img id='js_photo_view_image' thickbox=true server_id=$aForms.server_id path='photo.url_photo' file=$aForms.destination suffix='_500' max_width=500 max_height=500 title=$aForms.title time_stamp=true}
	{else}
		{img id='js_photo_view_image' thickbox=true server_id=$aForms.server_id path='photo.url_photo' file=$aForms.destination suffix='_500' max_width=500 max_height=500 title=$aForms.title}
	{/if}
	</div>			
	{if $aForms.description}
	<p id="js_photo_description_{$aForms.photo_id}">
		{$aForms.description|clean}
	</p>
	{/if}
	
	<div class="extra_info" style="display:none;">
		<b>{phrase var='photo.in_this_photo'}:</b> <span id="js_photo_in_this_photo"></span>
	</div>
	
	{if Phpfox::isModule('tag') && isset($aForms.tag_list)}
	{module name='tag.item' sType='photo' sTags=$aForms.tag_list iItemId=$aForms.photo_id iUserId=$aForms.user_id}
	{/if}
	
	{module name='photo.stream'}
	{if ($aForms.allow_comment == '1' || $aForms.allow_comment == '3') && $aForms.user_id != Phpfox::getUserId()}
	<div class="message">
	{if $aForms.allow_comment == '1'}
		{phrase var='photo.advanced_critique_is_encouraged_when_commenting_on_this_photo'}
	{elseif $aForms.allow_comment == '3'}
		{phrase var='photo.criticism_is_discouraged_when_commenting_on_this_photo'}
	{/if}
	</div>
	{/if}
	{plugin call='photo.template_default_controller_view_extra_info'}
	{if Phpfox::isModule('comment') && $aForms.allow_comment != '4'}{module name='comment.display' sType='photo' iItemId=$aForms.photo_id iTotal=$aForms.total_comment}{/if}	
</div>