<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Poll
 * @version 		$Id: entry.html.php 2298 2011-02-07 15:41:02Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if isset($bIsViewingPoll) && isset($aPoll.image_path) && $aPoll.image_path != ''}
    <div class="item_view_photo">
	{img thickbox=true server_id=$aPoll.server_id title=$aPoll.question path='poll.url_image' file=$aPoll.image_path suffix=$sSuffix max_width='poll.poll_max_image_pic_size' max_height='poll.poll_max_image_pic_size'}
    </div>
{/if}	
			
{if isset($bIsViewingPoll)}
    <div class="item_info">
	{phrase var='poll.poll_created_on_time_stamp_by_user_info' time_stamp=$aPoll.time_stamp|date:'poll.poll_view_time_stamp' user_info=$aPoll|user}
    </div>
{/if}

{if isset($aPoll.view_id) && !isset($bDesign) && $aPoll.view_id == 1 && (!Phpfox::getUserParam('poll.poll_can_moderate_polls') || Phpfox::getUserId() == $aPoll.user_id)}
<div class="message">
	{phrase var='poll.this_poll_is_being_moderated_and_no_votes_can_be_added_until_it_has_been_approved'}
</div>	
{/if}

{if isset($aPoll)}
<div id="poll_holder_{$aPoll.poll_id}"{if !isset($bIsViewingPoll)} class="{if isset($aPoll.view_id) && (!isset($bDesign) && $aPoll.view_id == 1 && (Phpfox::getUserParam('poll.poll_can_moderate_polls') || ($aPoll.user_id == Phpfox::getUserId())))}row_moderate {/if}{if isset($bIsViewingPoll) || (isset($bDesign) && $bDesign)}row1 row_first{else}{if isset($phpfox.iteration.polls) && is_int($phpfox.iteration.polls/2)}row1{else}row2{/if}{if isset($phpfox.iteration.polls) && $phpfox.iteration.polls == 1} row_first{/if}{/if}"{/if}>
	
	<div class="vote_holder_{$aPoll.poll_id}">		
		
		{if !isset($bIsViewingPoll)}
		<div class="row_title">
			<div class="row_title_image">		
				{img user=$aPoll suffix='_50' max_width=50 max_height=50}								
			</div>
			<div class="row_title_info">
				<span id="poll_view_{$aPoll.poll_id}"><a href="{url link=""$aPoll.user_name".poll."$aPoll.question_url""}" id="poll_inner_title_{$aPoll.poll_id}" class="link">{$aPoll.question|clean}</a></span>		
				<div class="extra_info">
					{phrase var='poll.poll_created_on_time_stamp_by_user_info' time_stamp=$aPoll.time_stamp|date:'poll.poll_view_time_stamp' user_info=$aPoll|user}
				</div>			
			</div>	
		</div>
		{/if}				
			
			{if !isset($bIsViewingPoll) && isset($aPoll.image_path) && $aPoll.image_path != ''}
			<div style="position:absolute; right:0; margin-right:30px;">
				{img thickbox=true server_id=$aPoll.server_id title=$aPoll.question path='poll.url_image' file=$aPoll.image_path suffix=$sSuffix max_width='poll.poll_max_image_pic_size' max_height='poll.poll_max_image_pic_size'}
			</div>
			{/if}	
			<div id="js_poll_results_{$aPoll.poll_id}" class="p_4" style="margin-left:30px;">			
				{if isset($aPoll.view_id) && !isset($bDesign) && $aPoll.view_id == 1 && (!Phpfox::getUserParam('poll.poll_can_moderate_polls') || Phpfox::getUserId() == $aPoll.user_id)}
					
				{elseif (isset($aPoll.voted)) || (!Phpfox::getUserParam('poll.can_vote_in_own_poll') && ($aPoll.user_id == Phpfox::getUserId()))}
					{template file='poll.block.vote'}
				{else}
					<div id="vote_{$aPoll.poll_id}">				
						<form method="post" action="{url link='current'}" id="js_poll_form_{$aPoll.poll_id}">
							<div><input type="hidden" name="val[poll_id]" value="{$aPoll.poll_id}" /></div>
							{foreach from=$aPoll.answer item=answer}
							    {if !empty($answer.answer)}
								<div class="p_2">
									<label onclick="$('#js_submit_vote{if isset($iKey)}_{$iKey}{/if}').show(); $('.js_poll_answer{if isset($iKey)}_{$iKey}{/if}').attr('checked', false); $(this).find('.js_poll_answer{if isset($iKey)}_{$iKey}{/if}').attr('checked', true);">
										<input class="checkbox js_poll_answer{if isset($iKey)}_{$iKey}{/if}" type="radio" name="val[answer]" value="{$answer.answer_id}" style="vertical-align:middle;" /> 
										{$answer.answer|clean}
									</label>
								</div>
							    {/if}
							{/foreach}	
							<div class="p_4" id="js_submit_vote{if isset($iKey)}_{$iKey}{/if}" style="display:none;">
								<input type="button" value="{phrase var='poll.submit_your_vote'}" class="button" onclick="$('#js_poll_form_{$aPoll.poll_id}').ajaxCall('poll.addVote');return false;" /> - 
								<a href="#" onclick="$('#js_poll_form_{$aPoll.poll_id}')[0].reset(); $('#js_submit_vote{if isset($iKey)}_{$iKey}{/if}').hide(); return false;">{phrase var='poll.cancel'}</a>
							</div>
						</form>
					</div>
				{/if}
			</div>
			
			<div class="t_right">
				<ul class="item_menu">
					{if isset($aPoll.view_id) && ($aPoll.view_id == 1 && Phpfox::getUserParam('poll.poll_can_moderate_polls'))}
						<li class="js_poll_approve_link">
							<a {if isset($bIsViewingPoll)}href="{url link=''$aUser.user_name'.poll.'$aPoll.question_url'' moderate='approve'}" class="sJsConfirm"{else}href="#" onclick="approvePoll({$aPoll.poll_id}); return false;"{/if}>
								{phrase var='poll.approve'}
							</a>
						</li>
					{/if}				
					{if ($aPoll.bCanEdit)}
						{if !isset($bDesign) || $bDesign == false}
							<li>
								<a href="{url link='poll.add' id=$aPoll.poll_id}">
									{phrase var='poll.edit'}
								</a>	
							</li>
						{/if}
					{/if}
					{if !isset($bIsCustomPoll)}
					{if ((Phpfox::getUserParam('poll.poll_can_delete_own_polls') && $aPoll.user_id == Phpfox::getUserId())
						|| Phpfox::getUserParam('poll.poll_can_delete_others_polls'))}
						{if !isset($bDesign) || $bDesign == false}
							<li>
								<a {if isset($bIsViewingPoll)}href="{url link='poll' delete=$aPoll.poll_id}" class="sJsConfirm"{else}href="#" onclick="deletePoll({$aPoll.poll_id}); return false;"{/if}>
									{phrase var='poll.delete'}
								</a>
							</li>
						{/if}
					{/if}			
					{/if}
					{if Phpfox::isModule('report')}
						{if $aPoll.user_id != Phpfox::getUserId()}<li><a href="#?call=report.add&amp;height=210&amp;width=400&amp;type=poll&amp;id={$aPoll.poll_id}" class="inlinePopup" title="{phrase var='poll.report_this_poll'}">{phrase var='poll.report'}</a></li>{/if}
					{/if}	
					{if !isset($bDesign) && !isset($bIsViewingPoll) && $aPoll.total_votes > 0 && ((Phpfox::getUserParam('poll.can_view_user_poll_results_own_poll') && $aPoll.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('poll.can_view_user_poll_results_other_poll'))}	
						<li>
							<a href="{url link=''$aPoll.user_name'.poll.'$aPoll.question_url''}#votes">{phrase var='poll.votes_total_votes' total_votes=$aPoll.total_votes}</a>
						</li>
					{/if}
					{if isset($bIsCustomPoll)}
					{if $aPoll.total_votes > 0 && ((Phpfox::getUserParam('poll.can_view_user_poll_results_own_poll') && $aPoll.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('poll.can_view_user_poll_results_other_poll'))}
						{if !Phpfox::getUserParam('poll.can_view_hidden_poll_votes') && $aPoll.hide_vote == '1' && Phpfox::getUserId() != $aPoll.user_id}
						
						{else}
						<li>
							<a href="#" onclick="tb_show('{phrase var='poll.poll_results'}', $.ajaxBox('poll.pageVotes', 'height=310&amp;width=500&amp;title={$aPoll.question_url}')); return false;">{phrase var='poll.votes_total_votes' total_votes=$aPoll.total_votes}</a>
						</li>
						{/if}
					{/if}
					{else}
					{if !isset($bDesign) || $bDesign == false}
						<li>
							<a href="{url link=''$aPoll.user_name'.poll.'$aPoll.question_url''}#comment">{phrase var='poll.comments_total_comment' total_comment=$aPoll.total_comment}</a>
						</li>
					{/if}
					{/if}
				</ul>
			</div>
			
		{if !isset($bIsViewingPoll)}
			<div class="clear"></div>
		{/if}
	</div>
	
	{if !isset($bDesign) && isset($bIsViewingPoll) && $aPoll.total_votes > 0 && ((Phpfox::getUserParam('poll.can_view_user_poll_results_own_poll') && $aPoll.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('poll.can_view_user_poll_results_other_poll')) && isset($aPoll.results)}
	
		{if isset($aPoll.user_voted_this_poll) && ($aPoll.user_voted_this_poll == false && Phpfox::getUserParam('poll.view_poll_results_before_vote')) ||
			($aPoll.user_voted_this_poll == true && Phpfox::getUserParam('poll.view_poll_results_after_vote'))}
			{if !isset($bIsCustomPoll)}
			<div id="votes"><a name="votes"></a></div>
			<h3>{phrase var='poll.members_votes_total_votes' total_votes=$aPoll.total_votes}</h3>			
			{if !Phpfox::getUserParam('poll.can_view_hidden_poll_votes') && $aPoll.hide_vote == '1' && Phpfox::getUserId() != $aPoll.user_id}
			<div class="message">
				{phrase var='poll.votes_are_hidden_for_this_poll'}
			</div>
			{else}
			<div id="js_votes">
				{module name="poll.votes" page=0}
			</div>
			{/if}
			{/if}
		{/if}
	{/if}
	
	{if isset($bDesign) && $bDesign}
	<h3>{phrase var='poll.poll_designer'}</h3>
		<form action="{url link='poll.design' id=$aPoll.poll_id}" method="post">		
		<div><input type="hidden" name="val[js_poll_background]" id="js_colorpicker_drop_1" value="{$aPoll.background}" /></div>
		<div><input type="hidden" name="val[js_poll_percentage]" id="js_colorpicker_drop_2" value="{$aPoll.percentage}" /></div>
		<div><input type="hidden" name="val[js_poll_border]" id="js_colorpicker_drop_3" value="{$aPoll.border}" /></div>
		<div><input type="hidden" name="val[poll_id]" id="iPoll" value="{$aPoll.poll_id}" /></div>
		<div class="p_4" style="margin-left:30px;">
				<div class="table">
					<div class="table_left">
						{phrase var='poll.background'}:
					</div>
					<div class="table_right label_hover">
						<a href="#?var=backgroundColor&amp;class=js_sample_outer&amp;id=js_colorpicker_drop_1" {if isset($aPoll.background)} style="background-color:#{$aPoll.background};"{/if} class="colorpicker_select">{phrase var='poll.select_color'}</a>
					</div>
					<div class="clear"></div>
				</div>	
				
				<div class="table">
					<div class="table_left">
						{phrase var='poll.percent'}:
						</div>
					<div class="table_right label_hover">
						<a href="#?var=backgroundColor&amp;class=js_sample_percent&amp;id=js_colorpicker_drop_2" {if isset($aPoll.percentage)} style="background-color:#{$aPoll.percentage};"{/if} class="colorpicker_select" {if isset($aPoll.percentage)}style="#{$aPoll.percentage}"{/if}>{phrase var='poll.select_color'}</a>
					</div>
					<div class="clear"></div>
				</div>		
				
				<div class="table">
					<div class="table_left">
						{phrase var='poll.border'}:
					</div>
					<div class="table_right label_hover">
						<a href="#?var=borderColor&amp;class=js_sample_outer&amp;id=js_colorpicker_drop_3" {if isset($aPoll.border)} style="background-color:#{$aPoll.border};"{/if} class="colorpicker_select" {if isset($aPoll.border)}style="#{$aPoll.border}"{/if}>{phrase var='poll.select_color'}</a>
					</div>
					<div class="clear"></div>
				</div>		
				
				<div class="table_clear">
					<input type="submit" value="{phrase var='poll.save'}" class="button" /> -<a href="{url link='profile.poll.'$aPoll.question_url''}"/>{phrase var='poll.cancel'}</a>
				</div>
			</div>
		</form>
	{/if}	
</div>	
{/if}