<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Quiz
 * @version 		$Id: entry.html.php 2327 2011-03-09 13:08:11Z Miguel_Espinoza $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>

		{if isset($bIsViewingQuiz) && isset($aQuiz.image_path) && $aQuiz.image_path != ''}
			<div class="item_view_photo">
				{img thickbox=true server_id=$aQuiz.server_id title=$aQuiz.title_url path='quiz.url_image' file=$aQuiz.image_path suffix=$sSuffix max_width='quiz.quiz_max_image_pic_size' max_height='quiz.quiz_max_image_pic_size'}
			</div>
		{/if}
		
		{if isset($bIsViewingQuiz)}
		<div class="item_info">
			{phrase var='quiz.quiz_created_on_time_stamp_by_user_info' time_stamp=$aQuiz.time_stamp|date:'quiz.quiz_view_time_stamp' user_info=$aQuiz|user}
		</div>
		{/if}
		{if isset($bIsViewingQuiz)}
		{$aQuiz.description|parse}
		{/if}
<div id="js_quiz_{$aQuiz.quiz_id}" class="{if (isset($aQuiz.user_id) && $aQuiz.user_id == Phpfox::getUserId() && isset($aQuiz.view_id) && $aQuiz.view_id == 1) || (isset($aQuiz.view_id) && ( ($aQuiz.view_id == 1 && Phpfox::getUserParam('quiz.can_approve_quizzes'))))}row_moderate {/if}{if isset($phpfox.iteration.quizzes)} {if is_int($phpfox.iteration.quizzes/2)}row1{else}row2{/if}{if $phpfox.iteration.quizzes == 1} row_first{/if}{/if}">
	<div id="js_message_{$aQuiz.quiz_id}" style="display: none;"></div>
	{if !isset($bIsViewingQuiz)}
		<div class="row_title">
			<div class="row_title_image">
				{img user=$aQuiz suffix='_50' max_width=50 max_height=50}
			</div>
			<div class="row_title_info">
				<a href="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url""}" id="quiz_inner_title_{$aQuiz.quiz_id}" class="link">{$aQuiz.title|clean}</a>
					<div class="extra_info">
						{if isset($bIsViewingQuiz) && isset($aQuiz.view_id) && $aQuiz.view_id == 1}
							<div id="js_awaiting_moderation_{$aQuiz.quiz_id}" class="row_moderate">
								{phrase var='quiz.this_quiz_is_awaiting_moderation'}
							</div>
							<div class="row_moderate" id="js_quiz_created_{$aQuiz.quiz_id}">Created on {$aQuiz.time_stamp|date:'quiz.quiz_view_time_stamp'}.</div>
						{elseif isset($bIsViewingQuiz)}
							{phrase var='quiz.quiz_created_on_time_stamp' time_stamp=$aQuiz.time_stamp|date:'quiz.quiz_view_time_stamp'}
						{else}
							{phrase var='quiz.quiz_created_on_time_stamp_by_user_info' time_stamp=$aQuiz.time_stamp|date:'quiz.quiz_view_time_stamp' user_info=$aQuiz|user}
						{/if}		
					</div>					
			</div>		
		</div>
	{/if}			

		<div style="margin-left: 30px;">
		{if isset($bShowResults) && $bShowResults}		
			{template file='quiz.block.result'}
		{elseif isset($bShowUsers) && $bShowUsers}
			<h3>{phrase var='quiz.users_results'}</h3>
			{foreach from=$aQuiz.aTakenBy name=users item=aUser}
			<div{if isset($phpfox.iteration.results)} class="{if is_int($phpfox.iteration.results/2)}row1{else}row2{/if}{if $phpfox.iteration.results == 1} row_first{/if}"{/if}>
				<div style="width:55px; position:absolute;">
					{img user=$aUser.user_info suffix='_50' max_width=50 max_height=50}
				</div>
				<div class="p_2" style="margin-left:60px; height:55px;">
					<a href="{url link=""$aUser.user_info.user_name""}">{$aUser.user_info.user_name}</a> {if (Phpfox::getParam('quiz.show_percentage_in_results'))}{$aUser.iSuccessPercentage}%{else}{$aUser.total_correct}/{$aUser.iTotalCorrectAnswers}{/if}.
					<div class="t_right">
						<ul class="item_menu">
							<li><a href="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url".results/id_"$aUser.user_info.user_id""}" id="quiz_inner_title_{$aQuiz.quiz_id}">{phrase var='quiz.view'}</a></li>
						</ul>
					</div>
				</div>
			</div>
			{foreachelse}<div class="t_left">{phrase var='quiz.be_the_first_to_answer_this_quiz'}</div>
			{/foreach}
		{else}
			{if isset($bIsViewingQuiz)}
				{if isset($aQuiz.question)}
				<form name="js_form_answer" method="post" action="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url""}answer"/>
					<div class="p_4" style="margin-top:10px;">
						{foreach from=$aQuiz.question key=iQuestionId name=questions item=aQuestion}
							<b>{$phpfox.iteration.questions}.</b> {$aQuestion.question}
							<div class="p_4" style="margin-left:30px;">
								{foreach from=$aQuestion.answer key=iAnswerId name=answers item=sAnswer}
									<div class="p_2">
										<label><input class="checkbox" name="val[answer][{$iQuestionId}]" value="{$iAnswerId}" style="vertical-align: middle;" type="radio"> {$sAnswer}</label>
									</div>
								{/foreach}
							</div>
						{/foreach}
					</div>
					{if isset($aQuiz.view_id) && $aQuiz.view_id != 1}
						<input type="submit" value="{phrase var='quiz.submit_your_answers'}" class="button" />
					{/if}
				</form>
				{/if}
			{/if}
		{/if}
	</div>
		<div class="t_right">
			<ul class="item_menu moderation_block_{$aQuiz.quiz_id}">
			{if Phpfox::getUserParam('quiz.can_approve_quizzes') && ($aQuiz.view_id == 1)}
			<li><a id="js_approve" href="#" onclick="$(this).parent().remove(); Phpfox.quiz_moderate.approve({$aQuiz.quiz_id},{$aQuiz.user_id},'{$aQuiz.title|clean_phrase}')">{phrase var='quiz.approve'}</a></li>
			{/if}
			{if Phpfox::getUserParam('quiz.can_delete_others_quizzes') || ( ($aQuiz.user_id == Phpfox::getUserId()) && Phpfox::getUserParam('quiz.can_delete_own_quiz') )}
				<li><a href="#" onclick="return Phpfox.quiz_moderate.deleteQuiz({$aQuiz.quiz_id}, '{if isset($bIsViewingQuiz) && $bIsViewingQuiz}viewing{else}browsing{/if}')">{phrase var='quiz.delete'}</a></li>
				{/if}
			{if ($aQuiz.user_id == Phpfox::getUserId())}
				<li><a href="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url""}results/"">{phrase var='quiz.results'}</a></li>
			{/if}
			{if isset($bShowResults) && !$bIsViewingQuiz}
				<li><a href="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url""}""">{phrase var='quiz.view'}</a></li>
			{/if}
			{if isset($bCanTakeQuiz) && $bCanTakeQuiz && !isset($aQuiz.question)}
				<li><a href="{url link=""$aQuiz.user_name".quiz."$aQuiz.title_url""}take/">{phrase var='quiz.take'}</a></li>
			{/if}
			{if ( (Phpfox::getUserId() == $aQuiz.user_id && (Phpfox::getUserParam('quiz.can_edit_own_questions') || Phpfox::getUserParam('quiz.can_edit_own_title'))) ||
					(Phpfox::getUserId() != $aQuiz.user_id && (Phpfox::getUserParam('quiz.can_edit_others_questions') || Phpfox::getUserParam('quiz.can_edit_others_title'))))}
				<li><a href="{url link='quiz.add' id=$aQuiz.quiz_id}">{phrase var='quiz.edit'}</a></li>
			{/if}
			</ul>
			<div class="clear"></div>
		</div>		
		
</div>

	{if (isset($bShowInputComment) && $bShowInputComment == true)&& Phpfox::isModule('comment') && ($aQuiz.allow_comment == 1 || $aQuiz.allow_comment == 2)}
	<div id="js_comment_module">
		{module name='comment.display' sItemUserName=$aQuiz.user_name sType=quiz iItemId=$aQuiz.quiz_id iTotal=$aQuiz.total_comment iItemUser=$aQuiz.user_id}
	</div>
	{/if}		