<?php 
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: add.html.php 1179 2009-10-12 13:56:40Z Raymond_Benc $
 */

defined('PHPFOX') or exit('NO DICE!'); 
?>

{$sCreateJs}

<div class="main_break"></div>
<div style="display:none;" id="hiddenQuestion">
	<div id="js_quiz_layout_default">
		{template file="quiz.block.question"}
	</div>
</div>
<form method="post" action="{$sFormAction}" id="js_form" name="js_form" {if $bShowTitle}onsubmit="{$sGetJsForm}"{/if} {if Phpfox::getUserParam('quiz.can_upload_picture')}enctype="multipart/form-data"{/if}>
	  {if isset($aQuiz.quiz_id)}
	  <input type="hidden" name="val[quiz_id]"  value="{$aQuiz.quiz_id}" />
	{/if}
	{if !$bShowTitle}<div style="display:none;">{/if}
		<div class="table">
			<div class="table_left">
				{phrase var='quiz.title'}:
			</div>
			<div class="table_right">
				{if isset($aQuiz.title) && ( ($aQuiz.user_id == Phpfox::getUserId() && Phpfox::getUserParam('quiz.can_edit_own_title')) ||
				($aQuiz.user_id != Phpfox::getUserId() && Phpfox::getUserParam('quiz.can_edit_others_title')))}
				<input type="text" name="val[title]" value="{$aQuiz.title}" id="title" maxlength="150" size="40" />
				{else}
				<input type="text" name="val[title]" value="{value type='input' id='title'}" id="title" maxlength="150" size="40" />
				{/if}
			</div>
		</div>
		<div class="table">
			<div class="table_left">
				{phrase var='quiz.description'}:
			</div>
			<div class="table_right">
				{if isset($aQuiz.description)}
				<textarea cols="45" rows="6" name="val[description]" id="description" onkeyup="limitChars('description', 255, 'js_limit_info');">{$aQuiz.description}</textarea>
				<div id="js_limit_info" class="extra_info">{phrase var='quiz.255_character_limit'}</div>
				{else}
				<textarea cols="45" rows="6" name="val[description]" id="description" onkeyup="limitChars('description', 255, 'js_limit_info');">{value type='textarea' id='description'}</textarea>
				<div id="js_limit_info" class="extra_info">{phrase var='quiz.255_character_limit'}</div>
				{/if}
			</div>
		</div>
	{if !$bShowTitle}</div>{/if}
	{if !$bShowQuestions}<div style="display:none">{/if}
		<h3>{phrase var='quiz.quiz_questions'}</h3>
		<div id="js_quiz_container">
			{if isset($aQuiz.questions)}
			{foreach from=$aQuiz.questions item=Question name=question}
			{template file="quiz.block.question"}
			{/foreach}
			{else}
			{* Not Editing *}
			{/if}
		</div>

		<div class="table_clear">
			<input type="submit" value="{if isset($aQuiz.quiz_id)}{phrase var='quiz.edit'}{else}{phrase var='quiz.submit'}{/if}" class="button" />
			<input type="button" value="{phrase var='quiz.add_another_question'}" class="button" id="js_add_question" />
		</div>
	{if !$bShowQuestions}</div>{/if}
	{if !$bShowTitle}<div style="display:none;">{/if}
		<h3>{phrase var='quiz.additional_options'}</h3>
		{if Phpfox::getUserParam('quiz.can_upload_picture')}
		<div class="table">
			<div class="table_left">
				{if Phpfox::getUserParam('quiz.is_picture_upload_required')}{required}{/if}{phrase var='quiz.image'}:
			</div>

			<div class="table_right" id="js_event_current_image" {if !isset($aQuiz.image_path) || $aQuiz.image_path == ''} style="display: none;"{/if}>
				 {if isset($aQuiz) && isset($aQuiz.title) && isset($aQuiz.image_path)}
				 <div class="p_4">

					{img thickbox=true title=$aQuiz.title path='quiz.url_image' file=$aQuiz.image_path suffix=$sSuffix max_width='quiz.quiz_max_image_pic_size' max_height='quiz.quiz_max_image_pic_size'}
					<br />
					<a href="#" onclick="Phpfox.quiz.deleteImage({$aQuiz.quiz_id});return false;">{phrase var='quiz.click_here_to_delete_this_image_and_upload_a_new_one_in_its_place'}</a>
				</div>
				{/if}
			</div>

			<div class="table_right" id="js_submit_upload_image" {if isset($aQuiz.image_path) && $aQuiz.image_path != ''} style="display: none;"{/if}>
				 <input type="file" id='image' name="image" />
				<div class="extra_info">
					{phrase var='quiz.you_can_upload_a_jpg_gif_or_png_file'}
				</div>
			</div>
		</div>
		{/if}

		{if Phpfox::isModule('comment')}
		<div class="table">
			<div class="table_left">
				{phrase var='quiz.comments'}:
			</div>
			<div class="table_right">
				<select name="val[allow_comment]" id="allow_comment">
					<option value="1"{value type='select' id='allow_comment' default='1'}{if isset($aQuiz.allow_comment) && $aQuiz.allow_comment == 1}selected="selected"{/if}>{phrase var='quiz.allow_comments'}</option>
					<option value="2"{value type='select' id='allow_comment' default='2'}{if isset($aQuiz.allow_comment) && $aQuiz.allow_comment == 2}selected="selected"{/if}>{phrase var='quiz.moderate_comments_first'}</option>
					<option value="3"{value type='select' id='allow_comment' default='3'}{if isset($aQuiz.allow_comment) && $aQuiz.allow_comment == 3}selected="selected"{/if}>{phrase var='quiz.no_comments'}</option>
				</select>
			</div>
		</div>
		{/if}
		<div class="table">
			<div class="table_left">
				{phrase var='quiz.privacy'}:
			</div>
			<div class="table_right label_hover">
				<select name="val[privacy]" id="privacy" style="width:400px;" onchange="Phpfox.quiz.checkGetFriends();">
					<option value="1"{value type='select' id='privacy' default='1'}{if isset($aQuiz.privacy) && $aQuiz.privacy == 1}selected="selected"{/if}>{phrase var='quiz.public_quiz_will_be_added_to_our_public_quiz_section'}</option>
					<option value="2"{value type='select' id='privacy' default='2'}{if isset($aQuiz.privacy) && $aQuiz.privacy == 2}selected="selected"{/if}>{phrase var='quiz.personal_quiz_will_only_be_displayed_on_your_profile'}</option>
					<option value="3"{value type='select' id='privacy' default='3'}{if isset($aQuiz.privacy) && $aQuiz.privacy == 3}selected="selected"{/if}>{phrase var='quiz.friends_only_friends_can_view_this_quiz'}</option>
					<option value="4"{value type='select' id='privacy' default='4'}{if isset($aQuiz.privacy) && $aQuiz.privacy == 4}selected="selected"{/if}>{phrase var='quiz.preferred_list_only_the_people_you_select_will_be_able_to_see_the_quiz'}</option>
				</select>
				<div style="width:400px; margin-top:5px;{if !isset($aForms)} display:none;{else}{if isset($aForms) && $aForms.privacy != 4} display:none;{/if}{/if}" id="js_allow_list_input" class="fix_left_margin">
					{if isset($aForms.quiz_id)}{module name='privacy.list' type='quiz' id=$aForms.quiz_id input='allow_list'}{else}{module name='privacy.list' type='quiz' input='allow_list'}{/if}
				</div>
			</div>
			<div class="clear"></div>
		</div>


		<div class="table_clear">

			<input type="submit" value="{if isset($aQuiz.quiz_id)}{phrase var='quiz.edit'}{else}{phrase var='quiz.submit'}{/if}" class="button" onclick="return Phpfox.quiz.submitForm()"/>
		</div>

		{if !$bShowTitle}
	</div>
	{/if} {* end of IF bShowTitle *}
</form>
