<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Search
 * @version 		$Id: index.html.php 1179 2009-10-12 13:56:40Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>

<div id="search_form">
	<form method="post">
		<input type="text" name="q" value="{if isset($sQuery)}{$sQuery}{/if}" size="50" class="v_middle" /> <input type="submit" value="{phrase var='rss.search'}" class="button v_middle" />
	</form>
</div>

{if isset($aResults)}
{if count($aResults)}

{if $iActualCount == 1}
{phrase var='rss.showing_1_result'}
{elseif $iActualCount <= $iTotalResults}
{phrase var='rss.showing_total_results' total=$iActualCount}
{else}
{phrase var='rss.showing_count_results_out_of_over_result' count=$iActualCount result=$iTotalResults}
{/if}

<div id="search">
	<ul>
		<li class="active"><a href="#all/">{phrase var='rss.all_results_total' total=$iTotalResults}</a></li>
	{foreach from=$aSearchMenus name=menus item=aSearchMenu}
		<li class="menu_{$aSearchMenu.name} {if count($aSearchMenus) == $phpfox.iteration.menus} last{/if}"><a href="#{$aSearchMenu.name}/">{$aSearchMenu.menu} ({$aSearchMenu.total})</a></li>
	{/foreach}
	</ul>	
	<div class="clear"></div>
</div>

{foreach from=$aResults name=results item=aResult}
<div id="scroll_{$phpfox.iteration.results}"><a name="scroll_{$phpfox.iteration.results}"></a></div>
<div class="module_{$aResult.module} search_result {if is_int($phpfox.iteration.results/2)}row1{else}row2{/if}{if $phpfox.iteration.results == 1} row_first{/if}" id="search_{$phpfox.iteration.results}"{if $phpfox.iteration.results > $iPageLimit} style="display:none;"{/if}>
	<div class="search_left">
		<a href="{$aResult.link}">{$aResult.image}</a>
	</div>
	<div class="search_right">
		<a href="{$aResult.link}" class="search_url">{$aResult.title|clean}</a>
		{if isset($aResult.extra_info)}
		<div class="extra_info">
			{$aResult.extra_info}
		</div>
		{/if}
	</div>	
</div>
{/foreach}
<div class="t_right">
	<div id="js_view_more_holder">
		<a href="#" id="js_view_more_results"{if $iViewMore <= 0} style="display:none;"{/if}>View More (<span id="js_view_more_count">{$iViewMore}</span>)</a>
	</div>
	<div id="js_view_more_form" style="display:none;">
	{foreach from=$aForms item=aForm}
		<div class="module_form" id="form_{$aForm.name}" style="display:none;">
			{$aForm.form}
		</div>
	{/foreach}
	</div>
</div>
{else}
<div class="extra_info">
	{phrase var='rss.no_search_results_found'}
</div>
{/if}
{/if}