<?php
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: filter.html.php 2381 2011-03-15 15:44:06Z Miguel_Espinoza $
 */

defined('PHPFOX') or exit('NO DICE!');

?>
<form method="post" action="{if isset($aCallback.url_home)}{url link=$aCallback.url_home view=$sView}{else}{url link='user.browse' view=$sView}{/if}">
{if isset($aCallback.url_home)}
	<div><input type="hidden" name="url_home" value="{$aCallback.url_home}" /></div>
{/if}
{if Phpfox::getUserParam('user.can_search_user_gender')}
	<div class="p_top_4">
	{phrase var='user.browse_for'}:
		<div class="p_4">
			{filter key='gender'}
		</div>
	</div>
{/if}
{if Phpfox::getUserParam('user.can_search_user_age')}
	<div class="p_top_4">
	{phrase var='user.between_ages'}:
		<div class="p_4">
			{filter key='from'} - {filter key='to'}
		</div>
	</div>
{/if}
	<div class="p_top_4">
	{phrase var='user.located_within'}:
		<div class="p_4">
			{filter key='country'}
			{module name='core.country-child' country_child_filter=true country_child_type='browse'}
		</div>
	</div>

	<div class="p_top_4">
		{phrase var='user.city'}:
		<div class="p_4">
			{filter key='city'}
		</div>
	</div>

	<div class="p_top_4">
		{phrase var='user.zip_postal_code'}:
		<div class="p_4">
			{filter key='zip'}
		</div>
	</div>

	<div class="p_top_4">
	{phrase var='user.keywords'}:
		<div class="p_4">
			{filter key='keyword'}
			<div class="extra_info">
				{phrase var='user.within'}: {filter key='type'}
			</div>
		</div>
	</div>

	<div id="js_user_browse_advanced"{if !count($aForms)} style="display:none;"{/if}>
	{foreach from=$aCustomFields item=aCustomField}
	{if isset($aCustomField.fields)}
	<br />
	<div class="title">
		{phrase var=$aCustomField.phrase_var_name}
	</div>
	<br />
		{template file='custom.block.foreachcustom'}
	{/if}
	{/foreach}
	{if count($aForms)}
	{literal}
	<script type="text/javascript">
		$(function()
		{
			var iBrowseCnt = 0;
			$('#js_block_border_user_filter .menu li').each(function()
			{
				iBrowseCnt++;
				if (iBrowseCnt == 1)
				{
					$(this).removeClass('active');
				}
				else
				{
					$(this).addClass('active');
				}
			});
		});
	</script>
	{/literal}
	{/if}
	</div>

	<div class="separate" style="margin-top:10px;"></div>

	<div class="p_top_4">
	{phrase var='user.display_results_by'}:
		<div class="p_4">
			{filter key='show'}
		</div>
	</div>

	<div class="p_top_4">
	{phrase var='user.sort_results_by'}:
		<div class="p_4">
			{filter key='sort'} {filter key='sort_by'}
		</div>
	</div>

	<div class="p_top_8">
		<input type="submit" value="{phrase var='user.browse_filter_submit'}" class="button" name="search[submit]" />
		<input type="submit" value="{phrase var='user.reset'}" class="button" name="search[reset]" />
	</div>
</form>
