<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: profile.html.php 2166 2010-11-17 16:26:13Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if count($aSettings)}
{if count($aGroups)}
<div class="header_bar_menu">
	<ul>
	{foreach from=$aGroups name=groups item=aGroup}
		<li class="{if $phpfox.iteration.groups == 1}active{/if}{if $phpfox.iteration.groups == count($aGroups) && !Phpfox::getUserParam('music.can_upload_music_public')} last{/if}"><a href="{url link='user.profile.group' id=$aGroup.group_id}" class="js_custom_change_group" id="group_{$aGroup.group_id}">{phrase var=$aGroup.phrase_var_name}</a></li>
	{/foreach}
	{if Phpfox::isModule('music') && Phpfox::getUserParam('music.can_upload_music_public')}
		<li class="last">
			<a href="#" class="js_custom_change_group" id="group_genre">{phrase var='music.music_genres'}</a>
		</li>
	{/if}
	</ul>
</div>
{else}
<div class="main_break"></div>
{/if}

<div id="js_custom_public_message" class="public_message" style="margin-bottom:10px;">
	<a href="{url link='profile'}">{phrase var='user.view_your_updated_profile'}</a>
</div>

<form method="post" action="{url link='user.profile'}"{if !$bIsEdit} onsubmit="$('#js_custom_public_message').hide(); $('#js_custom_submit_button').attr('disabled', true).addClass('disabled'); $('#js_custom_update_info').html($.ajaxProcess('{phrase var='user.updating_profile' phpfox_squote=true}')).show(); $(this).ajaxCall('custom.updateFields'); return false;"{/if}>
{if isset($iUserId)}
	<div><input type="hidden" name="id" value="{$iUserId}" /></div>
{/if}
	{foreach from=$aSettings item=aSetting}
	<div class="table js_custom_groups js_custom_group_{$aSetting.group_id}"{if count($aGroups)} style="display:none;"{/if}>
		<div class="table_left">
		{if $aSetting.is_required}{required}{/if}{phrase var=$aSetting.phrase_var_name}:
		</div>
		<div class="table_right">
			{template file='custom.block.form'}
		</div>
	</div>
	{/foreach}
	{plugin call='user.template_controller_profile_form'}
	<div class="table_clear">
		<input type="submit" value="{phrase var='user.update'}" class="button" id="js_custom_submit_button"> <span id="js_custom_update_info"></span>
	</div>
</form>
{if count($aGroups)}
<script type="text/javascript">
<!--
	$('.js_custom_group_{$aGroups.0.group_id}').show();
-->
</script>
{/if}
{else}
<div class="extra_info">
	{phrase var='user.no_custom_fields_have_been_added'}
	{if Phpfox::getUserParam('custom.can_add_custom_fields')}
	<ul class="action">
		<li><a href="{url link='admincp.custom.add'}">{phrase var='user.add_a_new_custom_field'}</a></li>
	</ul>
	{/if}
</div>
{/if}