<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Video
 * @version 		$Id: index.html.php 520 2009-05-13 14:57:05Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{plugin call='video.template_block_entry_1'}
	<div class="t_center js_video_parent{if $aVideo.is_featured || $aVideo.is_spotlight} row_featured{/if}{if $aVideo.is_sponsor && !defined('PHPFOX_IS_GROUP_VIEW')} row_sponsored{/if}{if $aVideo.view_id == 2} row_moderate{/if} main_video_div_container" style="" id="js_video_id_{$aVideo.video_id}">
		{plugin call='video.template_block_entry_2'}
		<span class="js_featured_video row_featured_link"{if !$aVideo.is_featured} style="display:none;"{else}{if $aVideo.is_spotlight} style="margin-top:22px;"{/if}{/if}>
			{phrase var='video.featured'}
		</span>				
		<span class="js_spotlight_video row_featured_link"{if !$aVideo.is_spotlight} style="display:none;"{/if}>
			{phrase var='video.spotlight'}
		</span>		
		<span class="row_pending_link"{if $aVideo.view_id != 2} style="display:none;"{/if}>
			{phrase var='video.pending'}
		</span>
		<div style="position:relative; width:120px; margin:auto;" class="js_outer_video_div js_mp_fix_holder image_hover_holder">
		{if ((Phpfox::getUserParam('video.can_edit_own_video') && $aVideo.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('video.can_edit_other_video'))
			|| ((Phpfox::getUserParam('video.can_delete_own_video') && $aVideo.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('video.can_delete_other_video'))
		}
			<div class="image_hover_menu">
			{if Phpfox::getUserParam('video.can_sponsor_video') && !defined('PHPFOX_IS_GROUP_VIEW')}
				<div id="js_video_sponsor_{$aVideo.video_id}">
				    {if $aVideo.is_sponsor}
					<a href="#" title="{phrase var='video.unsponsor_this_video'}" onclick="$.ajaxCall('video.sponsor', 'video_id={$aVideo.video_id}&amp;type=0'); return false;">
					   {img theme='misc/medal_gold_delete.png' alt_phrase='video.unsponsor_this_video'}
					</a>
				    {else}
					<a href="#" title="{phrase var='video.sponsor_this_video'}" onclick="$.ajaxCall('video.sponsor', 'video_id={$aVideo.video_id}&amp;type=1'); return false;">
					    {img theme='misc/medal_gold_add.png' alt_phrase='video.sponsor_this_video'}
					</a>
				    {/if}
				</div>
			{/if}
			{if Phpfox::getUserParam('video.can_approve_videos') && $aVideo.view_id == 2}
				<div><a href="#" title="{phrase var='video.approve_this_video'}" onclick="$(this).parents('.js_video_parent:first').find('.image_hover_menu:first').hide(); $(this).parents('.js_video_parent:first').removeClass('row_moderate').find('.row_pending_link:first').html('{phrase var='video.approved' phpfox_squote=true}').fadeOut(5000); $.ajaxCall('video.approve', 'video_id={$aVideo.video_id}'); $(this).parent().remove(); return false;">{img theme='misc/accept.png' alt_phrase='video.approved'}</a></div>
			{/if}
			{if (Phpfox::getUserParam('video.can_edit_own_video') && $aVideo.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('video.can_edit_other_video')}
				<div><a href="#" title="{phrase var='video.edit_this_video'}" onclick="$.ajaxCall('video.edit', 'video_id={$aVideo.video_id}'); return false;">{img theme='misc/page_white_edit.png' alt_phrase='video.edit'}</a></div>
			{/if}		
			{if (Phpfox::getUserParam('video.can_delete_own_video') && $aVideo.user_id == Phpfox::getUserId()) || Phpfox::getUserParam('video.can_delete_other_video')}
				<div><a href="#" title="{phrase var='video.delete_this_video'}" onclick="if (confirm('{phrase var='video.are_you_sure' phpfox_squote=true}')) $.ajaxCall('video.delete', 'video_id={$aVideo.video_id}'); return false;">{img theme='misc/delete.png' alt_phrase='video.delete'}</a></div>
			{/if}	
			{if $aVideo.view_id != 2}
			{if isset($aCallback) && $aCallback === false && Phpfox::getUserParam('video.can_feature_videos_')}
				<div id="js_feature_{$aVideo.video_id}"{if $aVideo.is_featured} style="display:none;"{/if}><a href="#" title="{phrase var='video.feature_this_video'}" onclick="$(this).parent().hide(); $('#js_unfeature_{$aVideo.video_id}').show(); $(this).parents('.js_video_parent:first').addClass('row_featured').find('.js_featured_video:first').show(); $.ajaxCall('video.feature', 'video_id={$aVideo.video_id}&amp;type=1'); return false;">{img theme='misc/photo_feature.png' alt='video.feature'}</a></div>
				<div id="js_unfeature_{$aVideo.video_id}"{if !$aVideo.is_featured} style="display:none;"{/if}><a href="#" title="{phrase var='video.un_feature_this_video'}" onclick="$(this).parent().hide(); $('#js_feature_{$aVideo.video_id}').show(); $(this).parents('.js_video_parent:first').removeClass('row_featured').find('.js_featured_video:first').hide(); $.ajaxCall('video.feature', 'video_id={$aVideo.video_id}&amp;type=0'); return false;">{img theme='misc/photo_unfeature.png' alt_phrase='video.unfeature'}</a></div>
			{/if}
			{if isset($aCallback) && $aCallback === false && Phpfox::getUserParam('video.can_spotlight_videos')}
				<div id="js_spotlight_{$aVideo.video_id}"{if $aVideo.is_spotlight} style="display:none;"{/if}><a href="#" title="{phrase var='video.spotlight_this_video'}" onclick="$(this).parent().hide(); $('#js_unspotlight_{$aVideo.video_id}').show(); $(this).parents('.js_video_parent:first').addClass('row_featured').find('.js_spotlight_video:first').show(); $.ajaxCall('video.spotlight', 'video_id={$aVideo.video_id}&amp;type=1'); return false;">{img theme='misc/award_star_add.png' alt_phrase='video.spotlight_this_video'}</a></div>
				<div id="js_unspotlight_{$aVideo.video_id}"{if !$aVideo.is_spotlight} style="display:none;"{/if}><a href="#" title="{phrase var='video.remove_the_spotlight_from_this_video'}" onclick="$(this).parent().hide(); $('#js_spotlight_{$aVideo.video_id}').show(); $(this).parents('.js_video_parent:first').removeClass('row_featured').find('.js_spotlight_video:first').hide(); $.ajaxCall('video.spotlight', 'video_id={$aVideo.video_id}&amp;type=0'); return false;">{img theme='misc/award_star_delete.png' alt_phrase='video.remove_spotlight'}</a></div>
			{/if}		
			{/if}
			{plugin call='video.template_block_entry_3'}
			</div>
		{/if}
			{if !empty($aVideo.duration)}
			<div style="position:absolute; bottom:0; left:0; background:#000; color:#fff; font-size:8pt; margin-bottom:3px; padding:1px; font-weight:bold;">
				{$aVideo.duration}
			</div>
			{/if}
			<a href="{$aVideo.link}" class="js_video_title_{$aVideo.video_id}">{img server_id=$aVideo.image_server_id path='video.url_image' file=$aVideo.image_path suffix='_120' max_width=120 max_height=120 class='js_mp_fix_width' title=$aVideo.title}</a>
		</div>
		
		<div class="p_4 t_left">
			{plugin call='video.template_block_entry_4'}
			<a href="{$aVideo.link}" class="js_video_title_{$aVideo.video_id}" id="js_video_title_{$aVideo.video_id}">{$aVideo.title|clean|shorten:30|split:20}</a>
			<div class="extra_info">
			{if isset($sPublicPhotoView) && $sPublicPhotoView == 'most-discussed'}
				{phrase var='video.comments_total_comment' total_comment=$aVideo.total_comment}<br />
			{elseif isset($sPublicPhotoView) && $sPublicPhotoView == 'popular'}				
				{phrase var='video.total_score_out_of_10' total_score=$aVideo.total_score|round} <br />
			{else}
			{if !empty($aVideo.total_view) && $aVideo.total_view > 0}
			{if $aVideo.total_view == 1}
			{phrase var='video.1_view'}<br />
			{else}
			{phrase var='video.total_views' total=$aVideo.total_view}<br />
			{/if}
			{/if}
			{/if}
			{if !defined('PHPFOX_IS_USER_PROFILE')}			
				{phrase var='video.by'}: {$aVideo|user}			
			{/if}
			{plugin call='video.template_block_entry_5'}
			</div>
		</div>	
	</div>
	{if is_int($phpfox.iteration.videos/3)}
	<div class="clear"></div>
	{/if}
	{plugin call='video.template_block_entry_6'}