<?php 
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Video
 * @version 		$Id: index.html.php 1344 2009-12-21 19:50:14Z Raymond_Benc $
 */
 
defined('PHPFOX') or exit('NO DICE!'); 

?>
{if !count($aVideos)}

{if defined('PHPFOX_IS_USER_PROFILE')}
{if $aUser.user_id == Phpfox::getUserId()}
<div class="extra_info">{phrase var='video.you_have_not_added_any_videos'}</div>
<ul class="action">
	<li><a href="{url link=''$sParentLink'.upload'}">{phrase var='video.add_a_new_video'}</a></li>
</ul>
{else}
<div class="extra_info">{phrase var='video.user_link_has_not_added_any_videos' user=$aUser}</div>
<ul class="action">
	<li><a href="{url link=$sParentLink}">{phrase var='video.browse_other_videos'}</a></li>
</ul>
{/if}
{else}
<div class="main_break"></div>
{if !empty($sView)}
<div class="extra_info">{phrase var='video.no_videos_found'}</div>
{else}
<div class="extra_info">{phrase var='video.no_videos_have_been_added'}</div>
<ul class="action">
	<li><a href="{url link=''$sParentLink'.upload'}">{phrase var='video.be_the_first_to_add_a_video'}</a></li>
</ul>
{/if}
{/if}

{else}

{if $iVideoApproveCnt}
<div class="message">
{if $iVideoApproveCnt == 1}
	{phrase var='video.there_is_one_video_that_is_pending_approval'}
{else}
	{phrase var='video.there_are_ivideoapprovecnt_videos_that_are_pending_approval' iVideoApproveCnt=$iVideoApproveCnt}
	</a>
{/if}
{phrase var='video.click_here_to_approve_videos' sLinkPendingVideos=$sLinkPendingVideos}
</div>
{/if}

<div id="js_video_edit_form_outer" style="display:none;">
	<form method="post" action="#" onsubmit="$(this).ajaxCall('video.viewUpdate'); return false;">
		<div id="js_video_edit_form"></div>
		<div class="table_clear">
			<input type="submit" value="{phrase var='video.update'}" class="button" />
			- <a href="#" id="js_video_go_advanced">{phrase var='video.go_advanced'}</a>
			- <a href="#" onclick="$('#js_video_edit_form_outer').hide(); $('#js_video_outer_body').show(); return false;">{phrase var='video.cancel'}</a>
		</div>
	</form>
</div>

<div id="js_video_outer_body">
	{foreach from=$aVideos name=videos item=aVideo}
		{template file='video.block.entry'}
	{/foreach}
	<div class="clear"></div>
	<div class="t_right">
		{pager}
	</div>
</div>
{/if}