<?php
/**
 * [PHPFOX_HEADER]
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author			Raymond Benc
 * @package 		Phpfox
 * @version 		$Id: ajax.php 2347 2011-03-11 13:58:42Z Miguel_Espinoza $
 */
/*
(!isset($_POST['phpfox']['ajax']) ? exit('Invalid AJAX Request!') : true);
(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) ? exit('Invalid AJAX Request!') : true);
($_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ? exit('Invalid AJAX Request!') : true);
(strtolower($_SERVER['REQUEST_METHOD']) != 'post' ? exit('AJAX request methods must be POST.') : null);
*/
ob_start();

/**
 * Key to include phpFox
 *
 */
define('PHPFOX', true);

/**
 * Directory Seperator
 *
 */
define('PHPFOX_DS', DIRECTORY_SEPARATOR);

/**
 * phpFox Root Directory
 *
 */
define('PHPFOX_DIR', dirname(dirname(__FILE__)) . PHPFOX_DS);

define('PHPFOX_IS_AJAX', true);

// Require phpFox Init
require(PHPFOX_DIR . 'include' . PHPFOX_DS . 'init.inc.php');

if (!Phpfox::getService('ban')->check('ip', Phpfox::getIp()))
{
	exit();
}

$oAjax = Phpfox::getLib('ajax');
$oAjax->process();

echo $oAjax->getData();

ob_end_flush();
?>