var swfu;
var iQueuedFiles = 0;
var aFailedFiles = [];
var aQueuedFiles = [];

/* Make sure the css is loaded */
var bAdded = false;
for (var i in document.styleSheets)
{
	if(isset(document.styleSheets[i].href) && document.styleSheets[i].href.indexOf('progress.css') > (-1)) bAdded = true;

}
if (bAdded == false)
{
	var oCss = document.createElement('link');
	oCss.type = 'text/css';
	oCss.rel = 'stylesheet';
	oCss.href = oParams['sStylePath'] + 'progress.css';
	oCss.media = 'screen';
	document.getElementsByTagName("head")[0].appendChild(oCss);
}

//When uploading a photo make sure that if View Photos is selected or Upload More, it needs to show
//the thumbnails, like when using the default way
window.aImagesUrl = [];
/**
 * Called by SWFUpload to let you know that it is safe to call SWFUpload methods.
 */
function swfUploadLoaded()
{
	if (typeof setSWFUSettings == 'function')
	{
		setSWFUSettings();
		if (typeof swfuExtra == 'function')
		{
			swfuExtra();
		}
		
	}
	else
	{
		alert('[1] Implementation is not complete. Please contact support.');
	}
}
/**
 * fileDialogStart is fired after selectFile for selectFiles is called.
 * This event is fired immediately before the File Selection Dialog window is displayed.
 * However, the event may not execute until after the Dialog window is closed.
 * file:///var/www/v2/svn/upload/static/jscript/massuploader/SWFUpload%20v2.2.0.1%20Core/Documentation/index.html#swfUploadLoaded
 */
function fileDialogStart()
{}

/**
 *Attempts to update the progress bar to mention thumbnail was created
 */
function thumbnailCreated(sFileId)
{	
	//d("js_file_" + sFileId + '_status: ' + $('#js_file_'+sFileId+'_status').html());
	$('#js_file_'+sFileId+'_status').html('Thumbnail Created.');
}


function fileQueued(fObject)
{
	this.addPostParam("phpfox[security_token]", oCore["log.security_token"]);//$('[name="phpfox[security_token]"]').val());
	for (var sSetting in this.customSettings)
	{
		this.addPostParam(sSetting, this.customSettings[sSetting]);
	}
	if (typeof this.customSettings['flash_user_id'] == 'undefined')
	{
		alert('[2] Implemention incomplete, contact support');
	}
	if (typeof oParams['sMethod'] != undefined)
	{
		this.addPostParam('sMethod', oParams['sMethod'] == 'simple' ? 'simple' : 'massuploader');
	}
	this.addPostParam('sFileId', fObject.id);
	iQueuedFiles++;
	var oStats = this.getStats();

	aQueuedFiles.push(fObject.name);
	// our own progress bar
	if (this.customSettings.progress_target != undefined)
	{
		var sNew = "<div class='js_progress_item table clear' id='js_file_"+fObject.id+"'>" +
		'<div class="js_progress_bar" id="js_file_'+fObject.id+'_progress_bar">&nbsp;' +
		"</div>" +
		'<div class="status_text">' +
		fObject.name +
		'</div>' +
		'</div>';
		$('#' + this.customSettings.progress_target).append(sNew);
		
		if (oStats.files_queued > 0)
		{
			$('#js_progress_bar').css('height',(oStats.files_queued + oStats.successful_uploads)*19+'px');
		}
	}
	if (typeof this.atFileQueue == "function")
	{
		this.atFileQueue(fObject);
	}
}

function fileQueueError(fObject, errorConstant, sMessage)
{	
	if (errorConstant == -110)
	{
		//alert(this.settings.file_size_limit);
		var iLimit = (this.settings['file_size_limit'].replace(' B',''));
		iLimit = parseInt(iLimit);
		iLimit = iLimit / 1024
		iLimit = Math.floor(iLimit);
		alert(oTranslations['core.upload_failed_your_file_size_is_larger_then_our_limit_file_size'].replace('{size}', fObject.name + ' = ' + Math.floor(fObject.size / 1024) + 'KB').replace('{file_size}', iLimit + ' KB'));
		$('#js_form').append('<div style="display: none;"><input type="hidden" name="aFailed[\''+errorConstant+'\'][]" value = "'+fObject.name+'"></div>');

		aFailedFiles.push({
				"sConstant" : errorConstant,
				"sFileName": fObject.name
			});
	}
	else if( errorConstant == -100)
	{
		if (typeof oTranslations['core.more_queued_than_allowed'] != undefined)
		{
			alert(oTranslations['core.more_queued_than_allowed'].replace('{iQueueLimit}', this.settings.file_queue_limit));
		}
	}
	
}

function fileDialogComplete(iSelectedFiles, iQueuedFiles, iFilesInQueue)
{
	// good place to call this.startUpload
	if (iQueuedFiles > 0 && ((typeof this.customSettings['bDelayUpload'] == 'undefined') || this.customSettings['bDelayUpload'] == false))
	{
		this.startUpload();
	}
	
}
/**
 * @param fObject a file object
 * @param iCompleted bytes completed
 * @param iTotal total bytes
 */
function uploadProgress(fObject, iCompleted, iTotal)
{
	var iPercentage = Math.floor((iCompleted/iTotal)*100);
	$('#js_file_' + fObject.id + ' .js_progress_bar').css('width', iPercentage+'%');
	$('#js_file_' + fObject.id + ' .status_text').html(fObject.name + ' ('+iPercentage + '%)');
}

function uploadError(fObject, sErrorConstant ,sMessage)
{
	$('#js_file_'+fObject+'_status').html(sMessage);
}

/**
 * @param fObject a file object
 * @param sData anything that comes from the server
 * @param sResponse not sure...
 */
function uploadSuccess(fObject, sData, sResponse)
{
	eval(sData);
	
	if (typeof thumbnailCreated == "function" && sData.indexOf('thumbnail created') >= 0)
	{
		thumbnailCreated(fObject.id);
	}
	
	iQueuedFiles--;

	if (typeof this.customSettings['sJSCallSuccess'] != 'undefined' && this.customSettings['sJSCallSuccess'] != '')
	{
		eval(this.customSettings['sJSCallSuccess'] + '(fObject);');
	}

	if (iQueuedFiles > 0)
	{
		debug ('Calling uploadStart from uploadSuccess because iQueuedFiles = ' + iQueuedFiles)
		this.startUpload();
	}
}

/**
 * This function is called when all the queued files have been uploaded.
 * if the customSetting sAjaxCall was defined it will be called here.
 */
function uploadComplete(fObject)
{
	if (window.aImagesUrl != undefined && iQueuedFiles < 1)
	{
		if (window.aImagesUrl.length == 0)
		{
		//d("No images need to be uploaded");
		}
		var sImages = "", sFailed = "";
		for (var iKey in window.aImagesUrl)
		{
			sImages += "photos[]=" + window.aImagesUrl[iKey] + "&";
		}
		sImages = sImages.substr(0, (sImages.length - 1));
		
		sFailed = sFailed.substr(0, (sFailed.length - 1));
		if (typeof this.customSettings['sAjaxCall'] != 'undefined' && this.customSettings['sAjaxCall'] != '')
		{
			var sAjaxParams = 'js_disable_ajax_restart=true&' + sImages + '&' + sFailed;
			if (typeof oParams['sMethod'] != 'undefined')
			{
				sAjaxParams += '&' + (oParams['sMethod'] == 'simple' ? 'simple' : 'massuploader');
			}
			else
			{
			}
			$.ajaxCall(this.customSettings['sAjaxCall'], sAjaxParams);
		}
		if (typeof this.customSettings['sJSCallComplete'] != 'undefined' && this.customSettings['sJSCallComplete'] != '')
		{
			eval(this.customSettings['sJSCallComplete'] + '(fObject);');
		}
	}
	if (iQueuedFiles > 0)
	{
		this.startUpload();
	}
}

var aFunction = function()
{
	$('#swfUploaderContainer').html("<div id='swfUploaderButton'></div>");
	
	swfu = new SWFUpload({
		
		// Flash file settings
		//file_size_limit : iMaxFileSize + ' B',
		file_types : "*.jpg;*.gif;*.png",			// or you could use something like: "*.doc;*.wpd;*.pdf",
		file_types_description : oTranslations['photo.you_can_upload_a_jpg_gif_or_png_file'],
		file_upload_limit : 0,
		file_queue_limit : 0,

		// Event handler settings
		
		swfupload_loaded_handler : swfUploadLoaded,

		file_dialog_start_handler: fileDialogStart,
		file_queued_handler : fileQueued,
		file_queue_error_handler : fileQueueError,
		file_dialog_complete_handler : fileDialogComplete,

		//upload_start_handler : uploadStart,
		upload_progress_handler : uploadProgress,
		upload_error_handler : uploadError,
		upload_success_handler : uploadSuccess,
		upload_complete_handler : uploadComplete,
		
		// Button Settings
		button_image_url : oParams['sJsHome'] + "static/jscript/massuploader/buttonBackground.php?f=" + oCore['core.section_module'],
		button_placeholder_id : "swfUploaderButton",
		button_width: 165,
		button_height: 18,
		//button_text : '<span class="button">Select Images <span class="buttonSmall">(2 MB Max)</span></span>',
		button_text_style : '.button { font-family: Helvetica, Arial, sans-serif; font-size: 12pt; } .buttonSmall { font-size: 10pt; }',


		// Flash Settings
		flash_url : oParams['sJsHome'] + "static/jscript/massuploader/swfupload.swf?" + Math.random(),

		custom_settings : {
		//progress_target : (sProgressTarget != undefined) ? sProgressTarget : null
		},

		// Debug settings
		debug: false
	});
}


$(document).ready(function(){
	if (typeof bDoNotLoad != 'undefined' && bDoNotLoad == true)
	{

	}
	else
	{
		aFunction();
	}
});
